<?php

class OfertasController
{
    private $ofertasModel;

    public function __construct($conexion)
    {
        $this->ofertasModel = new OfertasModel($conexion);
    }
    //obtener cantidad de ofertas para la pagina principal.php
    public function obtenerCantidadOfertas()
    {
        return $this->ofertasModel->obtenerCantidadOfertas();
    }

    //mostrar todas las ofertas
    public function mostrarOfertas()
    {
        // Obtener todas las ofertas
        $ofertas = $this->ofertasModel->obtenerTodasLasOfertas();

        // Devolver el array de ofertas
        return $ofertas;
    }

 // Ver ofertas detallados
public function obtenerDetallesOferta($ofertaId)
{
    try {
        // Llamar al método en el modelo para obtener detalles de la oferta
        $detallesOferta = $this->ofertasModel->obtenerDetallesOferta($ofertaId);

        // Verificar si se obtuvieron detalles
        if ($detallesOferta) {
            // Devolver los detalles de la oferta al lugar donde se llamó esta función
            return $detallesOferta;
        } else {
            // Oferta no encontrada
            throw new Exception("La oferta con ID $ofertaId no existe.");
        }
    } catch (Exception $e) {
        // Manejar excepciones (puedes loguear el error, redirigir a una página de error, etc.)
        die("Error: " . $e->getMessage());
    }
}


    //agregar para ofertar
    public function registrarOferta($titulo, $descripcion, $fecha_publicacion, $fecha_limite, $id_empresa, $id_programa, $id_tipo_contrato,$lugar,$tipo_oferta,$correo_oferta,$lugar_oferta,$telefono_oferta) {
        // Lógica para registrar la oferta en la base de datos
        // Puedes utilizar el modelo para interactuar con la base de datos

        // Ejemplo de llamada al método en el modelo
        $datosOferta = [
            'titulo' => $titulo,
            'descripcion' => $descripcion,
            'fecha_publicacion' => $fecha_publicacion,
            'fecha_limite' => $fecha_limite,
            'id_empresa' => $id_empresa,
            'id_programa' => $id_programa,
            'id_tipo_contrato' => $id_tipo_contrato,
            'lugar' => $lugar,
            'tipo_oferta' => $tipo_oferta,
            'correo_oferta' => $correo_oferta,
            'lugar_oferta' => $lugar_oferta,
            'telefono_oferta' => $telefono_oferta,
        ];

        $exito = $this->ofertasModel->agregarOferta($datosOferta);

        // Retorna true si la oferta se registró exitosamente, false en caso contrario
        return $exito;
    }
    //mostrar ofertas inscritas del estudiante
    public function obtenerOfertasPostuladas($id_usuario) {
        return $this->ofertasModel->obtenerOfertasPostuladas($id_usuario);
    }
    
    
    

}
?>
