<?php

class CursosModel
{
    private $tu_conexion;

    public function __construct($conexion)
    {
        $this->tu_conexion = $conexion;
    }

    public function obtenerCantidadCursos()
    {
        $query = "SELECT COUNT(*) AS cantidad FROM cursos";
        $result = mysqli_query($this->tu_conexion, $query);

        if (!$result) {
            die("Error en la consulta: " . mysqli_error($this->tu_conexion));
        }

        $row = mysqli_fetch_assoc($result);

        return $row['cantidad'];
    }

    public function obtenerCursos()
    {
        $query = "SELECT c.id_curso, c.nombre AS nombre_curso, c.descripcion AS descripcion_curso, c.costo, c.fecha_inicio, c.fecha_fin,
            p.nombre_programa AS nombre_programa, c.imagen_url
            FROM cursos c
            JOIN programas_estudio p ON c.id_programa = p.id_programa 
            WHERE c.estado = 'activo';"; 
        $result = mysqli_query($this->tu_conexion, $query);

        $cursos = array();

        while ($row = mysqli_fetch_assoc($result)) {
            $cursos[] = $row;
        }

        return $cursos;
    }

    public function obtenerCursosInactivos()
    {
        $query = "SELECT c.id_curso, c.nombre AS nombre_curso, c.descripcion AS descripcion_curso, c.costo, c.fecha_inicio, c.fecha_fin,
        p.nombre_programa AS nombre_programa
        FROM cursos c
        JOIN programas_estudio p ON c.id_programa = p.id_programa
            WHERE c.estado = 'inactivo';"; 
        $result = mysqli_query($this->tu_conexion, $query);

        $cursosinactivos = array();

        while ($row = mysqli_fetch_assoc($result)) {
            $cursosinactivos[] = $row;
        }

        return $cursosinactivos;
    }

}
