<?php

class UsuariosModel
{
    private $tu_conexion;

    public function __construct($conexion)
    {
        $this->tu_conexion = $conexion;
    }

    public function obtenerEstudiantes()
    {
        $query = "SELECT COUNT(*) AS cantidad FROM usuarios where rol = 'estudiante' and estado = 'Activo'";
        $result = mysqli_query($this->tu_conexion, $query);

        if (!$result) {
            die("Error en la consulta: " . mysqli_error($this->tu_conexion));
        }

        $row = mysqli_fetch_assoc($result);

        return $row['cantidad'];
    }

    public function obtenerEstudiantesInactivos()
    {
        $query = "SELECT COUNT(*) AS cantidad FROM usuarios where rol = 'estudiante' and estado = 'Inactivo'";
        $result = mysqli_query($this->tu_conexion, $query);

        if (!$result) {
            die("Error en la consulta: " . mysqli_error($this->tu_conexion));
        }

        $row = mysqli_fetch_assoc($result);

        return $row['cantidad'];
    }

    public function obtenerDocentes()
    {
        $query = "SELECT COUNT(*) AS cantidad FROM usuarios where rol = 'docente' and estado = 'Activo'";
        $result = mysqli_query($this->tu_conexion, $query);

        if (!$result) {
            die("Error en la consulta: " . mysqli_error($this->tu_conexion));
        }

        $row = mysqli_fetch_assoc($result);

        return $row['cantidad'];
    }

    public function obtenerDocentesInactivos()
    {
        $query = "SELECT COUNT(*) AS cantidad FROM usuarios where rol = 'docente' and estado = 'Inactivo'";
        $result = mysqli_query($this->tu_conexion, $query);

        if (!$result) {
            die("Error en la consulta: " . mysqli_error($this->tu_conexion));
        }

        $row = mysqli_fetch_assoc($result);

        return $row['cantidad'];
    }

    public function EstudiantesActivos()
    {
        $query = "SELECT u.id_usuario,u.nombres, u.apellidos,u.tipodoc,u.dni,u.correo, e.carrera, u.estado, e.educacion, u.fecha_actualizada
        from usuarios u inner join estudiantes e on e.id_usuario = u.id_usuario WHERE u.rol = 'estudiante' and u.estado='activo' ORDER BY u.fecha_actualizada DESC";

        $result = mysqli_query($this->tu_conexion, $query);

        if (!$result) {
            die("Error en la consulta: " . mysqli_error($this->tu_conexion));
        }

        $estudiantes = [];
        while ($row = mysqli_fetch_assoc($result)) {
            $estudiantes[] = $row;
        }

        return $estudiantes;
    }

    public function EstudiantesInactivos()
    {
        $query = "SELECT u.id_usuario,u.nombres, u.apellidos,u.tipodoc,u.dni,u.correo, e.carrera, u.estado
        from usuarios u inner join estudiantes e on e.id_usuario = u.id_usuario WHERE u.rol = 'estudiante' and u.estado='Inactivo'";

        $result = mysqli_query($this->tu_conexion, $query);

        if (!$result) {
            die("Error en la consulta: " . mysqli_error($this->tu_conexion));
        }

        $estudiantesi = [];
        while ($row = mysqli_fetch_assoc($result)) {
            $estudiantesi[] = $row;
        }

        return $estudiantesi;
    }

   

    public function DocentesActivos()
    {
        $query = "SELECT u.id_usuario,u.nombres, u.apellidos,u.tipodoc,u.dni,u.correo, u.estado,u.fecha_actualizada
            from usuarios u inner join docentes e on e.id_usuario = u.id_usuario WHERE u.rol = 'docente' and u.estado='Activo'
            ORDER BY u.fecha_actualizada DESC";

        $result = mysqli_query($this->tu_conexion, $query);

        if (!$result) {
            die("Error en la consulta: " . mysqli_error($this->tu_conexion));
        }

        $docentes = [];
        while ($row = mysqli_fetch_assoc($result)) {
            $docentes[] = $row;
        }

        return $docentes;
    }

    public function DocentesInactivos()
    {
        $query = "SELECT u.id_usuario,u.nombres, u.apellidos,u.tipodoc,u.dni,u.correo, u.estado
        from usuarios u inner join docentes e on e.id_usuario = u.id_usuario WHERE u.rol = 'docente' and u.estado='Inactivo'";

        $result = mysqli_query($this->tu_conexion, $query);

        if (!$result) {
            die("Error en la consulta: " . mysqli_error($this->tu_conexion));
        }

        $docentes = [];
        while ($row = mysqli_fetch_assoc($result)) {
            $docentes[] = $row;
        }

        return $docentes;
    }

    
}

?>