<?php
include '../../controllers/conexion.php';

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $idPrograma = $_POST["idProgramaEditar"];
    $nuevoNombre = $_POST["nombrePrograma"];

    // Validar los datos (puedes agregar más validaciones según tus necesidades)
    if (empty($nuevoNombre)) {
        echo json_encode(['success' => false, 'message' => 'Error: El tipo de contrato no puede estar vacío.']);
    } else {
        // Actualizar el nombre en la base de datos
        $query = "UPDATE tipos_contrato SET nombre_tipo_contrato = ? WHERE id_tipo_contrato = ?";
        $stmt = mysqli_prepare($tu_conexion, $query);

        if ($stmt) {
            mysqli_stmt_bind_param($stmt, 'si', $nuevoNombre, $idPrograma);
            $result = mysqli_stmt_execute($stmt);
            mysqli_stmt_close($stmt);

            if ($result) {
                echo json_encode(['success' => true, 'message' => 'Tipo de contrato actualizado correctamente.']);
            } else {
                echo json_encode(['success' => false, 'message' => 'Error al actualizar el Tipo de contrato: ' . mysqli_error($tu_conexion)]);
            }
        } else {
            echo json_encode(['success' => false, 'message' => 'Error en la preparación de la consulta.']);
        }
    }
} else {
    echo json_encode(['success' => false, 'message' => 'Acceso no autorizado.']);
}

// Cerrar la conexión a la base de datos
mysqli_close($tu_conexion);
?>
