<?php
// obtener_detalles_programa.php
include '../../controllers/conexion.php';

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
  $idPrograma = $_POST['idPrograma'];

  // Realizar la consulta para obtener los detalles del programa
  $query = "SELECT id_tipo_contrato,nombre_tipo_contrato FROM tipos_contrato WHERE id_tipo_contrato = ?";
  $stmt = mysqli_prepare($tu_conexion, $query);

  if ($stmt) {
    mysqli_stmt_bind_param($stmt, 'i', $idPrograma);
    mysqli_stmt_execute($stmt);

    // Obtener resultados y generar el JSON de detalles
    mysqli_stmt_bind_result($stmt, $idPrograma, $nombrePrograma);

    $detallesPrograma = [];

    while (mysqli_stmt_fetch($stmt)) {
      $detallesPrograma['idPrograma'] = $idPrograma;
      $detallesPrograma['nombrePrograma'] = $nombrePrograma;
      // Agrega más detalles según sea necesario
    }

    mysqli_stmt_close($stmt);
    mysqli_close($tu_conexion);

    // Devolver los detalles como JSON
    header('Content-Type: application/json');
    echo json_encode($detallesPrograma);
  } else {
    // Manejar el caso de error en la preparación de la consulta
    header('Content-Type: application/json');
    echo json_encode(['error' => 'Error en la preparación de la consulta']);
  }
}
?>
