<?php
require_once __DIR__ . '/../../../vendor/autoload.php';
include '../../controllers/conexion.php'; // Asegúrate de que la ruta sea correcta



use PhpOffice\PhpSpreadsheet\IOFactory;

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Verificar si se envió un archivo
    if (isset($_FILES['archivo_excel']) && $_FILES['archivo_excel']['error'] === UPLOAD_ERR_OK) {
        $archivo_temporal = $_FILES['archivo_excel']['tmp_name'];

        // Carga el archivo Excel
        $spreadsheet = IOFactory::load($archivo_temporal);
        $hoja = $spreadsheet->getActiveSheet();

        // Obtén las filas y columnas de la hoja
        $filas = $hoja->getHighestRow();
        $columnas = $hoja->getHighestColumn();

        

        // Recorrer las celdas y procesar los datos
        for ($fila = 2; $fila <= $filas; $fila++) { // Empezamos desde la fila 2 asumiendo que la primera fila es para encabezados
            // Obtener datos de cada celda
            $nombres = $hoja->getCell('A' . $fila)->getValue();
            $apellidos = $hoja->getCell('B' . $fila)->getValue();
            $tipo_documento = $hoja->getCell('C' . $fila)->getValue();
            $dni = $hoja->getCell('D' . $fila)->getValue();
            $correo = $hoja->getCell('E' . $fila)->getValue();
            $telefono = $hoja->getCell('F' . $fila)->getValue();
            $direccion = $hoja->getCell('G' . $fila)->getValue();
            $ciudad = $hoja->getCell('H' . $fila)->getValue();
            $pais = $hoja->getCell('I' . $fila)->getValue();
            $distrito = $hoja->getCell('J' . $fila)->getValue();
            $tipo_usuario = $hoja->getCell('K' . $fila)->getValue(); // Supongamos que esta columna indica el tipo de usuario
            $clave = password_hash($hoja->getCell('L' . $fila)->getValue(), PASSWORD_DEFAULT); // Hash de la contraseña
            $carrera = $hoja->getCell('M' . $fila)->getValue();
            $educacion = $hoja->getCell('N' . $fila)->getValue();

            // Validar duplicados (correo y DNI)
            $query_validar_correo = "SELECT COUNT(*) as count FROM usuarios WHERE correo = '$correo'";
            $result_correo = mysqli_query($tu_conexion, $query_validar_correo);
            $count_correo = mysqli_fetch_assoc($result_correo)['count'];

            $query_validar_dni = "SELECT COUNT(*) as count FROM usuarios WHERE dni = '$dni'";
            $result_dni = mysqli_query($tu_conexion, $query_validar_dni);
            $count_dni = mysqli_fetch_assoc($result_dni)['count'];

            if ($count_correo > 0) {
                // Correo duplicado, responder con error
                header('Content-Type: application/json');
                echo json_encode(['success' => false, 'message' => 'Correo electronico ya registrado.']);
                exit;
            }
        
            if ($count_dni > 0) {
                // DNI duplicado, responder con error
                header('Content-Type: application/json');
                echo json_encode(['success' => false, 'message' => 'DNI ya registrado.']);
                exit;
            }
        

            // Insertar datos en la tabla usuarios
            $query_insertar_usuario = "INSERT INTO usuarios (nombres, apellidos, dni, correo, telefono, direccion, ciudad, pais, distrito, rol, contrasena,tipodoc,estado)
                                       VALUES ('$nombres', '$apellidos', '$dni', '$correo', '$telefono', '$direccion', '$ciudad', '$pais', '$distrito', '$tipo_usuario', '$clave','$tipo_documento','Activo')";

            if (mysqli_query($tu_conexion, $query_insertar_usuario)) {
                // Éxito al insertar el usuario
                $id_usuario = mysqli_insert_id($tu_conexion); // Obtener el ID del usuario recién insertado

                // Insertar en la tabla correspondiente (docente o estudiante)
                if ($tipo_usuario === 'docente') {
                    $query_insertar_docente = "INSERT INTO docentes (id_usuario) VALUES ('$id_usuario')";
                    mysqli_query($tu_conexion, $query_insertar_docente);
                } elseif ($tipo_usuario === 'estudiante') {
                    
                    $query_insertar_estudiante = "INSERT INTO estudiantes (id_usuario,carrera,educacion) VALUES ('$id_usuario','$carrera','$educacion')";
                    mysqli_query($tu_conexion, $query_insertar_estudiante);
                }
            } else {
                // Error al insertar el usuario
                // Puedes manejar el error según tus necesidades (ignorar, registrar en un log, etc.)
            }
        }
        header('Content-Type: application/json');
        echo json_encode(['success' => true, 'message' => 'Usuarios importados con éxito.']);
    } else {
        header('Content-Type: application/json');
        echo json_encode(['success' => false, 'message' => 'Error al cargar el archivo.']);
    }
} else {
    // Acceso no autorizado
    http_response_code(401);
    echo json_encode(['success' => false, 'message' => 'Acceso no autorizado.']);
}
?>
