<?php
include '../../controllers/conexion.php';

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Recibir datos del formulario
    $id_usuario = $_POST['id_usuario'];
    $nombres = $_POST['nombres'];
    $apellidos = $_POST['apellidos'];
    $dni = $_POST['dni'];
    $telefono = $_POST['telefono'];
    $direccion = $_POST['direccion'];
    $ciudad = $_POST['ciudad'];
    $provincia = $_POST['provincia'];
    $distrito = $_POST['distrito'];
    
    $nueva_clave = $_POST['nueva_clave']; // Nuevo campo para la nueva clave
    $correo = $_POST['correo'];
    // Preparar y ejecutar consulta para actualizar el usuario
    if (!empty($nueva_clave)) {
        // Si se proporciona una nueva clave, conviértela a formato hash
        $nueva_clave_hash = password_hash($nueva_clave, PASSWORD_DEFAULT);
        $query_actualizar_usuario = "UPDATE usuarios
                                     SET nombres = ?, apellidos = ?, dni = ?,
                                         telefono = ?, direccion = ?, ciudad = ?,
                                         pais = ?, distrito = ?,
                                         contrasena = ?,correo = ?
                                     WHERE id_usuario = ?";
        $stmt = mysqli_prepare($tu_conexion, $query_actualizar_usuario);
        mysqli_stmt_bind_param($stmt, 'ssssssssssi', $nombres, $apellidos, $dni, $telefono, $direccion, $ciudad, $provincia, $distrito, $nueva_clave_hash,$correo, $id_usuario);
    } else {
        // Si no se proporciona una nueva clave, actualiza el perfil sin alterar la clave
        $query_actualizar_usuario = "UPDATE usuarios
                                     SET nombres = ?, apellidos = ?, dni = ?,
                                         telefono = ?, direccion = ?, ciudad = ?,pais = ?, distrito = ?,correo = ?
                                     WHERE id_usuario = ?";
        $stmt = mysqli_prepare($tu_conexion, $query_actualizar_usuario);
        mysqli_stmt_bind_param($stmt, 'sssssssssi', $nombres, $apellidos, $dni, $telefono, $direccion, $ciudad, $provincia, $distrito,$correo, $id_usuario);
    }

    if (mysqli_stmt_execute($stmt)) {
        // Éxito al actualizar el usuario

            // Devolver respuesta de éxito
        header('Content-Type: application/json');
        echo json_encode(['success' => true, 'message' => 'Perfil actualizado correctamente.']);
    } else {
        // Error al ejecutar la consulta
        header('Content-Type: application/json');
        echo json_encode(['success' => false, 'message' => 'Error al actualizar el perfil: ' . mysqli_error($tu_conexion)]);
    }

    // Cerrar la conexión a la base de datos y liberar recursos
    mysqli_stmt_close($stmt);
    mysqli_close($tu_conexion);
} else {
    // Acceso no autorizado
    http_response_code(401);
    header('Content-Type: application/json');
    echo json_encode(['success' => false, 'message' => 'Acceso no autorizado.']);
}


?>

