<?php
session_start();
include '../../controllers/conexion.php';

include '../../controllers/BecasController.php';
include '../../models/BecasModel.php';

// Crear instancias del controlador y el modelo para ofertas
$becasController = new BecasController($tu_conexion);
$becasModel = new BecasModel($tu_conexion);

// Obtener la cantidad de ofertas
$becas = $becasController->obtenerBecas();

// Obtener información del instituto
$query_instituto = "SELECT * FROM informacion_instituto";
$result_instituto = mysqli_query($tu_conexion, $query_instituto);

// Obtener datos del instituto si existen
$datos_instituto = mysqli_fetch_assoc($result_instituto);
$nombre_instituto = $datos_instituto['nombre_instituto'];
$direccion_instituto = $datos_instituto['direccion_instituto'];
$telefono_instituto = $datos_instituto['telefono_instituto'];
$logo_instituto = $datos_instituto['logo_instituto'];

$ruta_base_logos = '../../archivos/logos/';

// Construir la ruta completa al logo
$ruta_logo_completa = $ruta_base_logos . $logo_instituto;

if (isset($_SESSION['id_usuario'])) {
  $id_usuario = $_SESSION['id_usuario'];

  // Realizar consulta para obtener información del usuario
  $query = "SELECT nombres, apellidos, rol FROM usuarios WHERE id_usuario = ?";
  $stmt = mysqli_prepare($tu_conexion, $query);
  mysqli_stmt_bind_param($stmt, "i", $id_usuario);
  mysqli_stmt_execute($stmt);
  mysqli_stmt_bind_result($stmt, $nombres, $apellidos, $rol);

  // Obtener el resultado de la consulta
  if (mysqli_stmt_fetch($stmt)) {
      // Mostrar la información del usuario
     
  } else {
     
  }

  // Cerrar la conexión y liberar recursos
  mysqli_stmt_close($stmt);
  mysqli_close($tu_conexion);
} else {
  // Redirigir si la sesión no está iniciada
  header('Location: /bolsalaboral/login.php');
  exit();
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title><?php echo $nombre_instituto; ?> | Bolsa Laboral</title>

  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css">
  <!-- DataTables -->
  <link rel="stylesheet" href="../plugins/datatables-bs4/css/dataTables.bootstrap4.min.css">
  <link rel="stylesheet" href="../plugins/datatables-responsive/css/responsive.bootstrap4.min.css">
  <link rel="stylesheet" href="../plugins/datatables-buttons/css/buttons.bootstrap4.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="../dist/css/adminlte.min.css">
<style>
  [class*=sidebar-dark-] {
    background-color: #083868;
    
}

[class*=sidebar-dark] .form-control-sidebar {
    background-color: #083868;
    border: 1px solid #fff;
    color: #fff;
}

[class*=sidebar-dark] .btn-sidebar, [class*=sidebar-dark] .form-control-sidebar {
    background-color: #083868;
    border: 1px solid #fff;
    color: #fff;
}



/* Cambia el color de fondo de los botones específicos si es necesario */
.dataTables_wrapper .dt-buttons .btn {
    background-color: #13416f; /* Cambia el color de fondo a tu preferencia */
    border: 1px solid #fff;
}

</style>
</head>
<body class="hold-transition sidebar-mini">
<div class="wrapper">
  <!-- Navbar -->
  <nav class="main-header navbar navbar-expand navbar-white navbar-light">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="../principal.php" class="nav-link">Inicio</a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="#" class="nav-link">Contacto</a>
      </li>
    </ul>

    <!-- Right navbar links -->
    
  </nav>
  <!-- /.navbar -->

  <!-- Main Sidebar Container -->
  <aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="#" class="brand-link">
      <img src="<?php echo $ruta_logo_completa; ?>" alt="AdminLTE Logo" class="brand-image img-circle elevation-3" style="opacity: .8">
      <span class="brand-text font-weight-light"><?php echo $nombre_instituto; ?></span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
      <!-- Sidebar user (optional) -->
      <div class="user-panel mt-3 pb-3 mb-3 d-flex">
        <div class="image">
          <img src="../dist/img/user2-160x160.jpg" class="img-circle elevation-2" alt="User Image">
        </div>
        <div class="info">
          <a href="#" class="d-block"><?php echo $apellidos; ?></a>
          <a href="#" class="d-block"><?php echo $nombres; ?></a>
          <a href="#" class="d-block"><?php echo $rol; ?></a>
        </div>
      </div>

      <!-- SidebarSearch Form -->
      <div class="form-inline">
        <div class="input-group" data-widget="sidebar-search">
          <input class="form-control form-control-sidebar" type="search" placeholder="Search" aria-label="Search">
          <div class="input-group-append">
            <button class="btn btn-sidebar">
              <i class="fas fa-search fa-fw"></i>
            </button>
          </div>
        </div>
      </div>

      <!-- Sidebar Menu -->
      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
          
               <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'estudiante' || $rol === 'docente' ) {
                        echo '<li class="nav-item">
                                <a href="../principal_estudiante.php" class="nav-link">
                                <i class="nav-icon fas fa-th"></i>
                                <p>Inicio
                                <span class="right badge badge-danger">New</span>
                                </p>
                                </a>
                            </li>';
                    }
              ?>

              <?php 
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'administrador') {
                        echo '<li class="nav-item">
                                <a href="../principal.php" class="nav-link">
                                <i class="nav-icon fas fa-home"></i>
                                <p>Inicio
                                <span class="right badge badge-danger">New</span>
                                </p>
                                </a>
                            </li>';
                    }
              ?>
            <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'administrador') {
                        echo '<li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="nav-icon fas fa-users"></i>
                          <p>
                          Usuarios
                            <i class="fas fa-angle-left right"></i>
                            <span class="badge badge-info right">6</span>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="../Usuarios/agregar_multiple.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Importacion Multiple</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="../Usuarios/ver_estudiantes.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Ver Estudiantes</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="../Usuarios/usuarios_inactivos.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Ver Estudiantes Inactivos</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="../Usuarios/ver_docentes.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Ver Docentes</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="../Usuarios/docentes_inactivos.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Ver Docentes Inactivos</p>
                            </a>
                          </li>
                        </ul>
                      </li> ';
                    }
            ?> 

            <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'administrador') {
                        echo '<li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="nav-icon fas fa-building"></i>
                          <p>
                          Instituto
                            <i class="fas fa-angle-left right"></i>
                            <span class="badge badge-info right">6</span>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="../instituto/ver_instituto.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Ver Informacion</p>
                            </a>
                          </li>
                          
                          
                          
                        </ul>
                      </li> ';
                    }
            ?>

            <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'administrador') {
                        echo '<li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="nav-icon fas fa-graduation-cap"></i>
                          <p>
                          Programas Estudios
                            <i class="fas fa-angle-left right"></i>
                            <span class="badge badge-info right">6</span>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="../programas/ver_programa.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Ver Programas</p>
                            </a>
                          </li>
                          
                          
                          
                        </ul>
                      </li> ';
                    }
            ?> 
            <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'administrador') {
                        echo '<li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="nav-icon fas fa-file"></i>
                          <p>
                            Tipo de Contrato
                            <i class="fas fa-angle-left right"></i>
                            <span class="badge badge-info right">6</span>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="../Contrato/ver_contrato.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Ver tipo contrato</p>
                            </a>
                          </li>
                          
                          
                          
                        </ul>
                      </li> ';
                    }
            ?>

            <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'administrador') {
                        echo '<li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="nav-icon fas fa-building"></i>
                          <p>
                            Empresas
                            <i class="fas fa-angle-left right"></i>
                            <span class="badge badge-info right">6</span>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="ver_empresas.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Ver empresas</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="agregar_empresa.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Agregar empresa</p>
                            </a>
                          </li>
                          
                          
                        </ul>
                      </li> ';
                    }
            ?>


            

            

          

          <li class="nav-item">
            <a href="#" class="nav-link">
              <i class="nav-icon fas fa-book"></i>
              <p>
                Ofertas
                <i class="fas fa-angle-left right"></i>
                <span class="badge badge-info right">6</span>
              </p>
            </a>
            <ul class="nav nav-treeview">
              <li class="nav-item">
                <a href="../ofertas/mostrar.php" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Mostrar</p>
                </a>
              </li>

              <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'estudiante') {
                        echo '<li class="nav-item">
                                <a href="../ofertas/ver_postulaciones.php" class="nav-link">
                                <i class="far fa-circle nav-icon"></i>
                                <p>Agregar</p>
                                </a>
                            </li>';
                    }
              ?>
             

              <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'administrador') {
                        echo '<li class="nav-item">
                                <a href="../ofertas/agregar.php" class="nav-link">
                                <i class="far fa-circle nav-icon"></i>
                                <p>Agregar</p>
                                </a>
                            </li>';
                    }
              ?>
              
              
              
            </ul>
          </li>

          <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'administrador') {
                        echo '<li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="nav-icon fas fa-chart-pie"></i>
                          <p>
                            Reportes
                            <i class="fas fa-angle-left right"></i>
                            <span class="badge badge-info right">6</span>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="../reportes/reporte_postulaciones.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Postulaciones</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="../reportes/ofertas_vencidas.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Ofertas Vencidas</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="../reportes/reporte_detallado.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Postulaciones Detalladas</p>
                            </a>
                          </li>
                        </ul>
                      </li> ';
                    }
            ?>  

            <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'administrador') {
                        echo '<li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="nav-icon fas fa-building"></i>
                          <p>
                            Seguimiento
                            <i class="fas fa-angle-left right"></i>
                            <span class="badge badge-info right">6</span>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="../cursos/ver_cursos.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Cursos</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="ver_becas.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Becas</p>
                            </a>
                          </li>
                          
                          
                          
                        </ul>
                      </li> ';
                    }
            ?>
          
          <li class="nav-item">
              <a href="../cerrar_sesion.php" class="nav-link">
                  <i class="nav-icon fas fa-sign-out-alt"></i>
                  <p>Cerrar Sesión</p>
              </a>
          </li>

        </ul>
      </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
  </aside>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Ver Becas</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Inicio</a></li>
              <li class="breadcrumb-item active">Ver Becas</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <div class="col-12">
            <div class="card">
              
             
              <!-- /.card-body -->
            </div>
            <!-- /.card -->

            <div class="card">
              <div class="card-header">
                    <a href="beca_desactivada.php" class="btn btn-secondary btn-sm">
                    <i class="fas fa-eye"></i> Ver Becas Desactivadas
                    <a href="agregar_beca.php" class="btn btn-primary btn-sm float-left">Agregar Beca</a>
                </a> 
                
              </div>
              <!-- /.card-header -->
              <div class="card-body">
                

                   <table id="tablaOfertas" class="table table-bordered table-striped">
                      <thead>
                          <tr>
                              <th>#</th>
                              
                              <th>Programa</th>
                              <th>Nombre</th>
                              <th>descripcion</th>
                              <th>Fecha Culminacion</th>
                                                                    
                              <th>Acciones</th> <!-- Nueva columna para acciones -->
                          </tr>
                      </thead>
                      <tbody>
                        <?php foreach ($becas as $beca) : ?>
                            <tr>
                                <td><?php echo str_pad($beca['id_beca'], 2, '0', STR_PAD_LEFT); ?></td>
                                <td><?php echo $beca['nombre_programa']; ?></td>
                                <td><?php echo $beca['nombre_beca']; ?></td>
                                <td><?php echo $beca['descripcion_beca']; ?></td>                                
                                <td><?php echo $beca['fecha_culminacion']; ?></td>
                               
                                
                                <td>
                                  <!-- Botones de acciones (editar y eliminar) -->
                                  <?php if ($rol == 'administrador') : ?>
                                    <a href="editar_beca.php?id_beca=<?php echo $beca['id_beca']; ?>" class="btn btn-warning btn-sm">Editar</a>
                                    
                                    <button type="button" class="btn btn-danger btn-sm btn-activar" data-id-usuario="<?php echo $beca['id_beca']; ?>">Baja</button>


                                  <?php endif; ?>                              

                              </td>
                            </tr>
                        <?php endforeach; ?>
                    </tbody>
                      
                  </table>


               
              </div>
              <!-- /.card-body -->
            </div>
            <!-- /.card -->
          </div>
          <!-- /.col -->
        </div>
        <!-- /.row -->
      </div>
      <!-- /.container-fluid -->
    </section>
    <!-- /.content -->
  </div>

<!-- Modal para la edición -->


  <!-- /.content-wrapper -->
  <footer class="main-footer">
    <strong>Copyright &copy; 2024-2028 <?php echo $nombre_instituto; ?></strong>
    todos los derechos reservados.
    <div class="float-right d-none d-sm-inline-block">
      <b>Version</b> 3.2.0
    </div>
  </footer>

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->

<!-- jQuery -->
<script src="../plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="../plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- DataTables  & Plugins -->
<script src="../plugins/datatables/jquery.dataTables.min.js"></script>
<script src="../plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
<script src="../plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
<script src="../plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
<script src="../plugins/datatables-buttons/js/dataTables.buttons.min.js"></script>
<script src="../plugins/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
<script src="../plugins/jszip/jszip.min.js"></script>
<script src="../plugins/pdfmake/pdfmake.min.js"></script>
<script src="../plugins/pdfmake/vfs_fonts.js"></script>
<script src="../plugins/datatables-buttons/js/buttons.html5.min.js"></script>
<script src="../plugins/datatables-buttons/js/buttons.print.min.js"></script>
<script src="../plugins/datatables-buttons/js/buttons.colVis.min.js"></script>
<!-- AdminLTE App -->
<script src="../dist/js/adminlte.min.js"></script>
<!-- AdminLTE for demo purposes -->

<!-- Page specific script -->
<script src="https://cdn.jsdelivr.net/npm/sweetalert2@10.16.6/dist/sweetalert2.all.min.js"></script>

<script>
  $(document).ready(function() {
      // Manejar el clic en el botón de baja utilizando el método on()
      $(document).on("click", ".btn-activar", function() {
          // Obtener el ID del usuario desde el atributo data
          var idUsuario = $(this).data("id-usuario");

          // Realizar la petición AJAX
          $.ajax({
              type: "POST",
              url: "baja_beca.php", // Reemplazar con la URL correcta
              data: { id_usuario: idUsuario },
              dataType: "json",
              success: function(response) {
                  if (response.success) {
                      // Mostrar alerta de éxito
                      Swal.fire({
                          icon: 'success',
                          title: 'Éxito',
                          text: response.message
                      });

                      // Redirigir a la página ver_estudiantes.php después de 1 segundo
                      setTimeout(function () {
                          window.location.href = 'ver_becas.php';
                      }, 2000);
                  } else {
                      // Mostrar alerta de error
                      Swal.fire({
                          icon: 'error',
                          title: 'Error',
                          text: response.message
                      });
                  }
              },
              error: function() {
                  // Mostrar alerta de error en caso de fallo en la petición AJAX
                  Swal.fire({
                      icon: 'error',
                      title: 'Error',
                      text: 'Hubo un error al procesar la solicitud.'
                  });
              }
          });
      });
  });
</script>



<script>
  $(document).ready(function () {
    $("#tablaOfertas").DataTable({
        "responsive": true,
        "lengthChange": true,
        "autoWidth": false,
        "buttons": [
            {
                extend: 'copy',
                text: 'Copiar', // Cambia el texto del botón Copy a 'Copiar'
            },
            'csv', 'excel', 'pdf',
            {
                extend: 'print',
                text: 'Imprimir', // Cambia el texto del botón colvis a 'Visibilidad de Columna'
            },
            {
                extend: 'colvis',
                text: 'Visibilidad de Columna', // Cambia el texto del botón colvis a 'Visibilidad de Columna'
            }
        ],
        "paging": true,
        "searching": true,
        "ordering": true,
        "info": true,
        "language": {
            "search": "Buscar:",
            "lengthMenu": "Mostrar _MENU_ registros por página",
            "info": "Mostrando _START_ a _END_ de _TOTAL_ entradas",
            "paginate": {
                "first": "Primero",
                "previous": "Anterior",
                "next": "Siguiente",
                "last": "Último"
            },
        }
    }).buttons().container().appendTo('#tablaOfertas_wrapper .col-md-6:eq(0)');
    });

</script>




</body>
</html>
