<?php
include '../../controllers/conexion.php';

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Obtener datos del formulario
    $nombre = $_POST['nombre'];
    $descripcion = $_POST['descripcion'];
    $link = $_POST['fecha_inicio'];
    $fecha_culminacion = $_POST['fecha_culminacion'];
    $programa = $_POST['programa'];
    $costo = $_POST['costo'];

    // Manejar la carga del archivo de imagen
    $imagen_url = '../../archivos/cursos/' . basename($_FILES['fotobeca']['name']);
    move_uploaded_file($_FILES['fotobeca']['tmp_name'], $imagen_url);

    // Preparar la consulta para insertar la nueva beca
    $query = "INSERT INTO cursos (nombre, descripcion, fecha_inicio, fecha_fin, id_programa, imagen_url,costo) 
              VALUES (?, ?, ?, ?, ?, ?,?)";
    
    $stmt = mysqli_prepare($tu_conexion, $query);
    mysqli_stmt_bind_param($stmt, 'ssssiss', $nombre, $descripcion, $link, $fecha_culminacion, $programa, $imagen_url,$costo);

    // Ejecutar la consulta
    if (mysqli_stmt_execute($stmt)) {
        $response = ['success' => true, 'message' => 'Curso agregado con éxito'];
    } else {
        $response = ['success' => false, 'message' => 'Error al agregar el curso: ' . mysqli_error($tu_conexion)];
    }

    // Cerrar la conexión y la consulta preparada
    mysqli_stmt_close($stmt);
    mysqli_close($tu_conexion);

    // Devolver la respuesta como JSON
    header('Content-Type: application/json');
    echo json_encode($response);
} else {
    http_response_code(401);
    echo json_encode(['success' => false, 'message' => 'Acceso no autorizado']);
}
?>
