<?php
// procesar_agregar_empresa.php
include '../../controllers/conexion.php';

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Obtener datos del formulario
    $nombreEmpresa = $_POST['nombreNuevaEmpresa'];
    $direccionEmpresa = $_POST['direccionNuevaEmpresa'];
    $telefonoEmpresa = $_POST['telefonoNuevaEmpresa'];

    // Manejar la carga del archivo de imagen
    $logoEmpresa = '../../archivos/logos/' . basename($_FILES['logoNuevaEmpresa']['name']);
    move_uploaded_file($_FILES['logoNuevaEmpresa']['tmp_name'], $logoEmpresa);

    // Definir el estado predeterminado
    $estadoEmpresa = 'Activo';

    // Preparar la consulta para insertar la nueva empresa
    $query = "INSERT INTO empresas (nombre_empresa, direccion_empresa, telefono_empresa, logo_empresa, estado) 
              VALUES (?, ?, ?, ?, ?)";
    
    $stmt = mysqli_prepare($tu_conexion, $query);
    mysqli_stmt_bind_param($stmt, 'sssss', $nombreEmpresa, $direccionEmpresa, $telefonoEmpresa, $logoEmpresa, $estadoEmpresa);

    // Ejecutar la consulta
    if (mysqli_stmt_execute($stmt)) {
        $response = ['success' => true, 'message' => 'Empresa agregada con éxito'];
    } else {
        $response = ['success' => false, 'message' => 'Error al agregar la empresa: ' . mysqli_error($tu_conexion)];
    }

    // Cerrar la conexión y la consulta preparada
    mysqli_stmt_close($stmt);
    mysqli_close($tu_conexion);

    // Devolver la respuesta como JSON
    header('Content-Type: application/json');
    echo json_encode($response);
} else {
    http_response_code(401);
    echo json_encode(['success' => false, 'message' => 'Acceso no autorizado']);
}
?>
