<?php
include '../../controllers/conexion.php';

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $id_usuario = $_POST['id_usuario'];
    $satisfecho_formacion = $_POST['satisfecho_formacion'];
    $estudio_bachillerato = isset($_POST['estudio_bachillerato']) ? 1 : 0;
    $lugar_estudio_bachillerato = $estudio_bachillerato ? $_POST['lugar_estudio_bachillerato'] : null;
    $frecuencia_vinculacion = $_POST['frecuencia_vinculacion'];
    $expectativas_profesionales = $_POST['expectativas_profesionales'];
    $fortalecer_institucion = $_POST['fortalecer_institucion'];

    $query = "INSERT INTO formativa_estudiante (id_estudiante, satisfecho_formacion, estudio_bachillerato, lugar_estudio_bachillerato, frecuencia_vinculacion, expectativas_profesionales, fortalecer_institucion) 
              VALUES (?, ?, ?, ?, ?, ?, ?)";
    
    $stmt = mysqli_prepare($tu_conexion, $query);
    mysqli_stmt_bind_param($stmt, 'isissss', $id_usuario, $satisfecho_formacion, $estudio_bachillerato, $lugar_estudio_bachillerato, $frecuencia_vinculacion, $expectativas_profesionales, $fortalecer_institucion);

    if (mysqli_stmt_execute($stmt)) {
        $response = ['success' => true, 'message' => 'Información formativa registrada con éxito.'];
    } else {
        $response = ['success' => false, 'message' => 'Error al registrar la información formativa: ' . mysqli_error($tu_conexion)];
    }

    mysqli_stmt_close($stmt);
    mysqli_close($tu_conexion);

    header('Content-Type: application/json');
    echo json_encode($response);
} else {
    http_response_code(401);
    echo json_encode(['success' => false, 'message' => 'Acceso no autorizado.']);
}
?>
