<?php
include '../../controllers/conexion.php';

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $id_estudiante = $_POST['id_usuario'];
    $consiguio_trabajo_egresar = isset($_POST['consiguio_trabajo_egresar']) ? 1 : 0;
    $trabajo_conseguido = $consiguio_trabajo_egresar ? $_POST['trabajo_conseguido'] : null;
    $tiempo_primer_trabajo = $_POST['tiempo_primer_trabajo'];
    $actualmente_trabajando = isset($_POST['actualmente_trabajando']) ? 1 : 0;
    $lugar_actual_trabajo = $actualmente_trabajando ? $_POST['lugar_actual_trabajo'] : null;
    $lugar_ultimo_trabajo = !$actualmente_trabajando ? $_POST['lugar_ultimo_trabajo'] : null;
    $ano_ultimo_trabajo = !$actualmente_trabajando ? $_POST['ano_ultimo_trabajo'] : null;
    $remuneracion_mensual = $_POST['remuneracion_mensual'];
    $rubro = $_POST['rubro'];

    $query = "INSERT INTO laboral_estudiante (
                id_estudiante, 
                consiguio_trabajo_egresar, 
                trabajo_conseguido, 
                tiempo_primer_trabajo, 
                actualmente_trabajando, 
                lugar_actual_trabajo, 
                lugar_ultimo_trabajo, 
                ano_ultimo_trabajo, 
                remuneracion_mensual, 
                rubro
              ) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?)";

    $stmt = mysqli_prepare($tu_conexion, $query);
    mysqli_stmt_bind_param(
        $stmt, 
        'iississids', 
        $id_estudiante, 
        $consiguio_trabajo_egresar, 
        $trabajo_conseguido, 
        $tiempo_primer_trabajo, 
        $actualmente_trabajando, 
        $lugar_actual_trabajo, 
        $lugar_ultimo_trabajo, 
        $ano_ultimo_trabajo, 
        $remuneracion_mensual, 
        $rubro
    );

    if (mysqli_stmt_execute($stmt)) {
        $response = ['success' => true, 'message' => 'Información laboral registrada con éxito'];
    } else {
        $response = ['success' => false, 'message' => 'Error al registrar la información laboral: ' . mysqli_error($tu_conexion)];
    }

    mysqli_stmt_close($stmt);
    mysqli_close($tu_conexion);

    header('Content-Type: application/json');
    echo json_encode($response);
} else {
    http_response_code(401);
    echo json_encode(['success' => false, 'message' => 'Acceso no autorizado']);
}
?>
