<?php
session_start();
include '../../controllers/conexion.php';
//llamamos al modelo y controlador de ofertas
//llamamos al modelo y controlador de ofertas
include '../../controllers/OfertasController.php';
include '../../models/OfertasModel.php';

//llamamos la modelo y controlador de empresas
include '../../controllers/EmpresasController.php';
include '../../models/EmpresasModel.php';

//llamamos la modelo y controlador de programas
include '../../controllers/ProgramasController.php';
include '../../models/ProgramasModel.php';

//llamamos la modelo y controlador de contratos
include '../../controllers/ContratosController.php';
include '../../models/ContratosModel.php';

// Crear instancias del controlador y el modelo para ofertas
$ofertasController = new OfertasController($tu_conexion);
$ofertasModel = new OfertasModel($tu_conexion);
// Crear instancias del controlador y el modelo para empresas
$empresasController = new EmpresasController($tu_conexion);
// Crear instancias del controlador y el modelo para programas
$programasController = new ProgramasController($tu_conexion);
// Crear instancias del controlador y el modelo para contratos
$contratosController = new ContratosController($tu_conexion);


$empresas = $empresasController->obtenerEmpresas();
$programas = $programasController->obtenerProgramas();
$contratos = $contratosController->obtenerContratos();

// Resto del código de principal.php

// Obtener información del instituto
$query_instituto = "SELECT * FROM informacion_instituto";
$result_instituto = mysqli_query($tu_conexion, $query_instituto);

// Obtener datos del instituto si existen
$datos_instituto = mysqli_fetch_assoc($result_instituto);
$nombre_instituto = $datos_instituto['nombre_instituto'];
$direccion_instituto = $datos_instituto['direccion_instituto'];
$telefono_instituto = $datos_instituto['telefono_instituto'];
$logo_instituto = $datos_instituto['logo_instituto'];

$ruta_base_logos = '../../archivos/logos/';

// Construir la ruta completa al logo
$ruta_logo_completa = $ruta_base_logos . $logo_instituto;




if (isset($_SESSION['id_usuario'])) {
  $id_usuario = $_SESSION['id_usuario'];

  // Realizar consulta para obtener información del usuario
  $query = "SELECT nombres, apellidos, rol FROM usuarios WHERE id_usuario = ?";
  $stmt = mysqli_prepare($tu_conexion, $query);
  mysqli_stmt_bind_param($stmt, "i", $id_usuario);
  mysqli_stmt_execute($stmt);
  mysqli_stmt_bind_result($stmt, $nombres, $apellidos, $rol);

  // Obtener el resultado de la consulta
  if (mysqli_stmt_fetch($stmt)) {
      // Mostrar la información del usuario
     
  } else {
     
  }

  // Cerrar la conexión y liberar recursos
  mysqli_stmt_close($stmt);
  mysqli_close($tu_conexion);
} else {
  // Redirigir si la sesión no está iniciada
   header('Location: /bolsalaboral/login.php');
  exit();
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title><?php echo $nombre_instituto; ?> | Bolsa Laboral</title>

  <!-- IonIcons -->
  <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">

  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css">
  <!-- daterange picker -->
  <link rel="stylesheet" href="../plugins/daterangepicker/daterangepicker.css">
  <!-- iCheck for checkboxes and radio inputs -->
  <link rel="stylesheet" href="../plugins/icheck-bootstrap/icheck-bootstrap.min.css">
  <!-- Bootstrap Color Picker -->
  <link rel="stylesheet" href="../plugins/bootstrap-colorpicker/css/bootstrap-colorpicker.min.css">
  <!-- Tempusdominus Bootstrap 4 -->
  <link rel="stylesheet" href="../plugins/tempusdominus-bootstrap-4/css/tempusdominus-bootstrap-4.min.css">
  <!-- Select2 -->
  <link rel="stylesheet" href="../plugins/select2/css/select2.min.css">
  <link rel="stylesheet" href="../plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">
  <!-- Bootstrap4 Duallistbox -->
  <link rel="stylesheet" href="../plugins/bootstrap4-duallistbox/bootstrap-duallistbox.min.css">
  <!-- BS Stepper -->
  <link rel="stylesheet" href="../plugins/bs-stepper/css/bs-stepper.min.css">
  <!-- dropzonejs -->
  <link rel="stylesheet" href="../plugins/dropzone/min/dropzone.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="../dist/css/adminlte.min.css">
  <style>
  [class*=sidebar-dark-] {
    background-color: #083868;
    
}

[class*=sidebar-dark] .form-control-sidebar {
    background-color: #083868;
    border: 1px solid #fff;
    color: #fff;
}

[class*=sidebar-dark] .btn-sidebar, [class*=sidebar-dark] .form-control-sidebar {
    background-color: #083868;
    border: 1px solid #fff;
    color: #fff;
}



/* Cambia el color de fondo de los botones específicos si es necesario */
.dataTables_wrapper .dt-buttons .btn {
    background-color: #13416f; /* Cambia el color de fondo a tu preferencia */
    border: 1px solid #fff;
}

</style>
</head>
<!--
`body` tag options:

  Apply one or more of the following classes to to the body tag
  to get the desired effect

  * sidebar-collapse
  * sidebar-mini
-->
<body class="hold-transition sidebar-mini">
<div class="wrapper">
  <!-- Navbar -->
  <nav class="main-header navbar navbar-expand navbar-white navbar-light">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="#" class="nav-link">Inicio</a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="#" class="nav-link">Contacto</a>
      </li>
    </ul>

    <!-- Right navbar links -->
   
  </nav>
  <!-- /.navbar -->

  <!-- Main Sidebar Container -->
  <aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="principal.php" class="brand-link">
      <img src="<?php echo $ruta_logo_completa; ?>" alt="AdminLTE Logo" class="brand-image img-circle elevation-3" style="opacity: .8">
      <span class="brand-text font-weight-light"><?php echo $nombre_instituto; ?></span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
      <!-- Sidebar user panel (optional) -->
      <div class="user-panel mt-3 pb-3 mb-3 d-flex">
        <div class="image">
          <img src="../dist/img/user2-160x160.jpg" class="img-circle elevation-2" alt="User Image">
        </div>
        <div class="info">
        <a href="#" class="d-block"><?php echo $apellidos; ?></a>
        <a href="#" class="d-block"><?php echo $nombres; ?></a>
        <a href="#" class="d-block"><?php echo $rol; ?></a>
        </div>
      </div>

      <!-- SidebarSearch Form -->
      <div class="form-inline">
        <div class="input-group" data-widget="sidebar-search">
          <input class="form-control form-control-sidebar" type="search" placeholder="Search" aria-label="Search">
          <div class="input-group-append">
            <button class="btn btn-sidebar">
              <i class="fas fa-search fa-fw"></i>
            </button>
          </div>
        </div>
      </div>

      <!-- Sidebar Menu -->
      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
            <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'estudiante' ) {
                        echo '<li class="nav-item">
                                <a href="../principal_estudiante.php" class="nav-link">
                                <i class="nav-icon fas fa-th"></i>
                                <p>Inicio
                                <span class="right badge badge-danger">New</span>
                                </p>
                                </a>
                            </li>';
                    }
              ?>

              <?php 
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'administrador') {
                        echo '<li class="nav-item">
                                <a href="../principal.php" class="nav-link">
                                <i class="nav-icon fas fa-home"></i>
                                <p>Inicio
                                <span class="right badge badge-danger">New</span>
                                </p>
                                </a>
                            </li>';
                    }
              ?>
              
              <?php 
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'administrador') {
                        echo '<li class="nav-item">
                                <a href="../administrador/editar_perfil.php" class="nav-link">
                                <i class="nav-icon fas fa-home"></i>
                                <p>Editar Perfil
                                <span class="right badge badge-danger">New</span>
                                </p>
                                </a>
                            </li>';
                    }
              ?>

            <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'administrador') {
                        echo '<li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="nav-icon fas fa-users"></i>
                          <p>
                          Usuarios
                            <i class="fas fa-angle-left right"></i>
                            <span class="badge badge-info right">6</span>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="../Usuarios/agregar_multiple.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Importacion Multiple</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="../Usuarios/ver_estudiantes.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Ver Estudiantes</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="../Usuarios/usuarios_inactivos.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Ver Estudiantes Inactivos</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="../Usuarios/ver_docentes.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Ver Docentes</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="../Usuarios/docentes_inactivos.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Ver Docentes Inactivos</p>
                            </a>
                          </li>
                        </ul>
                      </li> ';
                    }
            ?> 

            <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'administrador') {
                        echo '<li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="nav-icon fas fa-building"></i>
                          <p>
                          Instituto
                            <i class="fas fa-angle-left right"></i>
                            <span class="badge badge-info right">6</span>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="../instituto/ver_instituto.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Ver Informacion</p>
                            </a>
                          </li>
                          
                          
                          
                        </ul>
                      </li> ';
                    }
            ?>

            <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'administrador') {
                        echo '<li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="nav-icon fas fa-graduation-cap"></i>
                          <p>
                          Programas Estudios
                            <i class="fas fa-angle-left right"></i>
                            <span class="badge badge-info right">6</span>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="../programas/ver_programa.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Ver Programas</p>
                            </a>
                          </li>
                          
                          
                          
                        </ul>
                      </li> ';
                    }
            ?> 
            <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'administrador') {
                        echo '<li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="nav-icon fas fa-file"></i>
                          <p>
                            Tipo de Contrato
                            <i class="fas fa-angle-left right"></i>
                            <span class="badge badge-info right">6</span>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="../Contrato/ver_contrato.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Ver tipo contrato</p>
                            </a>
                          </li>
                          
                          
                          
                        </ul>
                      </li> ';
                    }
            ?>

            <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'administrador') {
                        echo '<li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="nav-icon fas fa-building"></i>
                          <p>
                            Empresas
                            <i class="fas fa-angle-left right"></i>
                            <span class="badge badge-info right">6</span>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="../empresas/ver_empresas.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Ver empresas</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="../empresas/agregar_empresa.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Agregar empresa</p>
                            </a>
                          </li>
                          
                          
                        </ul>
                      </li> ';
                    }
            ?>


                 

            

          

          <li class="nav-item">
            <a href="#" class="nav-link">
              <i class="nav-icon fas fa-book"></i>
              <p>
                Ofertas
                <i class="fas fa-angle-left right"></i>
                <span class="badge badge-info right">6</span>
              </p>
            </a>
            <ul class="nav nav-treeview">
              

              <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'administrador') {
                        echo '<li class="nav-item">
                                <a href="mostrar.php" class="nav-link">
                                <i class="far fa-circle nav-icon"></i>
                                <p>Mostrar</p>
                                </a>
                            </li>';
                    }
              ?>

              <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'estudiante') {
                        echo '<li class="nav-item">
                                <a href="ver_postulaciones.php" class="nav-link">
                                <i class="far fa-circle nav-icon"></i>
                                <p>Ver Postulacionesr</p>
                                </a>
                            </li>';
                    }
              ?>
             

              <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'administrador') {
                        echo '<li class="nav-item">
                                <a href="agregar.php" class="nav-link">
                                <i class="far fa-circle nav-icon"></i>
                                <p>Agregar</p>
                                </a>
                            </li>';
                    }
              ?>
              
              
              
            </ul>
          </li>

          <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'administrador') {
                        echo '<li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="nav-icon fas fa-copy"></i>
                          <p>
                            Reportes
                            <i class="fas fa-angle-left right"></i>
                            <span class="badge badge-info right">6</span>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="../reportes/reporte_postulaciones.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Postulaciones</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="../reportes/ofertas_vencidas.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Ofertas Vencidas</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="../reportes/reporte_detallado.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Postulaciones Detalladas</p>
                            </a>
                          </li>
                        </ul>
                      </li> ';
                    }
            ?>  
            
            <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'administrador') {
                        echo '<li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="nav-icon fas fa-building"></i>
                          <p>
                            Seguimiento
                            <i class="fas fa-angle-left right"></i>
                            <span class="badge badge-info right">6</span>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="../cursos/ver_cursos.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Cursos</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="../becas/ver_becas.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Becas</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="../reportes/reporte_seguimiento.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Reporte de Seguimiento</p>
                            </a>
                          </li>
                          
                          
                          
                        </ul>
                      </li> ';
                    }
            ?>
          
          <li class="nav-item">
              <a href="../cerrar_sesion.php" class="nav-link">
                  <i class="nav-icon fas fa-sign-out-alt"></i>
                  <p>Cerrar Sesión</p>
              </a>
          </li>

        </ul>
      </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
  </aside>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0">Editar Perfil</h1>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Inicio</a></li>
              <li class="breadcrumb-item active">Editar Perfil</li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
    <section class="content">
    <div class="container-fluid">

    <?php
        include '../../controllers/conexion.php';

        // Verificar si se ha enviado el ID de la oferta por el método GET
        if (isset($_GET['id'])) {
            $id_oferta = $_GET['id'];

            // Realizar consulta para obtener detalles de la oferta
            $query = "SELECT * FROM ofertas_laborales WHERE id_oferta = ?";
            $stmt = mysqli_prepare($tu_conexion, $query);
            mysqli_stmt_bind_param($stmt, "i", $id_oferta);
            mysqli_stmt_execute($stmt);
            $result = mysqli_stmt_get_result($stmt);

            // Verificar si se encontraron resultados
            if ($result && $oferta = mysqli_fetch_assoc($result)) {
                // Datos de la oferta
                $titulo = $oferta['titulo'];
                $descripcion = $oferta['descripcion'];
                $fecha_publicacion = date('Y-m-d', strtotime($oferta['fecha_publicacion']));
                $fecha_limite = date('Y-m-d', strtotime($oferta['fecha_limite']));
                $lugar = $oferta['lugar'];
                $correo_oferta = $oferta['correo_oferta'];
                $lugar_oferta = $oferta['lugar_oferta'];
                $telefono_oferta = $oferta['telefono_oferta'];
                
                // ... otros campos ...

                // Cerrar la consulta preparada
                mysqli_stmt_close($stmt);
            } else {
                // Oferta no encontrada
                echo "Oferta no encontrada.";
                exit;
            }
        } else {
            // No se proporcionó un ID de oferta válido
            echo "ID de oferta no válido.";
            exit;
        }

        // Cerrar la conexión a la base de datos
        mysqli_close($tu_conexion);
    ?>
        <!-- Tu formulario aquí -->
        <form id="formRegistrarOferta" action="procesar_oferta.php" method="post" class="p-3">
            <div class="row">
                <!-- Columna izquierda -->
                <div class="col-md-6">
                    
                        
                        <input type="hidden" id="id_oferta" name="id_oferta" value="<?php echo $id_oferta; ?>" class="form-control" required>
                    
                    <div class="form-group">
                        <label for="titulo">Título de la oferta:</label>
                        <input type="text" id="titulo" name="titulo" value="<?php echo $titulo; ?>" class="form-control" required>
                    </div>

                    <div class="form-group">
                        <label for="descripcion">Descripción:</label>
                        <textarea id="descripcion" name="descripcion" class="form-control" rows="5" required><?php echo $descripcion; ?></textarea>
                    </div>

                    <div class="form-group">
                        <label for="fecha_publicacion">Fecha de Publicación:</label>
                        <input type="date" id="fecha_publicacion" name="fecha_publicacion" value="<?php echo $fecha_publicacion; ?>" class="form-control" required>
                    </div>

                    <div class="form-group">
                        <label for="fecha_limite">Fecha Limite:</label>
                        <input type="date" id="fecha_limite"  name="fecha_limite" value="<?php echo $fecha_limite; ?>" class="form-control" required>
                    </div>

                    <div class="form-group">
                        <label for="lugar">Título de la oferta:</label>
                        <input type="text" id="lugar" name="lugar" value="<?php echo $lugar; ?>" class="form-control" required>
                    </div>

                    <div class="form-group">
                        <label for="id_empresa">Empresa:</label>
                        <select name="id_empresa" id="id_empresa" class="form-control select2bs4">
                            <option value="" selected>Selecciona una empresa</option>
                            <?php foreach ($empresas as $empresa): ?>
                                <?php
                                // Verificar si el ID de la empresa coincide con el valor de la base de datos
                                $selected = ($empresa['id_empresa'] == $oferta['id_empresa']) ? 'selected' : '';
                                ?>
                                <option value="<?php echo $empresa['id_empresa']; ?>" <?php echo $selected; ?>><?php echo $empresa['nombre_empresa']; ?></option>
                            <?php endforeach; ?>
                        </select>
                    </div>

                    
                </div>

                <!-- Columna derecha -->
                <div class="col-md-6">
                    
                <div class="form-group">
                    <label for="id_programa">Programa de Estudio:</label>
                    <select name="id_programa" id="id_programa" class="form-control select2bs4">
                        <option value="" selected>Selecciona un programa de estudio</option>
                        <?php foreach ($programas as $programa): ?>
                            <?php
                            // Verificar si el ID del programa coincide con el valor de la base de datos
                            $selected = ($programa['id_programa'] == $oferta['id_programa']) ? 'selected' : '';
                            ?>
                            <option value="<?php echo $programa['id_programa']; ?>" <?php echo $selected; ?>><?php echo $programa['nombre_programa']; ?></option>
                        <?php endforeach; ?>
                    </select>
                </div>

                <div class="form-group">
                    <label for="id_tipo_contrato">Tipo de Contrato:</label>
                    <select name="id_tipo_contrato" id="id_tipo_contrato" class="form-control select2bs4">
                        <option value="" selected>Selecciona un tipo de contrato</option>
                        <?php foreach ($contratos as $contrato): ?>
                            <?php
                            // Verificar si el ID del tipo de contrato coincide con el valor de la base de datos
                            $selected = ($contrato['id_tipo_contrato'] == $oferta['id_tipo_contrato']) ? 'selected' : '';
                            ?>
                            <option value="<?php echo $contrato['id_tipo_contrato']; ?>" <?php echo $selected; ?>><?php echo $contrato['nombre_tipo_contrato']; ?></option>
                        <?php endforeach; ?>
                    </select>
                </div>

                <div class="form-group">
                    <label for="tipo_oferta">Tipo de Oferta:</label>
                    <select name="tipo_oferta" id="tipo_oferta" class="form-control" onchange="mostrarCamposAdicionales()">
                        <option value="" <?php echo ($oferta['tipo_oferta'] == '') ? 'selected' : ''; ?>>Seleccionar Tipo de Oferta</option>
                        <option value="Linea" <?php echo ($oferta['tipo_oferta'] == 'Linea') ? 'selected' : ''; ?>>Linea</option>
                        <option value="Presencial" <?php echo ($oferta['tipo_oferta'] == 'Presencial') ? 'selected' : ''; ?>>Presencial</option>
                    </select>
                </div>

                <div id="camposPresencial" style="display: <?php echo ($oferta['tipo_oferta'] == 'Presencial') ? 'block' : 'none'; ?>">
                    <!-- Campos adicionales para la opción "Presencial" -->
                    <div class="form-group">
                        <label for="correo_oferta">Correo de Contacto:</label>
                        <input type="text" id="correo_oferta" name="correo_oferta" value="<?php echo $correo_oferta; ?>" class="form-control" required>
                    </div>

                    <div class="form-group">
                        <label for="lugar_oferta">Ubicación para CV:</label>
                        <input type="text" id="lugar_oferta" name="lugar_oferta" value="<?php echo $lugar_oferta; ?>" class="form-control" required>
                    </div>

                    <div class="form-group">
                        <label for="telefono_oferta">Teléfono de Contacto:</label>
                        <input type="text" id="telefono_oferta" name="telefono_oferta" value="<?php echo $telefono_oferta; ?>" class="form-control" required>
                    </div>
                </div>



                    <!-- Agrega los demás campos según tu estructura -->
                </div>
            </div>

            <button type="button" class="btn btn-primary" id="btnActualizarOferta">Actualizar Oferta</button>
            
            <a href="mostrar.php" class="btn btn-danger float-rigth">Cancelar</a>
        </form>
        <!-- /Tu formulario -->
    </div>
</section>

    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->

  <!-- Main Footer -->
  <footer class="main-footer">
    <strong>Copyright &copy; 2024-2028 <?php echo $nombre_instituto; ?></strong>
    todos los derechos reservados.
    <div class="float-right d-none d-sm-inline-block">
      <b>Version</b> 3.2.0
    </div>
  </footer>
</div>
<!-- ./wrapper -->

<!-- REQUIRED SCRIPTS -->

<!-- jQuery -->
<script src="../plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap -->
<script src="../plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="../plugins/select2/js/select2.full.min.js"></script>
<!-- Bootstrap4 Duallistbox -->
<script src="../plugins/bootstrap4-duallistbox/jquery.bootstrap-duallistbox.min.js"></script>
<!-- InputMask -->
<script src="../plugins/moment/moment.min.js"></script>
<script src="../plugins/inputmask/jquery.inputmask.min.js"></script>
<!-- date-range-picker -->
<script src="../plugins/daterangepicker/daterangepicker.js"></script>
<!-- bootstrap color picker -->
<script src="../plugins/bootstrap-colorpicker/js/bootstrap-colorpicker.min.js"></script>
<!-- Tempusdominus Bootstrap 4 -->
<script src="../plugins/tempusdominus-bootstrap-4/js/tempusdominus-bootstrap-4.min.js"></script>
<!-- Bootstrap Switch -->
<script src="../plugins/bootstrap-switch/js/bootstrap-switch.min.js"></script>
<!-- BS-Stepper -->
<script src="../plugins/bs-stepper/js/bs-stepper.min.js"></script>
<!-- dropzonejs -->
<script src="../plugins/dropzone/min/dropzone.min.js"></script>
<!-- AdminLTE -->
<script src="../dist/js/adminlte.js"></script>

<!-- OPTIONAL SCRIPTS -->
<script src="../plugins/chart.js/Chart.min.js"></script>
<!-- AdminLTE for demo purposes -->

<!-- AdminLTE dashboard demo (This is only for demo purposes) -->
<script src="../dist/js/pages/dashboard3.js"></script>

<script>
 //Initialize Select2 Elements
 $('.select2').select2()

//Initialize Select2 Elements
$('.select2bs4').select2({
      theme: 'bootstrap4'
    })

</script>

<!-- Agrega esto en la sección <head> de tu HTML -->
<script src="https://code.jquery.com/jquery-3.6.4.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/sweetalert2@10.16.6/dist/sweetalert2.all.min.js"></script>

<script>
    // Esperar a que el documento esté listo
    $(document).ready(function () {
        // Manejar el cambio en el tipo de oferta para mostrar/ocultar campos adicionales
        $("#tipo_oferta").on("change", function () {
            mostrarCamposAdicionales();
        });

        // Manejar el clic en el botón "Actualizar Oferta"
        $("#btnActualizarOferta").on("click", function () {
            // Obtener los valores de los campos del formulario
            var id_oferta = $("#id_oferta").val();
            var titulo = $("#titulo").val();
            var descripcion = $("#descripcion").val();
            var fecha_publicacion = $("#fecha_publicacion").val();
            var fecha_limite = $("#fecha_limite").val();
            var lugar = $("#lugar").val();
            var id_empresa = $("#id_empresa").val();
            var id_programa = $("#id_programa").val();
            var id_tipo_contrato = $("#id_tipo_contrato").val();
            var tipo_oferta = $("#tipo_oferta").val();
            var correo_oferta = $("#correo_oferta").val();
            var lugar_oferta = $("#lugar_oferta").val();
            var telefono_oferta = $("#telefono_oferta").val();

            // Realizar la solicitud AJAX para actualizar la oferta
            $.ajax({
                type: 'POST',
                url: 'actualizar_oferta.php', // Reemplaza con la URL correcta
                data: {
                    id_oferta: id_oferta,
                    titulo: titulo,
                    descripcion: descripcion,
                    fecha_publicacion: fecha_publicacion,
                    fecha_limite: fecha_limite,
                    lugar: lugar,
                    id_empresa: id_empresa,
                    id_programa: id_programa,
                    id_tipo_contrato: id_tipo_contrato,
                    tipo_oferta: tipo_oferta,
                    correo_oferta: correo_oferta,
                    lugar_oferta: lugar_oferta,
                    telefono_oferta: telefono_oferta
                },
                success: function (response) {
                    if (response.success) {
                        // Oferta actualizada con éxito
                        Swal.fire('Éxito', 'Oferta actualizada correctamente', 'success');

                        // Redirigir a mostrar.php después de un breve retraso (1.5 segundos)
                        setTimeout(function() {
                            window.location.href = 'mostrar.php';
                        }, 1500);
                    }else {
                        // Error al actualizar la oferta
                        Swal.fire('Error', 'Error al actualizar la oferta: ' + response.message, 'error');
                    }
                },
                error: function () {
                    // Error en la solicitud AJAX
                    Swal.fire('Error', 'Hubo un problema al procesar la solicitud.', 'error');
                }
            });
        });
    });
</script>
<script>
    // Función para mostrar/ocultar campos adicionales según la selección de Tipo de Oferta
    function mostrarCamposAdicionales() {
        var tipoOferta = document.getElementById('tipo_oferta');
        var camposPresencial = document.getElementById('camposPresencial');

        // Mostrar campos adicionales solo si la opción seleccionada es "Presencial"
        camposPresencial.style.display = (tipoOferta.value === 'Presencial') ? 'block' : 'none';
    }
</script>




</body>
</html>
