<?php
include '../../controllers/conexion.php';
// Verificar si se ha enviado el ID de la oferta por el método POST
if ($_SERVER["REQUEST_METHOD"] == "POST" && isset($_POST["id_oferta"])) {
    $id_oferta = $_POST["id_oferta"];

    // Realizar la verificación de postulaciones
    $query_verificar_postulaciones = "SELECT COUNT(*) FROM postulaciones WHERE id_oferta = ?";
    $stmt_verificar_postulaciones = mysqli_prepare($tu_conexion, $query_verificar_postulaciones);
    mysqli_stmt_bind_param($stmt_verificar_postulaciones, "i", $id_oferta);
    mysqli_stmt_execute($stmt_verificar_postulaciones);
    mysqli_stmt_bind_result($stmt_verificar_postulaciones, $cantidad_postulaciones);
    mysqli_stmt_fetch($stmt_verificar_postulaciones);
    mysqli_stmt_close($stmt_verificar_postulaciones);

    // Si hay postulaciones, enviar una respuesta JSON con un mensaje de error
    if ($cantidad_postulaciones > 0) {
        header('Content-Type: application/json');
        echo json_encode(['success' => false, 'message' => 'No se puede eliminar la oferta porque tiene postulaciones.']);
        exit;
    }

    // Si no hay postulaciones, proceder con la eliminación de la oferta
    $query_eliminar_oferta = "DELETE FROM ofertas_laborales WHERE id_oferta = ?";
    $stmt_eliminar_oferta = mysqli_prepare($tu_conexion, $query_eliminar_oferta);
    mysqli_stmt_bind_param($stmt_eliminar_oferta, "i", $id_oferta);

    if (mysqli_stmt_execute($stmt_eliminar_oferta)) {
        // Éxito al eliminar la oferta
        header('Content-Type: application/json');
        echo json_encode(['success' => true, 'message' => 'Oferta eliminada correctamente.']);
        exit;
    } else {
        // Error al eliminar la oferta
        header('Content-Type: application/json');
        echo json_encode(['success' => false, 'message' => 'Error al eliminar la oferta.']);
        exit;
    }
} else {
    // Respuesta JSON para caso de solicitud no válida
    header('Content-Type: application/json');
    echo json_encode(['success' => false, 'message' => 'Solicitud no válida.']);
    exit;
}
?>
