<?php
session_start();

include '../../controllers/conexion.php';


use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\SMTP;
use PHPMailer\PHPMailer\Exception;

require __DIR__ . '/../../../libs/PHPMailer/src/Exception.php';
require __DIR__ . '/../../../libs/PHPMailer/src/PHPMailer.php';
require __DIR__ . '/../../../libs/PHPMailer/src/SMTP.php';

// Verificar si se ha proporcionado un ID de oferta válido
if (isset($_POST['id_oferta']) && is_numeric($_POST['id_oferta'])) {
    $id_oferta = $_POST['id_oferta'];

        // Obtener el nombre de la oferta
        $queryOferta = "SELECT titulo FROM ofertas_laborales WHERE id_oferta = ?";
        $stmtOferta = mysqli_prepare($tu_conexion, $queryOferta);
        mysqli_stmt_bind_param($stmtOferta, "i", $id_oferta);
        mysqli_stmt_execute($stmtOferta);
        mysqli_stmt_bind_result($stmtOferta, $nombre_oferta);
        mysqli_stmt_fetch($stmtOferta);
        mysqli_stmt_close($stmtOferta);

    // Verificar si el usuario está autenticado
    if (isset($_SESSION['id_usuario'])) {
        $id_usuario = $_SESSION['id_usuario'];

         // Obtener nombres y apellidos del estudiante
         $queryUsuario = "SELECT nombres, apellidos,correo FROM usuarios WHERE id_usuario = ?";
         $stmtUsuario = mysqli_prepare($tu_conexion, $queryUsuario);
         mysqli_stmt_bind_param($stmtUsuario, "i", $id_usuario);
         mysqli_stmt_execute($stmtUsuario);
         mysqli_stmt_bind_result($stmtUsuario, $nombres_estudiante, $apellidos_estudiante,$correo_usuario);
         mysqli_stmt_fetch($stmtUsuario);
         mysqli_stmt_close($stmtUsuario);

        // Verificar si el estudiante ya se ha postulado antes para evitar duplicados
        $queryVerificar = "SELECT COUNT(*) FROM postulaciones WHERE id_usuario = ? AND id_oferta = ?";
        $stmtVerificar = mysqli_prepare($tu_conexion, $queryVerificar);
        mysqli_stmt_bind_param($stmtVerificar, "ii", $id_usuario, $id_oferta);
        mysqli_stmt_execute($stmtVerificar);
        mysqli_stmt_bind_result($stmtVerificar, $cantidad);
        mysqli_stmt_fetch($stmtVerificar);
        mysqli_stmt_close($stmtVerificar);

        if ($cantidad > 0) {
            // El estudiante ya se ha postulado, muestra mensaje con SweetAlert
            header('Content-Type: application/json');
            echo json_encode(['success' => false, 'message' => 'Ya te has postulado a esta oferta']);

        } else {
            // Realizar la postulación directamente en el archivo sin llamar a métodos
            $queryInsertar = "INSERT INTO postulaciones (id_usuario, id_oferta) VALUES (?, ?)";
            $stmtInsertar = mysqli_prepare($tu_conexion, $queryInsertar);
            mysqli_stmt_bind_param($stmtInsertar, "ii", $id_usuario, $id_oferta);

            $resultado = mysqli_stmt_execute($stmtInsertar);

            mysqli_stmt_close($stmtInsertar);

            // Envío de correo al estudiante
            if ($resultado) {
                // Configuración del servidor SMTP
                $mail = new PHPMailer(true);
                $mail->isSMTP();
                $mail->Host = 'mail.iesclorindamattodeturner.edu.pe';  // Reemplaza con la dirección de tu servidor SMTP
                $mail->SMTPAuth = true;
                $mail->Username = 'pruebabolsa@iesclorindamattodeturner.edu.pe'; // Reemplaza con tu dirección de correo
                $mail->Password = '#)^XgD4+;kGw';  // Reemplaza con tu contraseña
                $mail->SMTPSecure = 'tls'; // tls o ssl, según la configuración de tu servidor
                $mail->Port = 587; // Puerto SMTP

                // Configuración del correo
                $mail->setFrom('pruebabolsa@iesclorindamattodeturner.edu.pe', 'Bolsa Laboral - IES CLORINDA MATTO DE TURNER');
                $mail->addAddress($correo_usuario, $nombres_estudiante . ' ' . $apellidos_estudiante);  // Utilizar la dirección y nombre del usuario que se está postulando  // Reemplaza con la dirección de destino
                
                // Codificación UTF-8
                 $mail->CharSet = 'UTF-8';
                $mail->isHTML(true);
                $mail->Subject = 'Postulación Exitosa';
                $mail->Body = "
                                    <h1 style='color: #3498db;'>POSTULACIÓN EXITOSA</h1>
                                    <p>Estimado estudiante $nombres_estudiante $apellidos_estudiante,</p>
                                    <p>Tu postulación a la oferta laboral \"$nombre_oferta\" ha sido exitosa. ¡Buena suerte en el proceso!</p>
                                ";


                // Enviar el correo
                $mail->send();
            }

            // Devolver respuesta JSON con SweetAlert
            header('Content-Type: application/json');
            echo json_encode(['success' => $resultado, 'message' => $resultado ? '¡Postulación exitosa! revisar su correo electronico' : 'Error al postularse']);
        }
    } else {
        // El usuario no está autenticado, devolver respuesta JSON con SweetAlert
        header('Content-Type: application/json');
        echo json_encode(['success' => false, 'message' => 'Usuario no autenticado']);
    }
} else {
    // El ID de oferta no es válido, devolver respuesta JSON con SweetAlert
    header('Content-Type: application/json');
    echo json_encode(['success' => false, 'message' => 'ID de oferta no válido']);
}
?>
