<?php
// Incluir la conexión y los archivos necesarios
include '../../controllers/conexion.php';


//llamamos al modelo y controlador de ofertas
include '../../controllers/OfertasController.php';
include '../../models/OfertasModel.php';


// Crear instancias del controlador y el modelo para ofertas
$ofertasController = new OfertasController($tu_conexion);
$ofertasModel = new OfertasModel($tu_conexion);


// Verificar si se recibieron datos del formulario
if ($_SERVER["REQUEST_METHOD"] === "POST") {
    // Verificar la existencia de cada campo antes de acceder a ellos
    $titulo = isset($_POST['titulo']) ? $_POST['titulo'] : '';
    $descripcion = isset($_POST['descripcion']) ? $_POST['descripcion'] : '';
    $fecha_publicacion = isset($_POST['fecha_publicacion']) ? $_POST['fecha_publicacion'] : '';
    $fecha_limite = isset($_POST['fecha_limite']) ? $_POST['fecha_limite'] : '';
    $id_empresa = isset($_POST['id_empresa']) ? $_POST['id_empresa'] : '';
    $id_programa = isset($_POST['id_programa']) ? $_POST['id_programa'] : '';
    $id_tipo_contrato = isset($_POST['id_tipo_contrato']) ? $_POST['id_tipo_contrato'] : '';
    $lugar = isset($_POST['lugar']) ? $_POST['lugar'] : '';

    $tipo_oferta = isset($_POST['tipo_oferta']) ? $_POST['tipo_oferta'] : '';
    $correo_oferta = isset($_POST['correo_oferta']) ? $_POST['correo_oferta'] : '';
    $lugar_oferta = isset($_POST['lugar_oferta']) ? $_POST['lugar_oferta'] : '';
    $telefono_oferta = isset($_POST['telefono_oferta']) ? $_POST['telefono_oferta'] : '';

    // Otras validaciones y sanitizaciones según sea necesario

    // Llamar al método para registrar la oferta en el controlador
    $resultado_registro = $ofertasController->registrarOferta(
        $titulo,
        $descripcion,
        $fecha_publicacion,
        $fecha_limite,
        $id_empresa,
        $id_programa,
        $id_tipo_contrato,
        $lugar,
        $tipo_oferta,
        $correo_oferta,
        $lugar_oferta,
        $telefono_oferta
    );

    // Enviar respuesta JSON al cliente
    header('Content-Type: application/json');
    echo json_encode(['success' => $resultado_registro, 'message' => $resultado_registro ? 'Oferta registrada con éxito' : 'Error al registrar la oferta']);
} else {
    // Si no se recibieron datos por POST, enviar respuesta de error
    header('Content-Type: application/json');
    echo json_encode(['success' => false, 'message' => 'Error en la solicitud']);
}


?>
