<?php
session_start();
include '../../controllers/conexion.php';

include '../../controllers/OfertasController.php';
include '../../models/OfertasModel.php';
if (isset($_SESSION['id_usuario'])) {
  $id_usuario = $_SESSION['id_usuario'];

  // Realizar consulta para obtener información del usuario
  $query = "SELECT nombres, apellidos, rol FROM usuarios WHERE id_usuario = ?";
  $stmt = mysqli_prepare($tu_conexion, $query);
  mysqli_stmt_bind_param($stmt, "i", $id_usuario);
  mysqli_stmt_execute($stmt);
  mysqli_stmt_bind_result($stmt, $nombres, $apellidos, $rol);

  // Obtener el resultado de la consulta
  if (mysqli_stmt_fetch($stmt)) {
      // Mostrar la información del usuario
     
  } else {
     
  }

  // Cerrar la conexión y liberar recursos
  mysqli_stmt_close($stmt);
  //mysqli_close($tu_conexion);
} else {
  // Redirigir si la sesión no está iniciada
   header('Location: /bolsalaboral/login.php');
  exit();
}
// Verificar si se ha proporcionado un ID válido
if (isset($_GET['id']) && is_numeric($_GET['id'])) {
  $ofertaId = $_GET['id'];

  // Realizar consulta para obtener detalles de la oferta con $ofertaId
  // Puedes utilizar el modelo y controlador que ya has creado

  // Luego, mostrar los detalles de la oferta
  // ...

  

} else {
  // Manejar el caso en que no se proporcionó un ID válido
  echo "ID de oferta no válido";
}


// Crear instancias del controlador y el modelo para ofertas
$ofertasController = new OfertasController($tu_conexion);
$ofertasModel = new OfertasModel($tu_conexion);

// Obtener la cantidad de ofertas
$detallesOferta = $ofertasController->obtenerDetallesOferta($ofertaId);


// Obtener información del instituto
$query_instituto = "SELECT * FROM informacion_instituto";
$result_instituto = mysqli_query($tu_conexion, $query_instituto);

// Obtener datos del instituto si existen
$datos_instituto = mysqli_fetch_assoc($result_instituto);
$nombre_instituto = $datos_instituto['nombre_instituto'];
$direccion_instituto = $datos_instituto['direccion_instituto'];
$telefono_instituto = $datos_instituto['telefono_instituto'];
$logo_instituto = $datos_instituto['logo_instituto'];

$ruta_base_logos = '../../archivos/logos/';

// Construir la ruta completa al logo
$ruta_logo_completa = $ruta_base_logos . $logo_instituto;



?>
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title><?php echo $nombre_instituto; ?> | Bolsa Laboral</title>

  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css">
  <!-- DataTables -->
  <link rel="stylesheet" href="../plugins/datatables-bs4/css/dataTables.bootstrap4.min.css">
  <link rel="stylesheet" href="../plugins/datatables-responsive/css/responsive.bootstrap4.min.css">
  <link rel="stylesheet" href="../plugins/datatables-buttons/css/buttons.bootstrap4.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="../dist/css/adminlte.min.css">
  <style>
  [class*=sidebar-dark-] {
    background-color: #083868;
    
}

[class*=sidebar-dark] .form-control-sidebar {
    background-color: #083868;
    border: 1px solid #fff;
    color: #fff;
}

[class*=sidebar-dark] .btn-sidebar, [class*=sidebar-dark] .form-control-sidebar {
    background-color: #083868;
    border: 1px solid #fff;
    color: #fff;
}



/* Cambia el color de fondo de los botones específicos si es necesario */
.dataTables_wrapper .dt-buttons .btn {
    background-color: #13416f; /* Cambia el color de fondo a tu preferencia */
    border: 1px solid #fff;
}

</style>
</head>
<body class="hold-transition sidebar-mini">
<div class="wrapper">
  <!-- Navbar -->
  <nav class="main-header navbar navbar-expand navbar-white navbar-light">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="#" class="nav-link">Inicio</a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="#" class="nav-link">Contacto</a>
      </li>
    </ul>

    <!-- Right navbar links -->
    
  </nav>
  <!-- /.navbar -->

  <!-- Main Sidebar Container -->
  <aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="#" class="brand-link">
      <img src="<?php echo $ruta_logo_completa; ?>" alt="AdminLTE Logo" class="brand-image img-circle elevation-3" style="opacity: .8">
      <span class="brand-text font-weight-light"><?php echo $nombre_instituto; ?></span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
      <!-- Sidebar user (optional) -->
      <div class="user-panel mt-3 pb-3 mb-3 d-flex">
        <div class="image">
          <img src="../dist/img/user2-160x160.jpg" class="img-circle elevation-2" alt="User Image">
        </div>
        <div class="info">
          <a href="#" class="d-block"><?php echo $apellidos; ?></a>
          <a href="#" class="d-block"><?php echo $nombres; ?></a>
          <a href="#" class="d-block"><?php echo $rol; ?></a>
        </div>
      </div>

      <!-- SidebarSearch Form -->
      <div class="form-inline">
        <div class="input-group" data-widget="sidebar-search">
          <input class="form-control form-control-sidebar" type="search" placeholder="Search" aria-label="Search">
          <div class="input-group-append">
            <button class="btn btn-sidebar">
              <i class="fas fa-search fa-fw"></i>
            </button>
          </div>
        </div>
      </div>

      <!-- Sidebar Menu -->
    <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
            <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'estudiante' ) {
                        echo '<li class="nav-item">
                                <a href="../principal_estudiante.php" class="nav-link">
                                <i class="nav-icon fas fa-th"></i>
                                <p>Inicio
                                <span class="right badge badge-danger">New</span>
                                </p>
                                </a>
                            </li>';
                    }
              ?>

              <?php 
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'administrador') {
                        echo '<li class="nav-item">
                                <a href="../principal.php" class="nav-link">
                                <i class="nav-icon fas fa-home"></i>
                                <p>Inicio
                                <span class="right badge badge-danger">New</span>
                                </p>
                                </a>
                            </li>';
                    }
              ?>
              
              <?php 
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'administrador') {
                        echo '<li class="nav-item">
                                <a href="../administrador/editar_perfil.php" class="nav-link">
                                <i class="nav-icon fas fa-home"></i>
                                <p>Editar Perfil
                                <span class="right badge badge-danger">New</span>
                                </p>
                                </a>
                            </li>';
                    }
              ?>

            <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'administrador') {
                        echo '<li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="nav-icon fas fa-users"></i>
                          <p>
                          Usuarios
                            <i class="fas fa-angle-left right"></i>
                            <span class="badge badge-info right">6</span>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="../Usuarios/agregar_multiple.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Importacion Multiple</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="../Usuarios/ver_estudiantes.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Ver Estudiantes</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="../Usuarios/usuarios_inactivos.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Ver Estudiantes Inactivos</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="../Usuarios/ver_docentes.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Ver Docentes</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="../Usuarios/docentes_inactivos.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Ver Docentes Inactivos</p>
                            </a>
                          </li>
                        </ul>
                      </li> ';
                    }
            ?> 

            <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'administrador') {
                        echo '<li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="nav-icon fas fa-building"></i>
                          <p>
                          Instituto
                            <i class="fas fa-angle-left right"></i>
                            <span class="badge badge-info right">6</span>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="../instituto/ver_instituto.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Ver Informacion</p>
                            </a>
                          </li>
                          
                          
                          
                        </ul>
                      </li> ';
                    }
            ?>

            <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'administrador') {
                        echo '<li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="nav-icon fas fa-graduation-cap"></i>
                          <p>
                          Programas Estudios
                            <i class="fas fa-angle-left right"></i>
                            <span class="badge badge-info right">6</span>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="../programas/ver_programa.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Ver Programas</p>
                            </a>
                          </li>
                          
                          
                          
                        </ul>
                      </li> ';
                    }
            ?> 
            <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'administrador') {
                        echo '<li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="nav-icon fas fa-file"></i>
                          <p>
                            Tipo de Contrato
                            <i class="fas fa-angle-left right"></i>
                            <span class="badge badge-info right">6</span>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="../Contrato/ver_contrato.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Ver tipo contrato</p>
                            </a>
                          </li>
                          
                          
                          
                        </ul>
                      </li> ';
                    }
            ?>

            <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'administrador') {
                        echo '<li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="nav-icon fas fa-building"></i>
                          <p>
                            Empresas
                            <i class="fas fa-angle-left right"></i>
                            <span class="badge badge-info right">6</span>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="../empresas/ver_empresas.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Ver empresas</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="../empresas/agregar_empresa.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Agregar empresa</p>
                            </a>
                          </li>
                          
                          
                        </ul>
                      </li> ';
                    }
            ?>


                 

            

          

          <li class="nav-item">
            <a href="#" class="nav-link">
              <i class="nav-icon fas fa-book"></i>
              <p>
                Ofertas
                <i class="fas fa-angle-left right"></i>
                <span class="badge badge-info right">6</span>
              </p>
            </a>
            <ul class="nav nav-treeview">
              

              <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'administrador') {
                        echo '<li class="nav-item">
                                <a href="mostrar.php" class="nav-link">
                                <i class="far fa-circle nav-icon"></i>
                                <p>Mostrar</p>
                                </a>
                            </li>';
                    }
              ?>

              <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'estudiante') {
                        echo '<li class="nav-item">
                                <a href="ver_postulaciones.php" class="nav-link">
                                <i class="far fa-circle nav-icon"></i>
                                <p>Ver Postulacionesr</p>
                                </a>
                            </li>';
                    }
              ?>
             

              <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'administrador') {
                        echo '<li class="nav-item">
                                <a href="agregar.php" class="nav-link">
                                <i class="far fa-circle nav-icon"></i>
                                <p>Agregar</p>
                                </a>
                            </li>';
                    }
              ?>
              
              
              
            </ul>
          </li>

          <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'administrador') {
                        echo '<li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="nav-icon fas fa-copy"></i>
                          <p>
                            Reportes
                            <i class="fas fa-angle-left right"></i>
                            <span class="badge badge-info right">6</span>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="../reportes/reporte_postulaciones.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Postulaciones</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="../reportes/ofertas_vencidas.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Ofertas Vencidas</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="../reportes/reporte_detallado.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Postulaciones Detalladas</p>
                            </a>
                          </li>
                        </ul>
                      </li> ';
                    }
            ?>  
            
            <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'administrador') {
                        echo '<li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="nav-icon fas fa-building"></i>
                          <p>
                            Seguimiento
                            <i class="fas fa-angle-left right"></i>
                            <span class="badge badge-info right">6</span>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="../cursos/ver_cursos.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Cursos</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="../becas/ver_becas.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Becas</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="../reportes/reporte_seguimiento.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Reporte de Seguimiento</p>
                            </a>
                          </li>
                          
                          
                          
                        </ul>
                      </li> ';
                    }
            ?>
          
          <li class="nav-item">
              <a href="../cerrar_sesion.php" class="nav-link">
                  <i class="nav-icon fas fa-sign-out-alt"></i>
                  <p>Cerrar Sesión</p>
              </a>
          </li>

        </ul>
      </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
  </aside>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Detalle Oferta</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Inicio</a></li>
              <li class="breadcrumb-item active">Ver Overta</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
   
    <div class="content">
        <div class="row">
            <div class="col-md-6">
                <!-- Columna izquierda: Título y Descripción -->
                <div class="card">
                    <div class="card-header">
                        <h3 class="card-title"><?php echo $detallesOferta['titulo'];?></h3>
                    </div>
                    <div class="card-body" style="height: 310px; overflow-y: auto;">
                        <p><?php echo nl2br($detallesOferta['descripcion']);?></p>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <!-- Columna derecha: Otros detalles de la oferta -->
                <div class="card">
                    <div class="card-header">
                        <h3 class="card-title">Detalles de la oferta</h3>
                    </div>
                    <div class="card-body">
                        <p><strong>Fecha de Publicación:</strong> <?php echo date('Y-m-d', strtotime($detallesOferta['fecha_publicacion'])); ?></p>
                        <p><strong>Fecha Límite:</strong> <?php echo date('Y-m-d', strtotime($detallesOferta['fecha_limite'])); ?></p>
                        <p><strong>Tipo de Contrato:</strong> <?php echo $detallesOferta['Contrato']; ?></p>
                        <p><strong>Empresa:</strong> <?php echo $detallesOferta['Empresa']; ?></p>
                        <p><strong>Programa:</strong> <?php echo $detallesOferta['Programa']; ?></p>
                        <p><strong>Tipo Oferta:</strong> <?php echo $detallesOferta['tipo_oferta']; ?></p>

                        <?php
                            // Función para verificar si el usuario tiene un currículum subido
                            function usuarioTieneCurriculum($idUsuario) {
                                global $tu_conexion;

                                $query = "SELECT curriculum_archivo FROM estudiantes WHERE id_usuario = ?";
                                $stmt = mysqli_prepare($tu_conexion, $query);
                                mysqli_stmt_bind_param($stmt, 'i', $idUsuario);
                                mysqli_stmt_execute($stmt);
                                mysqli_stmt_bind_result($stmt, $archivoCurriculum);
                                mysqli_stmt_fetch($stmt);
                                mysqli_stmt_close($stmt);

                                // Verificar si el campo "archivo_curriculum" no está vacío
                                return !empty($archivoCurriculum);
                            }

                            // Obtener los IDs de la oferta y del usuario
                            $idOferta = $detallesOferta['id_oferta'];
                            $idUsuario = $_SESSION['id_usuario'];

                            // Verificar si el usuario ya ha postulado a esta oferta
                            $queryVerificarPostulacion = "SELECT id_postulacion FROM postulaciones WHERE id_oferta = ? AND id_usuario = ?";
                            $stmtVerificarPostulacion = mysqli_prepare($tu_conexion, $queryVerificarPostulacion);
                            mysqli_stmt_bind_param($stmtVerificarPostulacion, 'ii', $idOferta, $idUsuario);
                            mysqli_stmt_execute($stmtVerificarPostulacion);
                            mysqli_stmt_bind_result($stmtVerificarPostulacion, $idPostulacion);
                            mysqli_stmt_fetch($stmtVerificarPostulacion);
                            mysqli_stmt_close($stmtVerificarPostulacion);

                            // Mostrar botones según el estado de la postulación y la disponibilidad de un currículum
                            if ($idPostulacion) {
                                // El usuario ya ha postulado, muestra un botón deshabilitado
                                echo '<button type="button" class="btn btn-warning btn-sm" disabled>Ya ha postulado</button>';
                                
                                if ($detallesOferta['tipo_oferta'] == 'Presencial') {
                                    echo '<p><strong>Enviar su CV:</strong> ' . htmlspecialchars($detallesOferta['correo_oferta'], ENT_QUOTES, 'UTF-8') . '</p>';
                                    echo '<p><strong>Presentar su CV:</strong> ' . htmlspecialchars($detallesOferta['lugar_oferta'], ENT_QUOTES, 'UTF-8') . '</p>';
                                    echo '<p><strong>Contacto:</strong> ' . htmlspecialchars($detallesOferta['telefono_oferta'], ENT_QUOTES, 'UTF-8') . '</p>';
                                }
                            } elseif ($rol == 'estudiante' && !usuarioTieneCurriculum($idUsuario)) {
                                // El usuario es un estudiante y no tiene un currículum, muestra el botón para subir currículum
                                echo '<a href="../estudiante/perfil.php">
                                        <button type="button" class="btn btn-warning btn-sm">
                                            Debes subir un currículum antes de poder postularte a esta oferta.
                                        </button>
                                      </a>';
                            } elseif (usuarioTieneCurriculum($idUsuario)) {
                                // El usuario tiene un currículum, muestra el botón de postulación
                                echo '<button type="button" class="btn btn-success btn-sm" id="btnPostular" data-id="' . htmlspecialchars($idOferta, ENT_QUOTES, 'UTF-8') . '">Postular</button>';
                            }
                        ?>

                        <!-- Agrega más campos según sea necesario -->
                        
                                           
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
  <footer class="main-footer">
    <strong>Copyright &copy; 2024-2028 <?php echo $nombre_instituto; ?></strong>
    todos los derechos reservados.
    <div class="float-right d-none d-sm-inline-block">
      <b>Version</b> 3.2.0
    </div>
  </footer>

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->

<!-- jQuery -->
<script src="../plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="../plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- DataTables  & Plugins -->
<script src="../plugins/datatables/jquery.dataTables.min.js"></script>
<script src="../plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
<script src="../plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
<script src="../plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
<script src="../plugins/datatables-buttons/js/dataTables.buttons.min.js"></script>
<script src="../plugins/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
<script src="../plugins/jszip/jszip.min.js"></script>
<script src="../plugins/pdfmake/pdfmake.min.js"></script>
<script src="../plugins/pdfmake/vfs_fonts.js"></script>
<script src="../plugins/datatables-buttons/js/buttons.html5.min.js"></script>
<script src="../plugins/datatables-buttons/js/buttons.print.min.js"></script>
<script src="../plugins/datatables-buttons/js/buttons.colVis.min.js"></script>
<!-- AdminLTE App -->
<script src="../dist/js/adminlte.min.js"></script>
<!-- AdminLTE for demo purposes -->

<!-- Page specific script -->

<script src="https://code.jquery.com/jquery-3.6.4.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/sweetalert2@10.16.6/dist/sweetalert2.all.min.js"></script>
<script>
    $(document).ready(function () {
    $("#btnPostular").on("click", function () {
        // Obtener el ID de la oferta desde el atributo data del botón
        var id_oferta = $(this).data("id");

        // Realizar la solicitud AJAX
        $.ajax({
            type: "POST",
            url: "postular.php",
            data: { id_oferta: id_oferta },
            dataType: "json",
            success: function (response) {
                if (response.success) {
                    // Postulación exitosa, mostrar mensaje con SweetAlert
                    Swal.fire({
                        icon: 'success',
                        title: '¡Éxito!',
                        text: response.message,
                    }).then(function () {
                        // Puedes agregar acciones adicionales después de hacer clic en "Aceptar"
                        location.reload(); // Recargar la página, por ejemplo
                    });
                } else {
                    // Error en la postulación, mostrar mensaje con SweetAlert
                    Swal.fire({
                        icon: 'error',
                        title: 'Error',
                        text: response.message,
                    });
                }
            },
            error: function (xhr, status, error) {
                console.error("Error al procesar la solicitud AJAX:", error);
                // Puedes manejar errores adicionales aquí si es necesario
            }
        });
    });
});

</script>


</body>
</html>
