<?php
session_start();
include '../controllers/conexion.php';

include '../controllers/OfertasController.php';
include '../models/OfertasModel.php';

include '../controllers/ProgramasController.php';
include '../models/ProgramasModel.php';

include '../controllers/EmpresasController.php';
include '../models/EmpresasModel.php';

include '../controllers/UsuariosController.php';
include '../models/UsuariosModel.php';

include '../controllers/PostulacionesController.php';
include '../models/PostulacionesModel.php';

// Crear instancias del controlador y el modelo para ofertas
$ofertasController = new OfertasController($tu_conexion);
$ofertasModel = new OfertasModel($tu_conexion);

// crear instancias del controlador y modelo para programa de estudios

$programasController = new ProgramasController($tu_conexion);
$programasModel = new ProgramasModel($tu_conexion);

// crear instancias del controlador y modelo para empresas

$empresasController = new EmpresasController($tu_conexion);
$empresasModel = new EmpresasModel($tu_conexion);

// crear instancias del controlador y modelo para estudiantes

$usuariosController = new UsuariosController($tu_conexion);
$usuariosModel = new UsuariosModel($tu_conexion);

// crear instancias del controlador y modelo para postulaciones

$postulacionesController = new PostulacionesController($tu_conexion);
$postulacionesModel = new PostulacionesModel($tu_conexion);

// Obtener la cantidad de ofertas
$cantidad_ofertas = $ofertasController->obtenerCantidadOfertas();

// Obtener la cantidad de programas de estudio
$cantidad_programas = $programasController->obtenerCantidadProgramas();

// Obtener la cantidad de empresas
$cantidad_empresas = $empresasController->obtenerCantidadEmpresas();

// Obtener la cantidad de usuarios
$cantidad_estudiantes = $usuariosController->obtenerCantidadUsuarios();
$cantidad_estudiantesi = $usuariosController->obtenerCantidadEstudiantesInactivos();
$cantidad_docentes = $usuariosController->obtenerCantidadDocentes();
$cantidad_docentesi = $usuariosController->obtenerCantidadDocentesInactivos();

// Obtener la cantidad de postulaciones
$cantidad_postulaciones = $postulacionesController->obtenerCantidadPostulaciones();


// Resto del código de principal.php

// Obtener información del instituto
$query_instituto = "SELECT * FROM informacion_instituto";
$result_instituto = mysqli_query($tu_conexion, $query_instituto);

// Obtener datos del instituto si existen
$datos_instituto = mysqli_fetch_assoc($result_instituto);
$nombre_instituto = $datos_instituto['nombre_instituto'];
$direccion_instituto = $datos_instituto['direccion_instituto'];
$telefono_instituto = $datos_instituto['telefono_instituto'];
$logo_instituto = $datos_instituto['logo_instituto'];

// Ruta base donde se almacenan tus logos
$ruta_base_logos = '../archivos/logos/';

// Construir la ruta completa al logo
$ruta_logo_completa = $ruta_base_logos . $logo_instituto;




if (isset($_SESSION['id_usuario'])) {
  $id_usuario = $_SESSION['id_usuario'];

  // Realizar consulta para obtener información del usuario
  $query = "SELECT nombres, apellidos, rol, correo FROM usuarios WHERE id_usuario = ?";
  $stmt = mysqli_prepare($tu_conexion, $query);
  mysqli_stmt_bind_param($stmt, "i", $id_usuario);
  mysqli_stmt_execute($stmt);
  mysqli_stmt_bind_result($stmt, $nombres, $apellidos, $rol, $correo);

  // Obtener el resultado de la consulta
  if (mysqli_stmt_fetch($stmt)) {
      // Mostrar la información del usuario
     
  } else {
     
  }

  // Cerrar la conexión y liberar recursos
  mysqli_stmt_close($stmt);
  mysqli_close($tu_conexion);
} else {
  // Redirigir si la sesión no está iniciada
   header('Location: /bolsalaboral/login.php');
  exit();
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title><?php echo $nombre_instituto; ?> | Bolsa Laboral</title>

  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome Icons -->
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
  <!-- IonIcons -->
  <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="dist/css/adminlte.min.css">
  <style>
  [class*=sidebar-dark-] {
    background-color: #083868;
    
}

[class*=sidebar-dark] .form-control-sidebar {
    background-color: #083868;
    border: 1px solid #fff;
    color: #fff;
}

[class*=sidebar-dark] .btn-sidebar, [class*=sidebar-dark] .form-control-sidebar {
    background-color: #083868;
    border: 1px solid #fff;
    color: #fff;
}



/* Cambia el color de fondo de los botones específicos si es necesario */
.dataTables_wrapper .dt-buttons .btn {
    background-color: #13416f; /* Cambia el color de fondo a tu preferencia */
    border: 1px solid #fff;
}

</style>
</head>
<!--
`body` tag options:

  Apply one or more of the following classes to to the body tag
  to get the desired effect

  * sidebar-collapse
  * sidebar-mini
-->
<body class="hold-transition sidebar-mini">
<div class="wrapper">
  <!-- Navbar -->
  <nav class="main-header navbar navbar-expand navbar-white navbar-light">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="#" class="nav-link">Inicio</a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="#" class="nav-link">Correo de Soporte: <?php echo $correo; ?></a>
      </li>
    </ul>

   
  </nav>
  <!-- /.navbar -->

  <!-- Main Sidebar Container -->
  <aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="principal.php" class="brand-link">
      <img src="<?php echo $ruta_logo_completa; ?>" alt="AdminLTE Logo" class="brand-image img-circle elevation-3" style="opacity: .8">
      <span class="brand-text font-weight-light"><?php echo $nombre_instituto; ?></span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
      <!-- Sidebar user panel (optional) -->
      <div class="user-panel mt-3 pb-3 mb-3 d-flex">
        <div class="image">
          <img src="dist/img/user2-160x160.jpg" class="img-circle elevation-2" alt="User Image">
        </div>
        <div class="info">
        <a href="#" class="d-block"><?php echo $apellidos; ?></a>
        <a href="#" class="d-block"><?php echo $nombres; ?></a>
        <a href="#" class="d-block"><?php echo $rol; ?></a>
        </div>
      </div>

      <!-- SidebarSearch Form -->
      <div class="form-inline">
        <div class="input-group" data-widget="sidebar-search">
          <input class="form-control form-control-sidebar" type="search" placeholder="Search" aria-label="Search">
          <div class="input-group-append">
            <button class="btn btn-sidebar">
              <i class="fas fa-search fa-fw"></i>
            </button>
          </div>
        </div>
      </div>

      <!-- Sidebar Menu -->
      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
          
            <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'estudiante' || $rol === 'docente' ) {
                        echo '<li class="nav-item">
                                <a href="principal_estudiante.php" class="nav-link">
                                <i class="nav-icon fas fa-th"></i>
                                <p>Inicio
                                <span class="right badge badge-danger">New</span>
                                </p>
                                </a>
                            </li>';
                    }
              ?>

              <?php 
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'administrador') {
                        echo '<li class="nav-item">
                                <a href="principal.php" class="nav-link">
                                <i class="nav-icon fas fa-th"></i>
                                <p>Inicio
                                <span class="right badge badge-danger">New</span>
                                </p>
                                </a>
                            </li>';
                    }
              ?>
                <?php 
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'administrador') {
                        echo '<li class="nav-item">
                                <a href="administrador/editar_perfil.php" class="nav-link">
                                <i class="nav-icon fas fa-th"></i>
                                <p>Editar Perfil
                                <span class="right badge badge-danger">New</span>
                                </p>
                                </a>
                            </li>';
                    }
              ?>
            
            <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'administrador') {
                        echo '<li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="nav-icon fas fa-user"></i>
                          <p>
                          Usuarios
                            <i class="fas fa-angle-left right"></i>
                            <span class="badge badge-info right">6</span>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="Usuarios/agregar_multiple.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Importacion Multiple</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="Usuarios/ver_estudiantes.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Ver Estudiantes</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="Usuarios/usuarios_inactivos.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Ver Estudiantes Inactivos</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="Usuarios/ver_docentes.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Ver Docentes</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="Usuarios/docentes_inactivos.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Ver Docentes Inactivos</p>
                            </a>
                          </li>
                          
                        </ul>
                      </li> ';
                    }
            ?> 

            <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'administrador') {
                        echo '<li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="nav-icon fas fa-building"></i>
                          <p>
                          Instituto
                            <i class="fas fa-angle-left right"></i>
                            <span class="badge badge-info right">6</span>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="instituto/ver_instituto.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Ver Informacion</p>
                            </a>
                          </li>
                          
                          
                          
                        </ul>
                      </li> ';
                    }
            ?>

            <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'administrador') {
                        echo '<li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="nav-icon fas fa-graduation-cap"></i>
                          <p>
                          Programas Estudios
                            <i class="fas fa-angle-left right"></i>
                            <span class="badge badge-info right">6</span>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="programas/ver_programa.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Ver Programas</p>
                            </a>
                          </li>
                          
                          
                          
                        </ul>
                      </li> ';
                    }
            ?> 
            <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'administrador') {
                        echo '<li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="nav-icon fas fa-file"></i>
                          <p>
                            Tipo de Contrato
                            <i class="fas fa-angle-left right"></i>
                            <span class="badge badge-info right">6</span>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="Contrato/ver_contrato.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Ver tipo contrato</p>
                            </a>
                          </li>
                          
                          
                          
                        </ul>
                      </li> ';
                    }
            ?>

            <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'administrador') {
                        echo '<li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="nav-icon fas fa-building"></i>
                          <p>
                            Empresas
                            <i class="fas fa-angle-left right"></i>
                            <span class="badge badge-info right">6</span>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="empresas/ver_empresas.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Ver empresas</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="empresas/agregar_empresa.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Agregar empresa</p>
                            </a>
                          </li>
                          
                          
                        </ul>
                      </li> ';
                    }
            ?>


            <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'estudiante') {
                        echo '<li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="nav-icon fas fa-copy"></i>
                          <p>
                            Perfil
                            <i class="fas fa-angle-left right"></i>
                            <span class="badge badge-info right">6</span>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="estudiante/perfil.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Ver Perfil</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="estudiante/editar_perfil.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Editar Perfil</p>
                            </a>
                          </li>
                          
                        </ul>
                      </li> ';
                    }
            ?>     

            

          

          <li class="nav-item">
            <a href="#" class="nav-link">
              <i class="nav-icon fas fa-book"></i>
              <p>
                Ofertas
                <i class="fas fa-angle-left right"></i>
                <span class="badge badge-info right">6</span>
              </p>
            </a>
            <ul class="nav nav-treeview">
              <li class="nav-item">
                <a href="ofertas/mostrar.php" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Mostrar</p>
                </a>
              </li>

              <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'estudiante') {
                        echo '<li class="nav-item">
                                <a href="ofertas/ver_postulaciones.php" class="nav-link">
                                <i class="far fa-circle nav-icon"></i>
                                <p>Agregar</p>
                                </a>
                            </li>';
                    }
              ?>
             

              <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'administrador') {
                        echo '<li class="nav-item">
                                <a href="ofertas/agregar.php" class="nav-link">
                                <i class="far fa-circle nav-icon"></i>
                                <p>Agregar</p>
                                </a>
                            </li>';
                    }
              ?>
              
              
              
            </ul>
          </li>

          <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'administrador') {
                        echo '<li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="nav-icon fas fa-chart-pie"></i>
                          <p>
                            Reportes
                            <i class="fas fa-angle-left right"></i>
                            <span class="badge badge-info right">6</span>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="reportes/reporte_postulaciones.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Postulaciones</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="reportes/ofertas_vencidas.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Ofertas Vencidas</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="reportes/reporte_detallado.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Postulaciones Detalladas</p>
                            </a>
                          </li>
                        </ul>
                      </li> ';
                    }
            ?>
            
            

            <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'administrador') {
                        echo '<li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="nav-icon fas fa-building"></i>
                          <p>
                            Seguimiento
                            <i class="fas fa-angle-left right"></i>
                            <span class="badge badge-info right">6</span>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="cursos/ver_cursos.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Cursos</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="becas/ver_becas.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Becas</p>
                            </a>
                          </li>
                          
                          <li class="nav-item">
                            <a href="reportes/reporte_seguimiento.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Reportes</p>
                            </a>
                          </li>
                          
                        </ul>
                      </li> ';
                    }
            ?>
          
          <li class="nav-item">
              <a href="cerrar_sesion.php" class="nav-link">
                  <i class="nav-icon fas fa-sign-out-alt"></i>
                  <p>Cerrar Sesión</p>
              </a>
          </li>

        </ul>
      </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
  </aside>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0">Panel de Control</h1>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Inicio</a></li>
              <li class="breadcrumb-item active">Panel de Control</li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
     <div class="content">
      <div class="row">
          <div class="col-md-3">
            <a href="ofertas/mostrar.php" style="text-decoration: none; color: inherit;">
                <div class="info-box">
                    <span class="info-box-icon bg-info"><i class="far fa-copy"></i></span>
                    <div class="info-box-content">
                        <span class="info-box-text">Ofertas Disponibles</span>
                        <span class="info-box-number"><?php echo $cantidad_ofertas; ?></span>
                    </div>
                </div>
            </a>
          </div>

          <div class="col-md-3">
            <a href="programas/ver_programa.php" style="text-decoration: none; color: inherit;">
                <div class="info-box">
                    <span class="info-box-icon bg-info"><i class="far fa-copy"></i></span>
                    <div class="info-box-content">
                        <span class="info-box-text">Programas de Estudio</span>
                        <span class="info-box-number"><?php echo $cantidad_programas; ?></span>
                    </div>
                </div>
            </a>
          </div>

          <div class="col-md-3">
            <a href="empresas/ver_empresas.php" style="text-decoration: none; color: inherit;">
                <div class="info-box">
                    <span class="info-box-icon bg-info"><i class="far fa-copy"></i></span>
                    <div class="info-box-content">
                        <span class="info-box-text">Empresas</span>
                        <span class="info-box-number"><?php echo $cantidad_empresas; ?></span>
                    </div>
                </div>
            </a>
          </div>
          <div class="col-md-3">
            <a href="Usuarios/ver_estudiantes.php" style="text-decoration: none; color: inherit;">
                <div class="info-box">
                    <span class="info-box-icon bg-info"><i class="far fa-copy"></i></span>
                    <div class="info-box-content">
                        <span class="info-box-text">Estudiantes Activos</span>
                        <span class="info-box-number"><?php echo $cantidad_estudiantes; ?></span>
                    </div>
                </div>
            </a>
          </div>
          <div class="col-md-3">
            <a href="Usuarios/usuarios_inactivos.php" style="text-decoration: none; color: inherit;">
                <div class="info-box">
                    <span class="info-box-icon bg-info"><i class="far fa-copy"></i></span>
                    <div class="info-box-content">
                        <span class="info-box-text">Estudiantes Inactivos</span>
                        <span class="info-box-number"><?php echo $cantidad_estudiantesi; ?></span>
                    </div>
                </div>
            </a>
          </div>
          <div class="col-md-3">
            <a href="Usuarios/ver_docentes.php" style="text-decoration: none; color: inherit;">
                <div class="info-box">
                    <span class="info-box-icon bg-info"><i class="far fa-copy"></i></span>
                    <div class="info-box-content">
                        <span class="info-box-text">Docentes Activos</span>
                        <span class="info-box-number"><?php echo $cantidad_docentes; ?></span>
                    </div>
                </div>
            </a>
          </div>
          <div class="col-md-3">
            <a href="Usuarios/docentes_inactivos.php" style="text-decoration: none; color: inherit;">
                <div class="info-box">
                    <span class="info-box-icon bg-info"><i class="far fa-copy"></i></span>
                    <div class="info-box-content">
                        <span class="info-box-text">Docentes Inactivos</span>
                        <span class="info-box-number"><?php echo $cantidad_docentesi; ?></span>
                    </div>
                </div>
            </a>
          </div>
          <div class="col-md-3">
            <a href="reportes/reporte_postulaciones.php" style="text-decoration: none; color: inherit;">
                <div class="info-box">
                    <span class="info-box-icon bg-info"><i class="far fa-copy"></i></span>
                    <div class="info-box-content">
                        <span class="info-box-text">Postulaciones</span>
                        <span class="info-box-number"><?php echo $cantidad_postulaciones; ?></span>
                    </div>
                </div>
            </a>
          </div>
             <div class="col-md-12">
                <h3>Video de uso del sistema</h3>
            </div>
          <div class="col-md-6">
            <video width="100%" controls>
                <source src="video1.mp4" type="video/mp4">
                Tu navegador no admite el elemento de video.
            </video>
         </div>
         <div class="col-md-6">
                <p class="manual-intro">Estimado administrador, haciendo clic en los siguientes enlaces, podrás descargar los manuales tanto de administrador como de estudiante:</p>
                <a href="MANUAL DE USUARIO DE BOLSA LABORAL.pdf" class="btn btn-success btn-block" target="_blank">Manual de Administrador</a>
                <a href="MODO ESTUDIANTE - BOLSA LABORAL.pdf" class="btn btn-info btn-block" target="_blank">Manual de Estudiante</a>
            </div>
          
          <!-- Puedes agregar cajas similares para otras estadísticas -->
      </div>
      
    </div>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->

  <!-- Main Footer -->
  <footer class="main-footer">
    <strong>Copyright &copy; 2024-2028 <?php echo $nombre_instituto; ?></strong>
    todos los derechos reservados.
    <div class="float-right d-none d-sm-inline-block">
      <b>Version</b> 3.2.0
    </div>
  </footer>
</div>
<!-- ./wrapper -->

<!-- REQUIRED SCRIPTS -->

<!-- jQuery -->
<script src="plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap -->
<script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- AdminLTE -->
<script src="dist/js/adminlte.js"></script>

<!-- OPTIONAL SCRIPTS -->
<script src="plugins/chart.js/Chart.min.js"></script>
<!-- AdminLTE for demo purposes -->

<!-- AdminLTE dashboard demo (This is only for demo purposes) -->
<script src="dist/js/pages/dashboard3.js"></script>
</body>
</html>
