<?php
session_start();
include '../controllers/conexion.php';

include '../controllers/OfertasController.php';
include '../models/OfertasModel.php';


// Obtener información del instituto
$query_instituto = "SELECT * FROM informacion_instituto";
$result_instituto = mysqli_query($tu_conexion, $query_instituto);

// Obtener datos del instituto si existen
$datos_instituto = mysqli_fetch_assoc($result_instituto);
$nombre_instituto = $datos_instituto['nombre_instituto'];
$direccion_instituto = $datos_instituto['direccion_instituto'];
$telefono_instituto = $datos_instituto['telefono_instituto'];
$logo_instituto = $datos_instituto['logo_instituto'];

// obtener correo de admin
$query_admin = "SELECT correo FROM usuarios where rol = 'administrador'";
$result_admin = mysqli_query($tu_conexion, $query_admin);

// Obtener datos del instituto si existen
$datos_admin = mysqli_fetch_assoc($result_admin);
$correo_admin = $datos_admin['correo'];

if (isset($_SESSION['id_usuario'])) {
    $id_usuario = $_SESSION['id_usuario'];
  
    // Realizar consulta para obtener información del usuario
    $query = "SELECT u.nombres, u.apellidos, u.rol
              FROM usuarios u 
              INNER JOIN docentes e ON u.id_usuario = e.id_usuario
              WHERE u.id_usuario = ?";
    
    $stmt = mysqli_prepare($tu_conexion, $query);
    mysqli_stmt_bind_param($stmt, "i", $id_usuario);
    mysqli_stmt_execute($stmt);
    mysqli_stmt_bind_result($stmt, $nombres, $apellidos, $nombre_estudiante);
  
    // Obtener el resultado de la consulta
    if (mysqli_stmt_fetch($stmt)) {
        // Mostrar la información del usuario
       
    } else {
        echo "No se encontraron resultados para el usuario.";
    }
  
    // Cerrar la conexión y liberar recursos
    mysqli_stmt_close($stmt);
    mysqli_close($tu_conexion);
  } else {
    // Redirigir si la sesión no está iniciada
     header('Location: /bolsalaboral/login.php');
    exit();
  }
?>
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title><?php echo $nombre_instituto; ?> | Bolsa Laboral</title>

  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
  <!-- DataTables -->
  <link rel="stylesheet" href="plugins/datatables-bs4/css/dataTables.bootstrap4.min.css">
  <link rel="stylesheet" href="plugins/datatables-responsive/css/responsive.bootstrap4.min.css">
  <link rel="stylesheet" href="plugins/datatables-buttons/css/buttons.bootstrap4.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="dist/css/adminlte.min.css">
<style>
  [class*=sidebar-dark-] {
    background-color: #083868;
    
}

[class*=sidebar-dark] .form-control-sidebar {
    background-color: #083868;
    border: 1px solid #fff;
    color: #fff;
}

[class*=sidebar-dark] .btn-sidebar, [class*=sidebar-dark] .form-control-sidebar {
    background-color: #083868;
    border: 1px solid #fff;
    color: #fff;
}



/* Cambia el color de fondo de los botones específicos si es necesario */
.dataTables_wrapper .dt-buttons .btn {
    background-color: #13416f; /* Cambia el color de fondo a tu preferencia */
    border: 1px solid #fff;
}

</style>
</head>
<body class="hold-transition sidebar-mini">
<div class="wrapper">
  <!-- Navbar -->
  <nav class="main-header navbar navbar-expand navbar-white navbar-light">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="principal_docente.php" class="nav-link">Inicio</a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="#" class="nav-link">Correo de Soporte: <?php echo $correo_admin; ?></a>
      </li>
    </ul>

    <!-- Right navbar links -->
    <ul class="navbar-nav ml-auto">
      <!-- Navbar Search -->
      <li class="nav-item">
        <a class="nav-link" data-widget="navbar-search" href="#" role="button">
          <i class="fas fa-search"></i>
        </a>
        <div class="navbar-search-block">
          <form class="form-inline">
            <div class="input-group input-group-sm">
              <input class="form-control form-control-navbar" type="search" placeholder="Search" aria-label="Search">
              <div class="input-group-append">
                <button class="btn btn-navbar" type="submit">
                  <i class="fas fa-search"></i>
                </button>
                <button class="btn btn-navbar" type="button" data-widget="navbar-search">
                  <i class="fas fa-times"></i>
                </button>
              </div>
            </div>
          </form>
        </div>
      </li>

      <!-- Messages Dropdown Menu -->
      
      <!-- Notifications Dropdown Menu -->
      
      <li class="nav-item">
        <a class="nav-link" data-widget="fullscreen" href="#" role="button">
          <i class="fas fa-expand-arrows-alt"></i>
        </a>
      </li>
      <li class="nav-item">
        <a class="nav-link" data-widget="control-sidebar" data-slide="true" href="#" role="button">
          <i class="fas fa-th-large"></i>
        </a>
      </li>
    </ul>
  </nav>
  <!-- /.navbar -->

  <!-- Main Sidebar Container -->
  <aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="#" class="brand-link">
      <img src="dist/img/AdminLTELogo.png" alt="AdminLTE Logo" class="brand-image img-circle elevation-3" style="opacity: .8">
      <span class="brand-text font-weight-light"><?php echo $nombre_instituto; ?></span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
      <!-- Sidebar user (optional) -->
      <div class="user-panel mt-3 pb-3 mb-3 d-flex">
        <div class="image">
          <img src="dist/img/user2-160x160.jpg" class="img-circle elevation-2" alt="User Image">
        </div>
        <div class="info">
          <a href="#" class="d-block"><?php echo $apellidos; ?></a>
          <a href="#" class="d-block"><?php echo $nombres; ?></a>
          <a href="#" class="d-block"><?php echo $rol; ?></a>
          <a href="#" class="d-block"><?php echo $nombre_estudiante; ?></a>
        </div>
      </div>

      <!-- SidebarSearch Form -->
      <div class="form-inline">
        <div class="input-group" data-widget="sidebar-search">
          <input class="form-control form-control-sidebar" type="search" placeholder="Search" aria-label="Search">
          <div class="input-group-append">
            <button class="btn btn-sidebar">
              <i class="fas fa-search fa-fw"></i>
            </button>
          </div>
        </div>
      </div>

      <!-- Sidebar Menu -->
      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
               <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($nombre_estudiante === 'docente' ) {
                        echo '<li class="nav-item">
                                <a href="principal_docente.php" class="nav-link">
                                <i class="nav-icon fas fa-th"></i>
                                <p>Ofertas
                                <span class="right badge badge-danger">New</span>
                                </p>
                                </a>
                            </li>';
                    }
              ?>

              

               
          
          
          
          <li class="nav-item">
              <a href="cerrar_sesion.php" class="nav-link">
                  <i class="nav-icon fas fa-sign-out-alt"></i>
                  <p>Cerrar Sesión</p>
              </a>
          </li>
         

        </ul>
      </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
  </aside>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Panel Docente</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Inicio</a></li>
              <li class="breadcrumb-item active">Panel Docente</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <div class="col-12">
            <div class="card">
              
             
              <!-- /.card-body -->
            </div>
            <!-- /.card -->

            <div class="card">
              <div class="card-header">
                <h3 class="card-title">Panel Docente</h3>
              </div>
              <!-- /.card-header -->
              <div class="card-body">
                

                  <table id="tablaOfertas" class="table table-bordered table-striped">
                      <thead>
                          <tr>
                            <th>Codigo Oferta</th>
                            <th>Título</th>
                            <th>Fecha Limite</th>
                            <th>Tipo de Contrato</th>
                            <th>Empresa</th>
                            <th>Programa de Estudio</th>
                            <th>Lugar</th>
                            <th>Acciones</th>
                          </tr>
                      </thead>
                      <tbody>
                        <?php
                            // Realizar la conexión a la base de datos y obtener los datos de las ofertas
                            include '../controllers/conexion.php'; // Reemplaza con tu archivo de conexión

                            $query = "SELECT o.id_oferta, o.titulo, p.nombre_programa, o.fecha_limite, t.nombre_tipo_contrato, e.nombre_empresa, o.lugar
                            FROM ofertas_laborales o INNER JOIN programas_estudio p ON p.id_programa = o.id_programa
                            INNER JOIN tipos_contrato t ON t.id_tipo_contrato = o.id_tipo_contrato
                            INNER JOIN empresas e ON e.id_empresa = o.id_empresa
                            WHERE  o.fecha_limite > NOW() ";
                            $result = mysqli_query($tu_conexion, $query);

                            if (!$result) {
                                die("Error al obtener datos: " . mysqli_error($tu_conexion));
                            }

                            while ($row = mysqli_fetch_assoc($result)) {

                              $id_oferta_padded = str_pad($row['id_oferta'], 8, '0', STR_PAD_LEFT);
                                echo "<tr>
                                <td>{$id_oferta_padded}</td>
                                        <td>{$row['titulo']}</td>
                                        <td>" . date('d/m/Y', strtotime($row['fecha_limite'])) . "</td>
                                        <td>{$row['nombre_tipo_contrato']}</td>
                                        <td>{$row['nombre_empresa']}</td>
                                        <td>{$row['nombre_programa']}</td>
                                        <td>{$row['lugar']}</td>
                                        <td><a href=\"ofertas/ofertas_docente.php?id={$row['id_oferta']}\" class=\"btn btn-primary\">Ver Oferta</a></td>
                                    </tr>";
                            }

                            // Cerrar la conexión a la base de datos
                            mysqli_close($tu_conexion);
                        ?>
                      </tbody>
                      
                  </table>


               
              </div>
              <!-- /.card-body -->
            </div>
            <!-- /.card -->
          </div>
          <!-- /.col -->
        </div>
        <!-- /.row -->
      </div>
      <!-- /.container-fluid -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
  <footer class="main-footer">
    <strong>Copyright &copy; 2024-2028 <?php echo $nombre_instituto; ?></strong>
    todos los derechos reservados.
    <div class="float-right d-none d-sm-inline-block">
      <b>Version</b> 3.2.0
    </div>
  </footer>

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->

<!-- jQuery -->
<script src="plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- DataTables  & Plugins -->
<script src="plugins/datatables/jquery.dataTables.min.js"></script>
<script src="plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
<script src="plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
<script src="plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
<script src="plugins/datatables-buttons/js/dataTables.buttons.min.js"></script>
<script src="plugins/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
<script src="plugins/jszip/jszip.min.js"></script>
<script src="plugins/pdfmake/pdfmake.min.js"></script>
<script src="plugins/pdfmake/vfs_fonts.js"></script>
<script src="plugins/datatables-buttons/js/buttons.html5.min.js"></script>
<script src="plugins/datatables-buttons/js/buttons.print.min.js"></script>
<script src="plugins/datatables-buttons/js/buttons.colVis.min.js"></script>
<!-- AdminLTE App -->
<script src="dist/js/adminlte.min.js"></script>
<!-- AdminLTE for demo purposes -->

<!-- Page specific script -->

<script>
  $(document).ready(function () {
    $("#tablaOfertas").DataTable({
        "responsive": true,
        "lengthChange": true,
        "autoWidth": false,
        "buttons": [
            {
                extend: 'copy',
                text: 'Copiar', // Cambia el texto del botón Copy a 'Copiar'
            },
            'csv', 'excel', 'pdf',
            {
                extend: 'print',
                text: 'Imprimir', // Cambia el texto del botón colvis a 'Visibilidad de Columna'
            },
            {
                extend: 'colvis',
                text: 'Visibilidad de Columna', // Cambia el texto del botón colvis a 'Visibilidad de Columna'
            }
        ],
        "paging": true,
        "searching": true,
        "ordering": true,
        "info": true,
        "language": {
            "search": "Buscar:",
            "lengthMenu": "Mostrar _MENU_ registros por página",
            "info": "Mostrando _START_ a _END_ de _TOTAL_ entradas",
            "paginate": {
                "first": "Primero",
                "previous": "Anterior",
                "next": "Siguiente",
                "last": "Último"
            },
        }
    }).buttons().container().appendTo('#tablaOfertas_wrapper .col-md-6:eq(0)');
});




</script>

</body>
</html>
