<?php
session_start();
include '../controllers/conexion.php';
include '../controllers/OfertasController.php';
include '../models/OfertasModel.php';



// Crear instancias del controlador y el modelo para ofertas
$ofertasController = new OfertasController($tu_conexion);
$ofertasModel = new OfertasModel($tu_conexion);

// Obtener la cantidad de ofertas
$ofertas = $ofertasController->mostrarOfertas();

$queryTiposContrato = "SELECT id_tipo_contrato, nombre_tipo_contrato FROM tipos_contrato where estado = 'Activo'";
$resultTiposContrato = mysqli_query($tu_conexion, $queryTiposContrato);

if (!$resultTiposContrato) {
    die("Error al obtener tipos de contrato: " . mysqli_error($tu_conexion));
}

// Obtener datos de tipos de contrato
$tiposContrato = mysqli_fetch_all($resultTiposContrato, MYSQLI_ASSOC);


//para llenar carrera

$querycarrera = "SELECT id_programa, nombre_programa FROM programas_estudio where estado = 'Activo'";
$resultcarrera = mysqli_query($tu_conexion, $querycarrera);

if (!$resultcarrera) {
    die("Error al obtener tipos de contrato: " . mysqli_error($tu_conexion));
}

// Obtener datos de tipos de programa
$programase = mysqli_fetch_all($resultcarrera, MYSQLI_ASSOC);


//para llenar carrera

$queryempresa = "SELECT id_empresa, nombre_empresa FROM empresas where estado = 'Activo'";
$resultempresa = mysqli_query($tu_conexion, $queryempresa);

if (!$resultempresa) {
    die("Error al obtener tipos de contrato: " . mysqli_error($tu_conexion));
}

// Obtener datos de tipos de empresas
$empresass = mysqli_fetch_all($resultempresa, MYSQLI_ASSOC);



// Resto del código de principal.php

// Obtener información del instituto
$query_instituto = "SELECT * FROM informacion_instituto";
$result_instituto = mysqli_query($tu_conexion, $query_instituto);

// Obtener datos del instituto si existen
$datos_instituto = mysqli_fetch_assoc($result_instituto);
$nombre_instituto = $datos_instituto['nombre_instituto'];
$direccion_instituto = $datos_instituto['direccion_instituto'];
$telefono_instituto = $datos_instituto['telefono_instituto'];
$logo_instituto = $datos_instituto['logo_instituto'];

$ruta_base_logos = '../archivos/logos/';

// Construir la ruta completa al logo
$ruta_logo_completa = $ruta_base_logos . $logo_instituto;

// obtener correo de admin
$query_admin = "SELECT correo FROM usuarios where rol = 'administrador'";
$result_admin = mysqli_query($tu_conexion, $query_admin);

$datos_admin = mysqli_fetch_assoc($result_admin);
$correo_admin = $datos_admin['correo'];



if (isset($_SESSION['id_usuario'])) {
  $id_usuario = $_SESSION['id_usuario'];

  // Realizar consulta para obtener información del usuario
  $query_usuario = "SELECT u.nombres, u.apellidos, u.rol, e.carrera,e.educacion               ,e.foto_archivo  
                    FROM usuarios u 
                    INNER JOIN estudiantes e ON u.id_usuario = e.id_usuario
                    WHERE u.id_usuario = ?";

  if ($stmt_usuario = mysqli_prepare($tu_conexion, $query_usuario)) {
      mysqli_stmt_bind_param($stmt_usuario, "i", $id_usuario);
      mysqli_stmt_execute($stmt_usuario);
      mysqli_stmt_bind_result($stmt_usuario, $nombres, $apellidos, $rol, $nombre_estudiante,$educacion,$foto_estudiante);
      mysqli_stmt_fetch($stmt_usuario);
      mysqli_stmt_close($stmt_usuario);
  } else {
      echo "Error preparando la consulta de usuario: " . mysqli_error($tu_conexion);
  }
  
   $ruta_base_estudiante = '../archivos/fotos/';

  $ruta_foto_completa = $ruta_base_estudiante . $foto_estudiante;

  // Consultar si el estudiante ha registrado datos laborales
  $query_laboral = "SELECT COUNT(*) FROM laboral_estudiante WHERE id_estudiante = ?";

  if ($stmt_laboral = mysqli_prepare($tu_conexion, $query_laboral)) {
      mysqli_stmt_bind_param($stmt_laboral, 'i', $id_usuario);
      mysqli_stmt_execute($stmt_laboral);
      mysqli_stmt_bind_result($stmt_laboral, $num_rows);
      mysqli_stmt_fetch($stmt_laboral);
      mysqli_stmt_close($stmt_laboral);

      // Si no hay datos, mostrar la alerta
      $mostrar_alerta = $num_rows == 0;
  } else {
      echo "Error preparando la consulta laboral: " . mysqli_error($tu_conexion);
  }

  mysqli_close($tu_conexion);
} else {
  // Redirigir si la sesión no está iniciada
  header('Location: /bolsalaboral/login.php');
  exit();
}


?>

<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title><?php echo $nombre_instituto; ?> | Bolsa Laboral</title>

  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome Icons -->
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
  <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" rel="stylesheet">
   <!-- DataTables -->
   <link rel="stylesheet" href="plugins/datatables-bs4/css/dataTables.bootstrap4.min.css">
  <link rel="stylesheet" href="plugins/datatables-responsive/css/responsive.bootstrap4.min.css">
  <link rel="stylesheet" href="plugins/datatables-buttons/css/buttons.bootstrap4.min.css">
  <!-- IonIcons -->
  <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="dist/css/adminlte.min.css">
  <style>
  [class*=sidebar-dark-] {
    background-color: #083868;
    
}

[class*=sidebar-dark] .form-control-sidebar {
    background-color: #083868;
    border: 1px solid #fff;
    color: #fff;
}

[class*=sidebar-dark] .btn-sidebar, [class*=sidebar-dark] .form-control-sidebar {
    background-color: #083868;
    border: 1px solid #fff;
    color: #fff;
}



/* Cambia el color de fondo de los botones específicos si es necesario */
.dataTables_wrapper .dt-buttons .btn {
    background-color: #13416f; /* Cambia el color de fondo a tu preferencia */
    border: 1px solid #fff;
}
/* Cambia el color de fondo de los botones específicos si es necesario */
.dataTables_wrapper .dt-buttons .btn {
    background-color: #13416f; /* Cambia el color de fondo a tu preferencia */
    border: 1px solid #fff;
}

/* Para dispositivos pequeños (teléfonos, menos de 576px) */
@media (max-width: 576px) {
    .container, .container-sm {
        max-width: 100%;
    }
}

/* Para dispositivos medianos (tabletas, más de 576px y menos de 768px) */
@media (min-width: 577px) and (max-width: 768px) {
    .container, .container-sm {
        max-width: 100%;
    }
}

/* Para dispositivos grandes (pantallas de escritorio pequeñas, más de 768px y menos de 992px) */
@media (min-width: 769px) and (max-width: 992px) {
    .container, .container-sm {
        max-width: 100%;
    }
}

/* Para dispositivos extra grandes (pantallas de escritorio grandes, más de 992px) */
@media (min-width: 993px) {
    .container, .container-sm {
        max-width: 100%;
    }
}
</style>
</head>
<!--
`body` tag options:

  Apply one or more of the following classes to to the body tag
  to get the desired effect

  * sidebar-collapse
  * sidebar-mini
-->
<body class="hold-transition sidebar-mini">
<div class="wrapper">
  <!-- Navbar -->
  <nav class="main-header navbar navbar-expand navbar-white navbar-light">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="#" class="nav-link">Inicio</a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="#" class="nav-link">Correo de Soporte: <?php echo $correo_admin; ?></a>
      </li>
    </ul>

    
  </nav>
  <!-- /.navbar -->

  <!-- Main Sidebar Container -->
  <aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="#" class="brand-link">
      <img src="<?php echo $ruta_logo_completa; ?>" alt="AdminLTE Logo" class="brand-image img-circle elevation-3" style="opacity: .8">
      <span class="brand-text font-weight-light"><?php echo $nombre_instituto; ?></span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
      <!-- Sidebar user panel (optional) -->
      <div class="user-panel mt-3 pb-3 mb-3 d-flex">
        <div class="image">
          <img src="<?php echo $ruta_foto_completa; ?>" class="img-circle elevation-2" alt="User Image">
        </div>
        <div class="info">
        <a href="#" class="d-block"><?php echo $apellidos; ?></a>
        <a href="#" class="d-block"><?php echo $nombres; ?></a>
        <a href="#" class="d-block"><?php echo $rol; ?></a>
        <a href="#" class="d-block"><?php echo $nombre_estudiante; ?></a>
        
        </div>
      </div>

      <!-- SidebarSearch Form -->
      <div class="form-inline">
        <div class="input-group" data-widget="sidebar-search">
          <input class="form-control form-control-sidebar" type="search" placeholder="Search" aria-label="Search">
          <div class="input-group-append">
            <button class="btn btn-sidebar">
              <i class="fas fa-search fa-fw"></i>
            </button>
          </div>
        </div>
      </div>

      <!-- Sidebar Menu -->
      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
               <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'estudiante') {
                        echo '<li class="nav-item">
                                <a href="principal_estudiante.php" class="nav-link">
                                <i class="nav-icon fas fa-th"></i>
                                <p>Ofertas
                                <span class="right badge badge-danger">New</span>
                                </p>
                                </a>
                            </li>';
                    }
              ?>

              

               
          
          <li class="nav-item">
            <a href="#" class="nav-link">
              <i class="nav-icon fas fa-user"></i>
              <p>
                Perfil
                <i class="fas fa-angle-left right"></i>
                <span class="badge badge-info right">6</span>
              </p>
            </a>
            <ul class="nav nav-treeview">
              <li class="nav-item">
                <a href="estudiante/perfil.php" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Ver Perfil</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="estudiante/editar_perfil.php" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Editar Perfil</p>
                </a>
              </li>
              
            </ul>
          </li> 
          <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'estudiante' ) {
                        echo '<li class="nav-item">
                                <a href="ofertas/ver_postulaciones.php" class="nav-link">
                                <i class="nav-icon fas fa-file"></i>
                                <p>Postulaciones
                                <span class="right badge badge-danger">New</span>
                                </p>
                                </a>
                            </li>';
                    }
          ?>
          <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'estudiante' && $educacion === 'Egresado' ) {
                        echo '<li class="nav-item">
                                <a href="estudiante/laboral.php" class="nav-link">
                                <i class="nav-icon fas fa-file"></i>
                                <p>Seguimiento
                                <span class="right badge badge-danger">New</span>
                                </p>
                                </a>
                            </li>';
                    }
          ?>
          
          <li class="nav-item">
              <a href="cerrar_sesion.php" class="nav-link">
                  <i class="nav-icon fas fa-sign-out-alt"></i>
                  <p>Cerrar Sesión</p>
              </a>
          </li>

        </ul>
      </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
  </aside>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0">Ofertas Laborales</h1>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Inicio</a></li>
              <li class="breadcrumb-item active">Ofertas Laborales</li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <div class="col-12">
            
            <div class="card">

             <!-- Mostrar alerta si no ha respondido a la encuesta -->
       <!-- <?php if ($mostrar_alerta): ?>
          <div class="alert alert-warning alert-dismissible">
              <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
              <h5><i class="icon fas fa-exclamation-triangle"></i> Atención!</h5>
              Debe responder la encuesta formativa. <a href="estudiante/laboral.php">Haz clic aquí</a> para completarla.
          </div>

        <?php endif; ?>-->
              
              <!-- /.card-header -->
              <div class="card-body">

                <form id="filtroForm" class="mb-3">
                    <div class="form-row">

                        <div class="form-group col-md-3">
                            <label for="titulo">Titulo:</label>
                            <input type="text" class="form-control" id="titulo" name="lugar">
                        </div>
                        
                        <div class="form-group col-md-3">
                            <label for="lugar">Lugar:</label>
                            <input type="text" class="form-control" id="lugar" name="lugar">
                        </div>
                        <div class="form-group col-md-3">
                            <label for="tipoContrato">Tipo de Contrato:</label>
                            <select class="form-control" id="tipoContrato" name="tipoContrato">
                                <option value="">Seleccionar Tipo de Contrato</option>
                                <?php foreach ($tiposContrato as $tipoContrato): ?>
                                    <option value="<?= $tipoContrato['nombre_tipo_contrato'] ?>">
                                        <?= $tipoContrato['nombre_tipo_contrato'] ?>
                                    </option>
                                <?php endforeach; ?>
                            </select>
                        </div>
                        

                        <div class="form-group col-md-3">
                            <label for="empresa">Empresa:</label>
                            <select class="form-control" id="empresa" name="empresa">
                                <option value="">Seleccionar Empresa</option>
                                <?php foreach ($empresass as $empresa): ?>
                                    <option value="<?= $empresa['nombre_empresa'] ?>">
                                        <?= $empresa['nombre_empresa'] ?>
                                    </option>
                                <?php endforeach; ?>
                            </select>
                        </div>
                        
                        
                    </div>

                    <button type="button" class="btn btn-primary" onclick="filtrarOfertas()">Filtrar</button>
                    <button type="button" class="btn btn-secondary" onclick="limpiarFiltros()">Limpiar Filtros</button>
                </form>
                
                <div class="container mt-5">
                    <div class="table-responsive">
                        <table class="table table-bordered table-striped">
                            <thead class="thead-light">
                                <tr>
                                    <th>#</th>
                                    <th>Título</th>
                                    <th>Fecha Publicacion</th>
                                    <th>Fecha Limite</th>
                                    <th>Tipo de Contrato</th>
                                    <th>Empresa</th>
                                    <th>Programa de Estudio</th>
                                    <th>Lugar</th>
                                    <th>Acciones</th>
                                </tr>
                            </thead>
                            <tbody id="tablaOfertas">
                                <?php
                                // Realizar la conexión a la base de datos y obtener los datos de las ofertas
                                include '../controllers/conexion.php'; // Reemplaza con tu archivo de conexión

                                // Asegúrate de que $nombre_estudiante esté definida y sea segura para usar en la consulta
                                $nombre_estudiante = mysqli_real_escape_string($tu_conexion, $nombre_estudiante);

                                $query = "SELECT o.id_oferta, o.titulo, p.nombre_programa, o.fecha_publicacion, o.fecha_limite, t.nombre_tipo_contrato, e.nombre_empresa, o.lugar
                                          FROM ofertas_laborales o
                                          INNER JOIN programas_estudio p ON p.id_programa = o.id_programa
                                          INNER JOIN tipos_contrato t ON t.id_tipo_contrato = o.id_tipo_contrato
                                          INNER JOIN empresas e ON e.id_empresa = o.id_empresa
                                          WHERE p.nombre_programa = '$nombre_estudiante' AND o.fecha_limite > NOW()
                                          ORDER BY o.fecha_publicacion DESC";

                                $result = mysqli_query($tu_conexion, $query);

                                if (!$result) {
                                    die("Error al obtener datos: " . mysqli_error($tu_conexion));
                                }

                                while ($row = mysqli_fetch_assoc($result)) {
                                    $id_oferta_padded = str_pad($row['id_oferta'], 8, '0', STR_PAD_LEFT);
                                    echo "<tr>
                                          <td>{$id_oferta_padded}</td>
                                          <td>{$row['titulo']}</td>
                                          <td>" . date('d/m/Y', strtotime($row['fecha_publicacion'])) . "</td>
                                          <td>" . date('d/m/Y', strtotime($row['fecha_limite'])) . "</td>
                                          <td>{$row['nombre_tipo_contrato']}</td>
                                          <td>{$row['nombre_empresa']}</td>
                                          <td>{$row['nombre_programa']}</td>
                                          <td>{$row['lugar']}</td>
                                          <td><a href=\"estudiante/oferta_estudiante.php?id={$row['id_oferta']}\" class=\"btn btn-primary\">Ver Oferta</a></td>
                                        </tr>";
                                }

                                // Cerrar la conexión a la base de datos
                                mysqli_close($tu_conexion);
                                ?>
                            </tbody>
                        </table>
                    </div>
                </div>



               
              </div>
              <!-- /.card-body -->
            </div>
            <!-- /.card -->
          </div>
          <!-- /.col -->
        </div>
        <!-- /.row -->
      </div>
      <!-- /.container-fluid -->
    </section>
  
  </div>
  <!-- /.content-wrapper -->

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->

  <!-- Main Footer -->
  <footer class="main-footer">
    <strong>Copyright &copy; 2024-2028 <?php echo $nombre_instituto; ?></strong>
    todos los derechos reservados.
    <div class="float-right d-none d-sm-inline-block">
      <b>Version</b> 3.2.0
    </div>
  </footer>
</div>
<!-- ./wrapper -->

<!-- REQUIRED SCRIPTS -->

<!-- jQuery -->
<script src="plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- DataTables  & Plugins -->
<script src="plugins/datatables/jquery.dataTables.min.js"></script>
<script src="plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
<script src="plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
<script src="plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
<script src="plugins/datatables-buttons/js/dataTables.buttons.min.js"></script>
<script src="plugins/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
<script src="plugins/jszip/jszip.min.js"></script>
<script src="plugins/pdfmake/pdfmake.min.js"></script>
<script src="plugins/pdfmake/vfs_fonts.js"></script>
<script src="plugins/datatables-buttons/js/buttons.html5.min.js"></script>
<script src="plugins/datatables-buttons/js/buttons.print.min.js"></script>
<script src="plugins/datatables-buttons/js/buttons.colVis.min.js"></script>
<!-- AdminLTE App -->
<script src="dist/js/adminlte.min.js"></script>

<!-- Bootstrap -->
<script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>



<script>
    
    // Función para obtener y mostrar ofertas filtradas
    function filtrarOfertas() {
        // Obtener valores de los campos de filtro
        var lugar = $('#lugar').val();
        var titulo = $('#titulo').val();
        var tipoContrato = $('#tipoContrato').val();
        var empresa = $('#empresa').val();
        
        // Obtener el id_usuario de la sesión
        var id_usuario = <?php echo isset($_SESSION['id_usuario']) ? $_SESSION['id_usuario'] : 'null'; ?>;
        
        // Realizar solicitud AJAX para obtener ofertas filtradas
        $.ajax({
            type: "POST",
            url: "procesar_filtro_ofertas.php",
            data: { lugar: lugar, tipoContrato: tipoContrato, empresa: empresa, titulo: titulo, id_usuario: id_usuario },
            dataType: "html",
            success: function(response) {
                // Actualizar el contenido de la tabla con los resultados filtrados
                $('#tablaOfertas').html(response);
            },
            error: function(xhr, status, error) {
                // Manejar errores de la solicitud AJAX
                console.error("Error en la solicitud AJAX: " + error);
            }
        });
    }


    function limpiarFiltros() {
        // Limpiar los valores de los controles del formulario
        location.reload();

    }
</script>

</body>
</html>
