<?php
// Realizar la conexión a la base de datos y obtener los datos de las ofertas
include '../controllers/conexion.php'; // Ajusta la ruta según tu estructura de carpetas
// Verificar si se recibió el id_usuario en la solicitud POST
if(isset($_POST['id_usuario'])) {
    $id_usuario = $_POST['id_usuario'];

    $query_estudiante = "SELECT carrera FROM estudiantes WHERE id_usuario = ?";
    $stmt_estudiante = mysqli_prepare($tu_conexion, $query_estudiante);
    mysqli_stmt_bind_param($stmt_estudiante, "i", $id_usuario);
    mysqli_stmt_execute($stmt_estudiante);
    $result_estudiante = mysqli_stmt_get_result($stmt_estudiante);
    $datos_estudiante = mysqli_fetch_assoc($result_estudiante);
    $nombre_estudiante = $datos_estudiante['carrera'];
    

// Obtener valores de filtro del POST
$lugar = $_POST['lugar'] ?? '';
$titulo = $_POST['titulo'] ?? '';
$tipoContrato = $_POST['tipoContrato'] ?? '';
$empresa = $_POST['empresa'] ?? '';

// Construir la consulta SQL con los filtros
$query = "SELECT o.id_oferta, o.titulo, p.nombre_programa, o.fecha_publicacion, o.fecha_limite, t.nombre_tipo_contrato, e.nombre_empresa, o.lugar
            FROM ofertas_laborales o INNER JOIN programas_estudio p ON p.id_programa = o.id_programa
            INNER JOIN tipos_contrato t ON t.id_tipo_contrato = o.id_tipo_contrato
            INNER JOIN empresas e ON e.id_empresa = o.id_empresa
            WHERE p.nombre_programa = '$nombre_estudiante' and o.fecha_limite > NOW()";

// Aplicar filtros según los valores proporcionados
if (!empty($titulo)) {
    $query .= " AND o.titulo LIKE '%$titulo%'";
}

if (!empty($lugar)) {
    $query .= " AND o.lugar LIKE '%$lugar%'";
}

if (!empty($tipoContrato)) {
    $query .= " AND t.nombre_tipo_contrato = '$tipoContrato'";
}

if (!empty($empresa)) {
    $query .= " AND e.nombre_empresa LIKE '%$empresa%'";
}

$result = mysqli_query($tu_conexion, $query);

if (!$result) {
    die("Error al obtener datos: " . mysqli_error($tu_conexion));
}

// Verificar si se encontraron ofertas después de aplicar los filtros
if (mysqli_num_rows($result) > 0) {
    // Construir el HTML para las filas de la tabla
    $html = '';
    while ($row = mysqli_fetch_assoc($result)) {
        $html .= "<tr>
                    <td>{$row['id_oferta']}</td>
                    <td>{$row['titulo']}</td>
                    <td>" . date('d/m/Y', strtotime($row['fecha_publicacion'])) . "</td>
                    <td>" . date('d/m/Y', strtotime($row['fecha_limite'])) . "</td>
                    <td>{$row['nombre_tipo_contrato']}</td>
                    <td>{$row['nombre_empresa']}</td>
                    <td>{$row['nombre_programa']}</td>
                    <td>{$row['lugar']}</td>
                    <td><a href=\"ofertas/ver_oferta.php?id={$row['id_oferta']}\">Ver Oferta</a></td>
                  </tr>";
    }

    // Devolver el HTML generado
    echo $html;
} else {
    // Mostrar un mensaje si no se encontraron ofertas con los filtros aplicados
    echo "<tr><td colspan='9'>No se encontraron ofertas con los filtros aplicados.</td></tr>";
}

// Cerrar la conexión a la base de datos
mysqli_close($tu_conexion);

} else {
    // Si no se recibió el id_usuario, manejar el caso adecuadamente
    echo "Error: No se recibió el id de usuario en la solicitud.";
}

// Obtener información del estudiante

?>
