<?php
include '../../controllers/conexion.php';

if ($_SERVER["REQUEST_METHOD"] == "POST" && isset($_POST["id_programa"])) {
    $idPrograma = $_POST["id_programa"];

    // Eliminar el programa de la base de datos
    $query = "DELETE FROM programas_estudio WHERE id_programa = ?";
    $stmt = mysqli_prepare($tu_conexion, $query);

    if ($stmt) {
        mysqli_stmt_bind_param($stmt, 'i', $idPrograma);
        $result = mysqli_stmt_execute($stmt);
        mysqli_stmt_close($stmt);

        if ($result) {
            // Éxito al eliminar
            echo json_encode(['success' => true, 'message' => 'Programa eliminado correctamente.']);
            exit();
        } else {
            // Error al eliminar
            echo json_encode(['success' => false, 'message' => 'Error al eliminar el programa: ' . mysqli_error($tu_conexion)]);
        }
    } else {
        // Error en la preparación de la consulta
        echo json_encode(['success' => false, 'message' => 'Error en la preparación de la consulta: ' . mysqli_error($tu_conexion)]);
    }
} else {
    // Acceso no autorizado
    echo json_encode(['success' => false, 'message' => 'Acceso no autorizado.']);
}

// Cerrar la conexión a la base de datos
mysqli_close($tu_conexion);
?>
