<?php
// obtener_detalles_programa.php
include '../../controllers/conexion.php';

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $idPrograma = mysqli_real_escape_string($tu_conexion, $_POST['idPrograma']);

    // Realizar la consulta para obtener los detalles del programa
    $query = "SELECT id_programa,nombre_programa FROM programas_estudio WHERE id_programa = ?";
    $stmt = mysqli_prepare($tu_conexion, $query);

    if ($stmt) {
        mysqli_stmt_bind_param($stmt, 'i', $idPrograma);
        mysqli_stmt_execute($stmt);

        // Obtener resultados y generar el JSON de detalles
        mysqli_stmt_bind_result($stmt, $idPrograma, $nombrePrograma);

        $detallesPrograma = [];

        while (mysqli_stmt_fetch($stmt)) {
            $detallesPrograma['idPrograma'] = $idPrograma;
            $detallesPrograma['nombrePrograma'] = $nombrePrograma;
            // Agrega ms detalles segn sea necesario
        }

        mysqli_stmt_close($stmt);

        // Devolver los detalles como JSON o un mensaje de error si no se encontr el programa
        if (empty($detallesPrograma)) {
            header('Content-Type: application/json');
            echo json_encode(['error' => 'Programa no encontrado']);
        } else {
            header('Content-Type: application/json');
            echo json_encode($detallesPrograma);
        }
    } else {
        // Manejar el caso de error en la preparacin de la consulta
        header('Content-Type: application/json');
        echo json_encode(['error' => 'Error en la preparacin de la consulta: ' . mysqli_error($tu_conexion)]);
    }

    // Cierra la conexin solo cuando ya no se necesite
    mysqli_close($tu_conexion);
}
?>
