<?php
session_start();
include '../../controllers/conexion.php';



// Obtener información sobre los trabajos al egresar
$query_laboral = "SELECT SUM(consiguio_trabajo_egresar) AS trabajos_conseguidos,
                  COUNT(*) - SUM(consiguio_trabajo_egresar) AS no_trabajos_conseguidos
                  FROM laboral_estudiante";
$result_laboral = mysqli_query($tu_conexion, $query_laboral);

// Verificar si la consulta fue exitosa
if ($result_laboral) {
    // Obtener datos de la consulta
    $datos_trabajos = mysqli_fetch_assoc($result_laboral);

    // Almacenar los resultados en variables
    $trabajosConseguidos = $datos_trabajos['trabajos_conseguidos'];
    $noTrabajosConseguidos = $datos_trabajos['no_trabajos_conseguidos'];
} else {
    // Manejar el caso en que la consulta falle
    $trabajosConseguidos = 0;
    $noTrabajosConseguidos = 0;
    echo "Error al ejecutar la consulta: " . mysqli_error($tu_conexion);
}

// Liberar el resultado de la consulta
mysqli_free_result($result_laboral);


//---------------------------------------------------------
// Realizar consulta para obtener la cantidad de estudiantes que trabajan con título y sin título
$query_titulos = "SELECT SUM(CASE WHEN trabajo_conseguido = 'Titulo' THEN 1 ELSE 0 END) AS trabajos_con_titulo,
                        SUM(CASE WHEN trabajo_conseguido = 'Sin titulo' THEN 1 ELSE 0 END) AS trabajos_sin_titulo
                 FROM laboral_estudiante";
$result_titulos = mysqli_query($tu_conexion, $query_titulos);

// Verificar si la consulta fue exitosa
if ($result_titulos) {
    // Obtener datos de la consulta
    $datos_titulos = mysqli_fetch_assoc($result_titulos);

    // Almacenar los resultados en variables
    $trabajosConTitulo = $datos_titulos['trabajos_con_titulo'];
    $trabajosSinTitulo = $datos_titulos['trabajos_sin_titulo'];
} else {
    // Manejar el caso en que la consulta falle
    $trabajosConTitulo = 0;
    $trabajosSinTitulo = 0;
    echo "Error al ejecutar la consulta: " . mysqli_error($tu_conexion);
}

// Liberar el resultado de la consulta
mysqli_free_result($result_titulos);
//------------------------------------------------------------------------------------------

// Realizar consulta para tiempo de obtener un trabajo
$query_tiempo = "SELECT tiempo_primer_trabajo, COUNT(*) as cantidad
                 FROM laboral_estudiante
                 GROUP BY tiempo_primer_trabajo;";
$result_tiempo = mysqli_query($tu_conexion, $query_tiempo);

// Verificar si la consulta fue exitosa
if ($result_tiempo) {
    // Obtener datos de la consulta
    $tiempoPrimerTrabajo = array();
    $cantidadEstudiantes = array();

    while ($row = mysqli_fetch_assoc($result_tiempo)) {
        $tiempoPrimerTrabajo[] = $row['tiempo_primer_trabajo'];
        $cantidadEstudiantes[] = $row['cantidad'];
    }
} else {
    // Manejar el caso en que la consulta falle
    $tiempoPrimerTrabajo = array();
    $cantidadEstudiantes = array();
    echo "Error al ejecutar la consulta: " . mysqli_error($tu_conexion);
}

// Liberar el resultado de la consulta
mysqli_free_result($result_tiempo);

//------------------------------------------------------------------------------------------

// Realizar consulta para la cantidad de estudiantes por rubro de trabajo
$query_rubro = "SELECT rubro, COUNT(*) as cantidad_estudiantes
                FROM laboral_estudiante
                GROUP BY rubro;";
$result_rubro = mysqli_query($tu_conexion, $query_rubro);

// Verificar si la consulta fue exitosa
if ($result_rubro) {
    // Inicializar arreglos para almacenar los datos
    $rubros = array();
    $cantidadEstudiantesPorRubro = array();

    // Obtener datos de la consulta y almacenarlos en los arreglos
    while ($row = mysqli_fetch_assoc($result_rubro)) {
        $rubros[] = $row['rubro'];
        $cantidadEstudiantesPorRubro[] = $row['cantidad_estudiantes'];
    }
} else {
    // Manejar el caso en que la consulta falle
    $rubros = array();
    $cantidadEstudiantesPorRubro = array();
    echo "Error al ejecutar la consulta: " . mysqli_error($tu_conexion);
}

// Liberar el resultado de la consulta
mysqli_free_result($result_rubro);

//------------------------------------------------------------------------------------------

// Obtener información del instituto
$query_instituto = "SELECT * FROM informacion_instituto";
$result_instituto = mysqli_query($tu_conexion, $query_instituto);

// Obtener datos del instituto si existen
$datos_instituto = mysqli_fetch_assoc($result_instituto);
$nombre_instituto = $datos_instituto['nombre_instituto'];
$direccion_instituto = $datos_instituto['direccion_instituto'];
$telefono_instituto = $datos_instituto['telefono_instituto'];
$logo_instituto = $datos_instituto['logo_instituto'];

$ruta_base_logos = '../../archivos/logos/';

// Construir la ruta completa al logo
$ruta_logo_completa = $ruta_base_logos . $logo_instituto;



if (isset($_SESSION['id_usuario'])) {
  $id_usuario = $_SESSION['id_usuario'];

  // Realizar consulta para obtener información del usuario
  $query = "SELECT nombres, apellidos, rol FROM usuarios WHERE id_usuario = ?";
  $stmt = mysqli_prepare($tu_conexion, $query);
  mysqli_stmt_bind_param($stmt, "i", $id_usuario);
  mysqli_stmt_execute($stmt);
  mysqli_stmt_bind_result($stmt, $nombres, $apellidos, $rol);

  // Obtener el resultado de la consulta
  if (mysqli_stmt_fetch($stmt)) {
      // Mostrar la información del usuario
     
  } else {
     
  }

  // Cerrar la conexión y liberar recursos
  mysqli_stmt_close($stmt);
  mysqli_close($tu_conexion);
} else {
  // Redirigir si la sesión no está iniciada
   header('Location: /bolsalaboral/login.php');
  exit();
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title><?php echo $nombre_instituto; ?> | Bolsa Laboral</title>

  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css">
  <!-- DataTables -->
  <link rel="stylesheet" href="../plugins/datatables-bs4/css/dataTables.bootstrap4.min.css">
  <link rel="stylesheet" href="../plugins/datatables-responsive/css/responsive.bootstrap4.min.css">
  <link rel="stylesheet" href="../plugins/datatables-buttons/css/buttons.bootstrap4.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="../dist/css/adminlte.min.css">
<style>
  [class*=sidebar-dark-] {
    background-color: #083868;
    
}

[class*=sidebar-dark] .form-control-sidebar {
    background-color: #083868;
    border: 1px solid #fff;
    color: #fff;
}

[class*=sidebar-dark] .btn-sidebar, [class*=sidebar-dark] .form-control-sidebar {
    background-color: #083868;
    border: 1px solid #fff;
    color: #fff;
}



/* Cambia el color de fondo de los botones específicos si es necesario */
.dataTables_wrapper .dt-buttons .btn {
    background-color: #13416f; /* Cambia el color de fondo a tu preferencia */
    border: 1px solid #fff;
}

.chart-container {
      position: relative;
      height: 400px;
    }

</style>
</head>
<body class="hold-transition sidebar-mini">
<div class="wrapper">
  <!-- Navbar -->
  <nav class="main-header navbar navbar-expand navbar-white navbar-light">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="../principal.php" class="nav-link">Inicio</a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="#" class="nav-link">Contacto</a>
      </li>
    </ul>

    <!-- Right navbar links -->
    
  </nav>
  <!-- /.navbar -->

  <!-- Main Sidebar Container -->
  <aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="#" class="brand-link">
      <img src="<?php echo $ruta_logo_completa; ?>" alt="AdminLTE Logo" class="brand-image img-circle elevation-3" style="opacity: .8">
      <span class="brand-text font-weight-light"><?php echo $nombre_instituto; ?></span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
      <!-- Sidebar user (optional) -->
      <div class="user-panel mt-3 pb-3 mb-3 d-flex">
        <div class="image">
          <img src="../dist/img/user2-160x160.jpg" class="img-circle elevation-2" alt="User Image">
        </div>
        <div class="info">
          <a href="#" class="d-block"><?php echo $apellidos; ?></a>
          <a href="#" class="d-block"><?php echo $nombres; ?></a>
          <a href="#" class="d-block"><?php echo $rol; ?></a>
        </div>
      </div>

      <!-- SidebarSearch Form -->
      <div class="form-inline">
        <div class="input-group" data-widget="sidebar-search">
          <input class="form-control form-control-sidebar" type="search" placeholder="Search" aria-label="Search">
          <div class="input-group-append">
            <button class="btn btn-sidebar">
              <i class="fas fa-search fa-fw"></i>
            </button>
          </div>
        </div>
      </div>

      <!-- Sidebar Menu -->
      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->


               <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'estudiante' ) {
                        echo '<li class="nav-item">
                                <a href="../principal_estudiante.php" class="nav-link">
                                <i class="nav-icon fas fa-th"></i>
                                <p>Inicio
                                <span class="right badge badge-danger">New</span>
                                </p>
                                </a>
                            </li>';
                    }
              ?>

              <?php 
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'administrador') {
                        echo '<li class="nav-item">
                                <a href="../principal.php" class="nav-link">
                                <i class="nav-icon fas fa-home"></i>
                                <p>Inicio
                                <span class="right badge badge-danger">New</span>
                                </p>
                                </a>
                            </li>';
                    }
              ?>   
          

            <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'administrador') {
                        echo '<li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="nav-icon fas fa-users"></i>
                          <p>
                          Usuarios
                            <i class="fas fa-angle-left right"></i>
                            <span class="badge badge-info right">6</span>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="../Usuarios/agregar_multiple.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Importacion Multiple</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="../Usuarios/ver_estudiantes.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Ver Estudiantes</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="../Usuarios/usuarios_inactivos.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Ver Estudiantes Inactivos</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="../Usuarios/ver_docentes.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Ver Docentes</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="../Usuarios/docentes_inactivos.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Ver Docentes Inactivos</p>
                            </a>
                          </li>
                          
                        </ul>
                      </li> ';
                    }
            ?> 

            <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'administrador') {
                        echo '<li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="nav-icon fas fa-building"></i>
                          <p>
                          Instituto
                            <i class="fas fa-angle-left right"></i>
                            <span class="badge badge-info right">6</span>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="../instituto/ver_instituto.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Ver Informacion</p>
                            </a>
                          </li>
                          
                          
                          
                        </ul>
                      </li> ';
                    }
            ?>

            <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'administrador') {
                        echo '<li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="nav-icon fas fa-graduation-cap"></i>
                          <p>
                          Programas Estudios
                            <i class="fas fa-angle-left right"></i>
                            <span class="badge badge-info right">6</span>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="../programas/ver_programa.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Ver Programas</p>
                            </a>
                          </li>
                          
                          
                          
                        </ul>
                      </li> ';
                    }
            ?> 
            <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'administrador') {
                        echo '<li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="nav-icon fas fa-file"></i>
                          <p>
                            Tipo de Contrato
                            <i class="fas fa-angle-left right"></i>
                            <span class="badge badge-info right">6</span>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="../Contrato/ver_contrato.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Ver tipo contrato</p>
                            </a>
                          </li>
                          
                          
                          
                        </ul>
                      </li> ';
                    }
            ?>

            <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'administrador') {
                        echo '<li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="nav-icon fas fa-building"></i>
                          <p>
                            Empresas
                            <i class="fas fa-angle-left right"></i>
                            <span class="badge badge-info right">6</span>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="../empresas/ver_empresas.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Ver empresas</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="../empresas/agregar_empresa.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Agregar empresa</p>
                            </a>
                          </li>
                          
                          
                        </ul>
                      </li> ';
                    }
            ?>


                      

          

          <li class="nav-item">
            <a href="#" class="nav-link">
              <i class="nav-icon fas fa-book"></i>
              <p>
                Ofertas
                <i class="fas fa-angle-left right"></i>
                <span class="badge badge-info right">6</span>
              </p>
            </a>
            <ul class="nav nav-treeview">
              <li class="nav-item">
                <a href="../ofertas/mostrar.php" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Mostrar</p>
                </a>
              </li>

              <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'estudiante') {
                        echo '<li class="nav-item">
                                <a href="../ofertas/ver_postulaciones.php" class="nav-link">
                                <i class="far fa-circle nav-icon"></i>
                                <p>Agregar</p>
                                </a>
                            </li>';
                    }
              ?>
             

              <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'administrador') {
                        echo '<li class="nav-item">
                                <a href="../ofertas/agregar.php" class="nav-link">
                                <i class="far fa-circle nav-icon"></i>
                                <p>Agregar</p>
                                </a>
                            </li>';
                    }
              ?>
              
              
              
            </ul>
          </li>

          <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'administrador') {
                        echo '<li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="nav-icon fas fa-chart-pie"></i>
                          <p>
                            Reportes
                            <i class="fas fa-angle-left right"></i>
                            <span class="badge badge-info right">6</span>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="reporte_postulaciones.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Postulaciones</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="ofertas_vencidas.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Ofertas Vencidas</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="reporte_detallado.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Postulaciones Detalladas</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="reporte_seguimiento.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Reporte Seguimiento</p>
                            </a>
                          </li>
                        </ul>
                      </li> ';
                    }
            ?>  

            <?php
                // Suponiendo que $rol contiene el rol del usuario actual

                    if ($rol === 'administrador') {
                        echo '<li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="nav-icon fas fa-building"></i>
                          <p>
                            Seguimiento
                            <i class="fas fa-angle-left right"></i>
                            <span class="badge badge-info right">6</span>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="../cursos/ver_cursos.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Cursos</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="../becas/ver_becas.php" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Becas</p>
                            </a>
                          </li>
                          
                          
                          
                        </ul>
                      </li> ';
                    }
            ?>
          
          <li class="nav-item">
              <a href="../cerrar_sesion.php" class="nav-link">
                  <i class="nav-icon fas fa-sign-out-alt"></i>
                  <p>Cerrar Sesión</p>
              </a>
          </li>

        </ul>
      </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
  </aside>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Reporte Laboral de Estudiantes</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Inicio</a></li>
              <li class="breadcrumb-item active">Reporte Seguimiento</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <div class="col-md-6">
            <!-- AREA CHART -->
            <div class="card card-primary">
              <div class="card-header">
                <h3 class="card-title">Estudiantes Trabajando al Egresar</h3>

                <div class="card-tools">
                  <button type="button" class="btn btn-tool" data-card-widget="collapse">
                    <i class="fas fa-minus"></i>
                  </button>
                  <button type="button" class="btn btn-tool" data-card-widget="remove">
                    <i class="fas fa-times"></i>
                  </button>
                </div>
              </div>
              <div class="card-body">
                <div class="chart">
                  <canvas id="graficoTrabajos" style="min-height: 250px; height: 250px; max-height: 250px; max-width: 100%;"></canvas>
                </div>
              </div>
              <!-- /.card-body -->
            </div>
            <!-- /.card -->

            <!-- DONUT CHART -->
            <div class="card card-danger">
              <div class="card-header">
                <h3 class="card-title">Reporte de Estudiantes Titulados</h3>

                <div class="card-tools">
                  <button type="button" class="btn btn-tool" data-card-widget="collapse">
                    <i class="fas fa-minus"></i>
                  </button>
                  <button type="button" class="btn btn-tool" data-card-widget="remove">
                    <i class="fas fa-times"></i>
                  </button>
                </div>
              </div>
              <div class="card-body">
                <canvas id="graficoTitulos" style="min-height: 250px; height: 250px; max-height: 250px; max-width: 100%;"></canvas>
              </div>
              <!-- /.card-body -->
            </div>
            <!-- /.card -->


          </div>
          <!-- /.col (LEFT) -->
          <div class="col-md-6">
            <!-- LINE CHART -->
            <div class="card card-info">
              <div class="card-header">
                <h3 class="card-title">Tiempo en Conseguir Trabajo</h3>

                <div class="card-tools">
                  <button type="button" class="btn btn-tool" data-card-widget="collapse">
                    <i class="fas fa-minus"></i>
                  </button>
                  <button type="button" class="btn btn-tool" data-card-widget="remove">
                    <i class="fas fa-times"></i>
                  </button>
                </div>
              </div>
              <div class="card-body">
                <div class="chart">
                  <canvas id="graficoTiempoPrimerTrabajo" style="min-height: 250px; height: 250px; max-height: 250px; max-width: 100%;"></canvas>
                </div>
              </div>
              <!-- /.card-body -->
            </div>
            <!-- /.card -->

            <!-- BAR CHART -->
            <div class="card card-success">
              <div class="card-header">
                <h3 class="card-title">Rubro de Trabajo</h3>

                <div class="card-tools">
                  <button type="button" class="btn btn-tool" data-card-widget="collapse">
                    <i class="fas fa-minus"></i>
                  </button>
                  <button type="button" class="btn btn-tool" data-card-widget="remove">
                    <i class="fas fa-times"></i>
                  </button>
                </div>
              </div>
              <div class="card-body">
                <div class="chart">
                  <canvas id="graficoRubros" style="min-height: 250px; height: 250px; max-height: 250px; max-width: 100%;"></canvas>
                </div>
              </div>
              <!-- /.card-body -->
            </div>
            <!-- /.card -->

            <!-- STACKED BAR CHART -->
            
            <!-- /.card -->

          </div>
          <!-- /.col (RIGHT) -->
        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
  <footer class="main-footer">
    <strong>Copyright &copy; 2024-2028 <?php echo $nombre_instituto; ?></strong>
    todos los derechos reservados.
    <div class="float-right d-none d-sm-inline-block">
      <b>Version</b> 3.2.0
    </div>
  </footer>

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->
<!-- jQuery -->
<script src="../plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="../plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- ChartJS -->
<script src="../plugins/chart.js/Chart.min.js"></script>
<!-- AdminLTE App -->
<script src="../dist/js/adminlte.min.js"></script>
<!-- AdminLTE for demo purposes -->
<script src="../dist/js/demo.js"></script>
<!-- jQuery -->



<!-- Page specific script -->


<script>
    // Datos de trabajos al egresar
    var trabajosConseguidos = <?php echo $trabajosConseguidos; ?>;
    var noTrabajosConseguidos = <?php echo $noTrabajosConseguidos; ?>;

    // Configuración y creación del primer gráfico (Trabajos al Egresar)
    var ctx1 = document.getElementById('graficoTrabajos').getContext('2d');
    var graficoTrabajos = new Chart(ctx1, {
      type: 'pie',
      data: {
        labels: ['Trabajos Conseguidos', 'Sin Trabajo'],
        datasets: [{
          data: [trabajosConseguidos, noTrabajosConseguidos],
          backgroundColor: ['rgba(54, 162, 235, 0.5)', 'rgba(255, 99, 132, 0.5)'],
          borderColor: ['rgba(54, 162, 235, 1)', 'rgba(255, 99, 132, 1)'],
          borderWidth: 1
        }]
      },
      options: {
        responsive: true,
        maintainAspectRatio: false
      }
    });

    // Datos de trabajos con y sin título
    var trabajosConTitulo = <?php echo $trabajosConTitulo; ?>;
    var trabajosSinTitulo = <?php echo $trabajosSinTitulo; ?>;

    // Configuración y creación del segundo gráfico (Trabajos con y sin Título)
    var ctx2 = document.getElementById('graficoTitulos').getContext('2d');
    var graficoTitulos = new Chart(ctx2, {
      type: 'bar', // Cambiar a 'bar' para gráfico de barras
      data: {
        labels: ['Con Título', 'Sin Título'],
        datasets: [{
          label: 'Cantidad de Trabajos',
          data: [trabajosConTitulo, trabajosSinTitulo],
          backgroundColor: ['rgba(54, 162, 235, 0.5)', 'rgba(255, 206, 86, 0.5)'],
          borderColor: ['rgba(54, 162, 235, 1)', 'rgba(255, 206, 86, 1)'],
          borderWidth: 1
        }]
      },
      options: {
        responsive: true,
        maintainAspectRatio: false,
        scales: {
          yAxes: [{
            ticks: {
              beginAtZero: true
            }
          }]
        }
      }
    });

    // Datos de la consulta SQL para tiempo de trabajo
var tiempoPrimerTrabajo = <?php echo json_encode($tiempoPrimerTrabajo); ?>;
var cantidadEstudiantes = <?php echo json_encode($cantidadEstudiantes); ?>;

// Configuración y creación del gráfico de barras
var ctx3 = document.getElementById('graficoTiempoPrimerTrabajo').getContext('2d');
var graficoTiempoPrimerTrabajo = new Chart(ctx3, {
  type: 'bar',
  data: {
    labels: tiempoPrimerTrabajo,
    datasets: [{
      label: 'Cantidad de Estudiantes',
      data: cantidadEstudiantes,
      backgroundColor: 'rgba(54, 162, 235, 0.5)',
      borderColor: 'rgba(54, 162, 235, 1)',
      borderWidth: 1
    }]
  },
  options: {
    scales: {
      yAxes: [{
        ticks: {
          beginAtZero: true
        }
      }]
    }
  }
});

// Configuración y creación del gráfico de donas
var ctx4 = document.getElementById('graficoRubros').getContext('2d');
var graficoRubros = new Chart(ctx4, {
  type: 'doughnut',
  data: {
    labels: <?php echo json_encode($rubros); ?>,
    datasets: [{
      label: 'Cantidad de Estudiantes por Rubro',
      data: <?php echo json_encode($cantidadEstudiantesPorRubro); ?>,
      backgroundColor: [
        'rgba(255, 99, 132, 0.5)',
        'rgba(54, 162, 235, 0.5)',
        'rgba(255, 206, 86, 0.5)',
        'rgba(75, 192, 192, 0.5)',
        'rgba(153, 102, 255, 0.5)',
        'rgba(255, 159, 64, 0.5)'
        // Puedes añadir más colores si tienes más rubros
      ],
      borderColor: [
        'rgba(255, 99, 132, 1)',
        'rgba(54, 162, 235, 1)',
        'rgba(255, 206, 86, 1)',
        'rgba(75, 192, 192, 1)',
        'rgba(153, 102, 255, 1)',
        'rgba(255, 159, 64, 1)'
        // Puedes añadir más colores si tienes más rubros
      ],
      borderWidth: 1
    }]
  },
  options: {
    responsive: true,
    maintainAspectRatio: false
  }
});


  </script>

</body>
</html>
