<?php
include 'app/controllers/conexion.php';

//llamamos la modelo y controlador de programas
include 'app/controllers/CursosController.php';
include 'app/models/CursosModel.php';


// Crear instancias del controlador y el modelo para programas
$programasController = new CursosController($tu_conexion);


$cursos = $programasController->obtenerCursos();

// Obtener informacin del instituto
$query_instituto = "SELECT * FROM informacion_instituto";
$result_instituto = mysqli_query($tu_conexion, $query_instituto);

// Obtener datos del instituto si existen
$datos_instituto = mysqli_fetch_assoc($result_instituto);
$nombre_instituto = $datos_instituto['nombre_instituto'];
$direccion_instituto = $datos_instituto['direccion_instituto'];
$telefono_instituto = $datos_instituto['telefono_instituto'];
$logo_instituto = $datos_instituto['logo_instituto'];

// Ruta base donde se almacenan tus logos
$ruta_base_logos = 'app/archivos/logos/';

// Construir la ruta completa al logo
$ruta_logo_completa = $ruta_base_logos . $logo_instituto;


?>
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title><?php echo $nombre_instituto; ?> | Bolsa Laboral</title>

  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="app/views/plugins/fontawesome-free/css/all.min.css">
  <!-- DataTables -->
  <link rel="stylesheet" href="app/views/plugins/datatables-bs4/css/dataTables.bootstrap4.min.css">
  <link rel="stylesheet" href="app/views/plugins/datatables-responsive/css/responsive.bootstrap4.min.css">
  <link rel="stylesheet" href="app/views/plugins/datatables-buttons/css/buttons.bootstrap4.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="app/views/dist/css/adminlte.min.css">

  <style>
  [class*=sidebar-dark-] {
    background-color: #083868;
    
}

[class*=sidebar-dark] .form-control-sidebar {
    background-color: #083868;
    border: 1px solid #fff;
    color: #fff;
}

[class*=sidebar-dark] .btn-sidebar, [class*=sidebar-dark] .form-control-sidebar {
    background-color: #083868;
    border: 1px solid #fff;
    color: #fff;
}



/* Cambia el color de fondo de los botones especficos si es necesario */
.dataTables_wrapper .dt-buttons .btn {
    background-color: #13416f; /* Cambia el color de fondo a tu preferencia */
    border: 1px solid #fff;
}
.imagen-cuadrada {
    width: 250px;
    height: 200px;
}

</style>

</head>
<body class="control-sidebar-slide-open sidebar-collapse">
<div class="wrapper">
  <!-- Navbar -->
  <nav class="main-header navbar navbar-expand navbar-white navbar-light" style="background-color: #083868;">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
      <li class="nav-item">
         <!-- <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>-->
      </li>
      <li class="nav-item d-none d-sm-inline-block" style="color: #fff;">
        <a href="seguimiento2.php" class="nav-link" style="color: #fff;">Inicio</a>
      </li>
      <li class="nav-item d-none d-sm-inline-block" style="color: #fff;">
        <a href="cursos.php" class="nav-link" style="color: #fff;">Cursos</a>
      </li>
      <li class="nav-item d-none d-sm-inline-block" style="color: #fff;">
        <a href="becas.php" class="nav-link" style="color: #fff;">Becas</a>
      </li>
    </ul>

    <!-- Right navbar links -->
    <ul class="navbar-nav ml-auto">
      <!-- Navbar Search -->
      

      <!-- Messages Dropdown Menu -->
      
      <!-- Notifications Dropdown Menu -->
      
      <li class="nav-item">
        <a class="nav-link" data-widget="fullscreen" href="#" role="button">
          <i class="fas fa-expand-arrows-alt"></i>
        </a>
      </li>
      
    </ul>
  </nav>
  <!-- /.navbar -->

  <!-- Main Sidebar Container -->
  <aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="#" class="brand-link">
        <img src="<?php echo $ruta_logo_completa; ?>" alt="AdminLTE Logo" class="brand-image img-circle elevation-3" style="opacity: .8">
      <span class="brand-text font-weight-light"><?php echo $nombre_instituto; ?></span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
      <!-- Sidebar user (optional) -->
      <div class="user-panel mt-3 pb-3 mb-3 d-flex">
        <div class="image">
          <img src="app/views/dist/img/user2-160x160.jpg" class="img-circle elevation-2" alt="User Image">
        </div>
        <div class="info">
          
        </div>
      </div>

      <!-- SidebarSearch Form -->
      <div class="form-inline">
        <div class="input-group" data-widget="sidebar-search">
          <input class="form-control form-control-sidebar" type="search" placeholder="Search" aria-label="Search">
          <div class="input-group-append">
            <button class="btn btn-sidebar">
              <i class="fas fa-search fa-fw"></i>
            </button>
          </div>
        </div>
      </div>

      <!-- Sidebar Menu -->
      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
        
          
          
          <li class="nav-item">
              <a href="seguimiento2.php" class="nav-link">
                  <i class="nav-icon fas fa-sign-out-alt"></i>
                  <p>Inicio</p>
              </a>
          </li>

          <li class="nav-item">
              <a href="cursos.php" class="nav-link">
                  <i class="nav-icon fas fa-sign-out-alt"></i>
                  <p>Cursos</p>
              </a>
          </li>

          <li class="nav-item">
              <a href="becas.php" class="nav-link">
                  <i class="nav-icon fas fa-sign-out-alt"></i>
                  <p>Becas</p>
              </a>
          </li>
         

        </ul>
      </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
  </aside>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper" style="min-height: 1566.44px;">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Lista de Cursos</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Inicio</a></li>
              <li class="breadcrumb-item active">Lista de Cursos</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

  

    <section class="content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-header">
                            <div class="row">
                                
                                
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="container">
                                <div class="row">
                                    <?php foreach ($cursos as $curso) : ?>
                                        <div class="col-md-4 mb-4">
                                            <div class="card" style="align-items: center;">
                                                <img src="app/archivos/cursos/<?php echo $curso['imagen_url']; ?>" class="card-img-top imagen-cuadrada" alt="...">
                                                <div class="card-body">
                                                    <h5 class="card-title"><?php echo $curso['nombre_curso']; ?></h5>
                                                    <p class="card-text"><?php echo $curso['descripcion_curso']; ?></p>
                                                    <p class="card-text"><strong>Costo: </strong><?php echo $curso['costo']; ?></p>
                                                    <p class="card-text"><strong>Fecha de inicio: </strong><?php echo $curso['fecha_inicio']; ?></p>
                                                    <p class="card-text"><strong>Fecha de fin: </strong><?php echo $curso['fecha_fin']; ?></p>
                                                    <p class="card-text"><strong>Programa: </strong><?php echo $curso['nombre_programa']; ?></p>
                                                    
                                                </div>
                                            </div>
                                        </div>
                                    <?php endforeach; ?>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>



    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
  <footer class="main-footer">
    <strong>Copyright &copy; 2024-2028 <?php echo $nombre_instituto; ?></strong>
    todos los derechos reservados.
    <div class="float-right d-none d-sm-inline-block">
      <b>Version</b> 3.2.0
    </div>
  </footer>

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark" style="display: none;">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->

<!-- jQuery -->
<script src="app/views/plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="app/views/plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- DataTables  & Plugins -->
<script src="app/views/plugins/datatables/jquery.dataTables.min.js"></script>
<script src="app/views/plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
<script src="app/views/plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
<script src="app/views/plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
<script src="app/views/plugins/datatables-buttons/js/dataTables.buttons.min.js"></script>
<script src="app/views/plugins/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
<script src="app/views/plugins/jszip/jszip.min.js"></script>
<script src="app/views/plugins/pdfmake/pdfmake.min.js"></script>
<script src="app/views/plugins/pdfmake/vfs_fonts.js"></script>
<script src="app/views/plugins/datatables-buttons/js/buttons.html5.min.js"></script>
<script src="app/views/plugins/datatables-buttons/js/buttons.print.min.js"></script>
<script src="app/views/plugins/datatables-buttons/js/buttons.colVis.min.js"></script>
<!-- AdminLTE App -->
<script src="app/views/dist/js/adminlte.min.js"></script>
<!-- AdminLTE for demo purposes -->

<!-- Page specific script -->




</body>
</html>
