<?php
include 'app/controllers/conexion.php';

// Obtener información del instituto
$query_instituto = "SELECT * FROM informacion_instituto";
$result_instituto = mysqli_query($tu_conexion, $query_instituto);

// Obtener datos del instituto si existen
$datos_instituto = mysqli_fetch_assoc($result_instituto);
$nombre_instituto = $datos_instituto['nombre_instituto'];
$direccion_instituto = $datos_instituto['direccion_instituto'];
$telefono_instituto = $datos_instituto['telefono_instituto'];
$logo_instituto = $datos_instituto['logo_instituto'];
// Ruta base donde se almacenan tus logos
$ruta_base_logos = 'app/archivos/logos/';

// Construir la ruta completa al logo
$ruta_logo_completa = $ruta_base_logos . $logo_instituto;
?>

<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" href="public/css/style.css">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?php echo $nombre_instituto; ?> - Bolsa Laboral</title>
    <style>
       .img-fluid {
    max-width: 100%;
    height: 305px;
}

    </style>
</head>
<body>

<header>
    <img id="logo" src="<?php echo $ruta_logo_completa; ?>" alt="Logo del instituto">
    
    <!-- Botón de hamburguesa -->
    <div class="menu-toggle">&#9776;</div>
    
    <nav>
        <ul>
            <li><a href="index.php">Inicio</a></li>
            <li><a href="registro.php">Registrarse</a></li>
            <li><a href="login.php">Acceder</a></li>
        </ul>
    </nav>
</header>

<main class="container mt-5">
    <!-- Sección de inicio de sesión y registro -->
    <section class="row">
        <!-- Columna izquierda con la imagen para Administrador -->
        <div class="col-md-4">
            <div class="text-center mb-4">
                <img src="app/archivos/login/docente.png" alt="Imagen Administrador" class="img-fluid">
            </div>
            <div class="mt-4">
                <a href="login.php" class="btn btn-primary btn-lg btn-block">Iniciar Sesión Docente</a>
            </div>
        </div>

        <!-- Columna central con la imagen para Docente -->
        <div class="col-md-4">
            <div class="text-center mb-4">
                <img src="app/archivos/login/estudiante.png" alt="Imagen Docente" class="img-fluid" >
            </div>
            <div class="mt-4">
                <a href="login.php" class="btn btn-secondary btn-lg btn-block">Iniciar Sesión Alumno</a>
            </div>
        </div>

        <!-- Columna derecha con la imagen para Usuario -->
        <div class="col-md-4">
            <div class="text-center mb-4">
                <img src="app/archivos/login/administrador.png" alt="Imagen Usuario" class="img-fluid" >
            </div>
            <div class="mt-4">
                <a href="login.php" class="btn btn-info btn-lg btn-block">Iniciar Sesión Administrador</a>
            </div>
        </div>
    </section>
</main>

<footer>
<p>&copy; 2024 <?php echo $nombre_instituto; ?> - Todos los derechos reservados</p>
</footer>

<!-- Script para controlar el menú de hamburguesa -->
<script>
    document.addEventListener('DOMContentLoaded', function () {
        var menuToggle = document.querySelector('.menu-toggle');
        var nav = document.querySelector('nav');

        // Agregar un evento de clic al botón de hamburguesa
        menuToggle.addEventListener('click', function () {
            // Alternar la clase 'show' para mostrar u ocultar el menú
            nav.classList.toggle('show');
        });
    });
</script>

</body>
</html>
