
<?php
include 'app/controllers/conexion.php';

// Obtener informaci車n del instituto
$query_instituto = "SELECT * FROM informacion_instituto";
$result_instituto = mysqli_query($tu_conexion, $query_instituto);

// Obtener datos del instituto si existen
$datos_instituto = mysqli_fetch_assoc($result_instituto);
$nombre_instituto = $datos_instituto['nombre_instituto'];
$direccion_instituto = $datos_instituto['direccion_instituto'];
$telefono_instituto = $datos_instituto['telefono_instituto'];
$logo_instituto = $datos_instituto['logo_instituto'];

?>
<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?php echo $nombre_instituto; ?> - Bolsa Laboral</title>
    <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" rel="stylesheet">
    <style>
        body {
            background-image: url('app/archivos/fondo/fondo.jpg');
            background-size: cover;
            background-position: center;
            background-repeat: no-repeat;
        }

        .card {
            margin-top: 10%;
            margin-bottom:62%;
        }

        .card-header {
            background-color: #fff;
            color: black;
        }

        .logo {
            max-width: 150px;
            margin-bottom: 20px;
        }
    </style>
</head>
<body>
    <div class="container mt-5">
        <div class="row justify-content-center">
            <div class="col-md-6">
               <div class="card">
                    <div class="card-header text-center">
                        <img src="app/archivos/logos/logoinstituto.png" alt="Logo" class="logo">
                        <h3 class="card-title">Iniciar Sesion - Bolsa Laboral</h3>
                    </div>
                    <div class="card-body">

                        <form id="loginForm" action="procesar_login.php" method="post">
                            <div class="form-group">
                                <label for="username">Usuario:</label>
                                <input type="text" id="username" name="usuario" class="form-control" required>
                                
                            </div>
                            <div class="form-group">
                                <label for="password">Contraseña:</label>
                                <input type="password" id="password" name="clave" class="form-control" required>
                            </div>
                            <button type="button" class="btn btn-primary btn-block" onclick="iniciarSesion()">Iniciar Sesión</button>
                            <a href="recuperar_clave.php" class="btn btn-secondary btn-block">Recuperar Clave</a>
                            <a href="registro.php" class="btn btn-warning btn-block">Registrar</a>
                            <a href="index.php" class="btn btn-danger btn-block">Regresar</a>
                            <a href="MODO ESTUDIANTE - BOLSA LABORAL.pdf" class="btn btn-info btn-block" target="_blank">Manual de Usuario</a>
                        </form>
                       
				
				
                    </div>
                </div>
            </div>
        </div>
    </div>

   

</body>

<script src="https://code.jquery.com/jquery-3.6.4.min.js"></script>
<!-- Agrega esto en tu head -->
<script src="https://cdn.jsdelivr.net/npm/sweetalert2@10"></script>



<script>

	// Agrega esta funci車n al script JS existente

	function iniciarSesion() {
    var usuario = $('#username').val();
    var clave = $('#password').val();

    $.ajax({
        type: 'POST',
        url: 'procesar_login.php',
        data: { usuario: usuario, clave: clave },
        dataType: 'json',
        success: function(response) {
            if (response.success) {
                // Redirige seg迆n el rol del usuario
                switch (response.rol) {
                    case 'administrador':
                        window.location.href = 'app/views/principal.php';
                        break;
                    case 'docente':
                        window.location.href = 'app/views/principal_docente.php';
                        break;
                    case 'estudiante':
                        window.location.href = 'app/views/principal_estudiante.php';
                        break;
                    default:
                        Swal.fire({
                            icon: 'error',
                            title: 'Error',
                            text: 'Rol de usuario desconocido'
                        });
                }
                
                // Accede al id_usuario en la respuesta y haz lo que necesites
                var idUsuario = response.id_usuario;
                console.log('ID de Usuario:', idUsuario);
            } else {
                Swal.fire({
                    icon: 'error',
                    title: 'Error',
                    text: response.message
                });
            }
        },
        error: function() {
            Swal.fire({
                icon: 'error',
                title: 'Error',
                text: 'Error al procesar la solicitud'
            });
        }
    });
}





</script>
</html>
