<?php
date_default_timezone_set('America/Lima');
include 'app/controllers/conexion.php';

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $usuario = $_POST['usuario'];
    $clave = $_POST['clave'];

    $query = "SELECT id_usuario, contrasena, rol, estado FROM usuarios WHERE correo = ? LIMIT 1";

    $stmt = mysqli_prepare($tu_conexion, $query);
    mysqli_stmt_bind_param($stmt, "s", $usuario);
    mysqli_stmt_execute($stmt);

    mysqli_stmt_bind_result($stmt, $id_usuario, $contrasena, $rol, $estado);

    if (mysqli_stmt_fetch($stmt)) {
        if ($estado == 'Activo' && password_verify($clave, $contrasena)) {
            // Inicio de sesión exitoso
            session_start();
            $_SESSION['id_usuario'] = $id_usuario;
            $_SESSION['rol'] = $rol;

            echo json_encode(['success' => true, 'rol' => $rol, 'id_usuario' => $id_usuario]);
        } elseif ($estado != 'Activo') {
            echo json_encode(['success' => false, 'message' => 'Usuario inactivo, comunicarse con el administrador']);
        } else {
            echo json_encode(['success' => false, 'message' => 'Contraseña incorrecta.']);
        }
    } else {
        echo json_encode(['success' => false, 'message' => 'Usuario no encontrado']);
    }

    mysqli_stmt_close($stmt);
    mysqli_close($tu_conexion);
} else {
    http_response_code(401);
    echo json_encode(['success' => false, 'message' => 'Acceso no autorizado']);
}
?>
