
<?php
include 'app/controllers/conexion.php';

// Obtener información del instituto
$query_instituto = "SELECT * FROM informacion_instituto";
$result_instituto = mysqli_query($tu_conexion, $query_instituto);

// Obtener datos del instituto si existen
$datos_instituto = mysqli_fetch_assoc($result_instituto);
$nombre_instituto = $datos_instituto['nombre_instituto'];
$direccion_instituto = $datos_instituto['direccion_instituto'];
$telefono_instituto = $datos_instituto['telefono_instituto'];
$logo_instituto = $datos_instituto['logo_instituto'];

?>
<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?php echo $nombre_instituto; ?> - Bolsa Laboral</title>
    <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" rel="stylesheet">
    <style>
        body {
            background-image: url('app/archivos/fondo/fondo.jpg');
            background-size: cover;
            background-position: center;
            background-repeat: no-repeat;
        }

        .card {
            margin-top: 11%;        
            margin-bottom: 62%;
        }

        .card-header {
            background-color: #fff;
            color: black;
        }

        .logo {
            max-width: 150px;
            margin-bottom: 20px;
        }
    </style>
</head>
<body>
    <div class="container mt-5">
        <div class="row justify-content-center">
            <div class="col-md-6">
                <div class="card">
                    <div class="card-header text-center">
                        <img src="app/archivos/logos/logoinstituto.png" alt="Logo" class="logo">
                        <h3 class="card-title">Recuperar Clave - Bolsa Laboral</h3>
                    </div>
                    <div class="card-body">

                    <form id="recuperarClaveForm" action="procesar_recuperacion.php" method="post">
                        <div class="form-group">
                            <label for="correo">Ingrese su Correo Electrónico:</label>
                            <input type="email" id="correo" name="correo" class="form-control" required>
                        </div>
                        
                        <button type="submit" class="btn btn-primary btn-block">Recuperar Clave</button>
                        
                            <a href="login.php" class="btn btn-danger btn-block">Regresar</a>
                    </form>

                       
				
				
                    </div>
                </div>
            </div>
        </div>
    </div>

   

</body>

<script src="https://code.jquery.com/jquery-3.6.4.min.js"></script>
<!-- Agrega esto en tu head -->
<script src="https://cdn.jsdelivr.net/npm/sweetalert2@10"></script>

<script>
    $(document).ready(function() {
        // Manejar el envío del formulario con Ajax
        $("#recuperarClaveForm").submit(function(event) {
            event.preventDefault(); // Evita el envío estándar del formulario

            // Realizar la petición Ajax
            $.ajax({
                type: 'POST',
                url: "procesar_recuperacion.php",
                data: $(this).serialize(),
                dataType: 'json',
                success: function(response) {
                    // Mostrar la alerta de SweetAlert2 según la respuesta
                    if (response.success) {
                        Swal.fire({
                            icon: 'success',
                            title: 'Éxito',
                            text: response.message,
                        }).then(function() {
                            // Redireccionar o hacer alguna acción adicional si es necesario
                        });
                    } else {
                        Swal.fire({
                            icon: 'error',
                            title: 'Error',
                            text: response.message,
                        });
                    }
                },
                error: function() {
                    Swal.fire({
                        icon: 'error',
                        title: 'Error',
                        text: 'Error en la solicitud Ajax',
                    });
                }
            });
        });
    });
</script>


</html>
