<?php
include 'app/controllers/conexion.php';

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\SMTP;
use PHPMailer\PHPMailer\Exception;

include 'libs/PHPMailer/src/Exception.php';
include 'libs/PHPMailer/src/PHPMailer.php';
include 'libs/PHPMailer/src/SMTP.php';

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Recibir datos del formulario
    $nombre = isset($_POST['nombres']) ? $_POST['nombres'] : '';
    $apellidos = isset($_POST['apellidoss']) ? $_POST['apellidoss'] : '';
    $dni = isset($_POST['dni']) ? $_POST['dni'] : '';
    $correo = isset($_POST['correo']) ? $_POST['correo'] : '';
    $telefono = isset($_POST['telefono']) ? $_POST['telefono'] : '';

    $tipo_usuario = isset($_POST['tipo_usuario']) ? $_POST['tipo_usuario'] : '';
    $clave = isset($_POST['clave']) ? password_hash($_POST['clave'], PASSWORD_DEFAULT) : ''; // Hash de la contraseña

    $tipo_documento = isset($_POST['tipo_documento']) ? $_POST['tipo_documento'] : '';
    $programa = isset($_POST['programa']) ? $_POST['programa'] : '';
    
   

    // Validar duplicados (correo y DNI)
    $query_validar_correo = "SELECT COUNT(*) as count FROM usuarios WHERE correo = '$correo'";
    $result_correo = mysqli_query($tu_conexion, $query_validar_correo);
    $count_correo = mysqli_fetch_assoc($result_correo)['count'];

    $query_validar_dni = "SELECT COUNT(*) as count FROM usuarios WHERE dni = '$dni'";
    $result_dni = mysqli_query($tu_conexion, $query_validar_dni);
    $count_dni = mysqli_fetch_assoc($result_dni)['count'];

    if ($count_correo > 0) {
        // Correo duplicado, responder con error
        header('Content-Type: application/json');
        echo json_encode(['success' => false, 'message' => 'Correo electrónico ya registrado.']);
        exit;
    }

    if ($count_dni > 0) {
        // DNI duplicado, responder con error
        header('Content-Type: application/json');
        echo json_encode(['success' => false, 'message' => 'DNI ya registrado.']);
        exit;
    }

    // Insertar datos en la tabla usuarios
    $query_insertar_usuario = "INSERT INTO usuarios (nombres, apellidos, dni, correo, telefono, rol, contrasena,estado,tipodoc)
                               VALUES ('$nombre', '$apellidos', '$dni', '$correo', '$telefono', '$tipo_usuario', '$clave','Inactivo','$tipo_documento')";

    if (mysqli_query($tu_conexion, $query_insertar_usuario)) {
        // Éxito al insertar el usuario
        $id_usuario = mysqli_insert_id($tu_conexion);

        // Insertar en la tabla correspondiente (docente o estudiante)
        if ($tipo_usuario === 'docente') {
            $query_insertar_docente = "INSERT INTO docentes (id_usuario) VALUES ('$id_usuario')";
            mysqli_query($tu_conexion, $query_insertar_docente);
        } elseif ($tipo_usuario === 'estudiante') {
            $query_insertar_estudiante = "INSERT INTO estudiantes (id_usuario,carrera) VALUES ('$id_usuario','$programa')";
            mysqli_query($tu_conexion, $query_insertar_estudiante);

            // Envío de correo al estudiante
            $mail = new PHPMailer(true);
            $mail->isSMTP();
            $mail->Host = 'mail.iesclorindamattodeturner.edu.pe';  // Reemplaza con la dirección de tu servidor SMTP
            $mail->SMTPAuth = true;
            $mail->Username = 'pruebabolsa@iesclorindamattodeturner.edu.pe'; // Reemplaza con tu dirección de correo
            $mail->Password = '#)^XgD4+;kGw';  // Reemplaza con tu contraseña
            $mail->SMTPSecure = 'tls'; // tls o ssl, según la configuración de tu servidor
            $mail->Port = 587; // Puerto SMTP

            // Configuración del correo
            $mail->setFrom('pruebabolsa@iesclorindamattodeturner.edu.pe', 'Bolsa Laboral - IES CLORINDA MATTO DE TURNER');
            $mail->addAddress($correo, $nombre . ' ' . $apellidos);  // Usar el correo del estudiante y su nombre
            $mail->isHTML(true);
            $mail->Subject = 'Registro Exitoso - Bolsa Laboral';
            $mail->Body = "
            <html>
            <head>
                <style>
                    body {
                        font-family: 'Arial', sans-serif;
                    }
                    h1 {
                        color: #007BFF;
                    }
                    p {
                        color: #333333;
                    }
                </style>
            </head>
            <body>
                <h1>Registro Exitoso</h1>
                <p>Estimado $nombre $apellidos,</p>
                <p>Tu registro en la Bolsa Laboral de IES Clorienda Matto de Turner ha sido exitoso. Debes esperar a que el administrador le brinde el alta para poder acceder.</p>
            </body>
            </html>
        ";

            // Enviar el correo
            $mail->send();
            // ... (el resto del código para enviar el correo)
        }

        // Respuesta de éxito
        header('Content-Type: application/json');
        echo json_encode(['success' => true, 'message' => 'Usuario registrado con éxito.']);
    } else {
        // Error al insertar el usuario
        header('Content-Type: application/json');
        echo json_encode(['success' => false, 'message' => 'Error al registrar el usuario.']);
    }

    // Cierra la conexión a la base de datos
    mysqli_close($tu_conexion);
} else {
    // Acceso no autorizado
    header('Content-Type: application/json');
    http_response_code(401);
    echo json_encode(['success' => false, 'message' => 'Acceso no autorizado.']);
}
?>
