<?php
include 'app/controllers/conexion.php';

// Obtener información del instituto
$query_instituto = "SELECT * FROM informacion_instituto";
$result_instituto = mysqli_query($tu_conexion, $query_instituto);

// Obtener datos del instituto si existen
$datos_instituto = mysqli_fetch_assoc($result_instituto);
$nombre_instituto = $datos_instituto['nombre_instituto'];
$direccion_instituto = $datos_instituto['direccion_instituto'];
$telefono_instituto = $datos_instituto['telefono_instituto'];
$logo_instituto = $datos_instituto['logo_instituto'];
// Ruta base donde se almacenan tus logos
$ruta_base_logos = 'app/archivos/logos/';

// Construir la ruta completa al logo
$ruta_logo_completa = $ruta_base_logos . $logo_instituto;
?>

<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" href="public/css/style.css">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?php echo $nombre_instituto; ?> - Bolsa Laboral</title>
    <style>
            /* En tu hoja de estilos CSS */



        main {
            max-width: 800px;
            margin: 20px auto;
            background-color: #fff;
            padding: 20px;
            border-radius: 8px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
        }

        h2{
            color: #21649b;
            text-align: center;
        }


        .registro-form {
            display: flex;
            flex-wrap: wrap;
        }

        .column {
            flex: 1;
            padding: 0 20px;
        }

        label {
            display: block;
            margin-bottom: 5px;
            color: #333;
        }

        input, select {
            width: calc(100% - 10px);
            padding: 10px;
            margin-bottom: 15px;
            border: 1px solid #ccc;
            border-radius: 4px;
            box-sizing: border-box;
        }

        button {
            width: 100%;
            padding: 12px;
            background-color: #21649b;
            color: white;
            border: none;
            border-radius: 4px;
            cursor: pointer;
            font-size: 16px;
        }

        button:hover {
            background-color: #21649b;
        }

        @media screen and (max-width: 600px) {
            .registro-form {
                flex-direction: column;
            }

            .column {
                padding: 0;
            }
            .mt-5, .my-5 {
                margin-top: 3rem !important;
                margin-bottom: 5rem;
            }
        }

    </style>

</head>
<body>

<header>
    <img id="logo" src="<?php echo $ruta_logo_completa; ?>" alt="Logo del instituto">
    
    <!-- Botón de hamburguesa -->
    <div class="menu-toggle">&#9776;</div>
    
    <nav>
        <ul>
            <li><a href="index.php">Inicio</a></li>
            <li><a href="registro.php">Registrarse</a></li>
            <li><a href="login.php">Acceder</a></li>
        </ul>
    </nav>
</header>

<main class="container mt-5">
<h2>Registro de Usuarios</h2>

<form id="registroForm" action="registrar_usuario.php" method="post" class="registro-form">
        <div class="column">
            

        <div class="form-group">
            <label for="tipo_documento">Tipo de Documento:</label>
                <select name="tipo_documento" id="tipo_documento" class="form-control" onchange="mostrarOcultarCampos()">
                <option value="">Seleccionar Tipo de Documento</option>
                <option value="DNI">DNI</option>
                <option value="Pasaporte">Pasaporte</option>
                <option value="Carnet de Extranjería">Carnet de Extranjería</option>
                </select>                      
        </div>

                  <div class="form-group">
                      <label for="dni">N° de Documento:</label>
                      <div class="input-group">
                          <input type="text" name="dni" id="dni" class="form-control" required>
                          <div class="input-group-append">
                              <button class="btn btn-primary" type="button" id="prueba" style="display:none">Consultar</button>
                          </div>
                      </div>
                  </div>

                  <div class="form-group">
                      <label for="nombre">Nombres:</label>
                      <input type="text" id="nombre" name="nombres"  class="form-control" required>
                  </div>

                  <div class="form-group">
                      <label for="apellidos">Apellidos:</label>
                      <input type="text" id="apellidos" name="apellidoss"  class="form-control" required>
                  </div>
            

           
        </div>

        <div class="column">
        <label for="correo">Correo electrónico*</label>
            <input type="email" id="correo" name="correo" required>
        <label for="programa">Programa de Estudio*</label>
            <select id="programa" name="programa" required>
            <option value="" disabled selected>Elige tu Programa de Estudio</option>
                <?php
                // Realizar la conexión a la base de datos y obtener los datos de la tabla programas
                

                $query = "SELECT nombre_programa FROM programas_estudio where estado = 'Activo'";
                $result = mysqli_query($tu_conexion, $query);

                if (!$result) {
                    die("Error al obtener datos: " . mysqli_error($tu_conexion));
                }

                while ($row = mysqli_fetch_assoc($result)) {
                    echo "<option value='{$row['nombre_programa']}'>{$row['nombre_programa']}</option>";
                }

                // Cerrar la conexión a la base de datos
                mysqli_close($tu_conexion);
                ?>
            </select>


            <label for="telefono">Teléfono*</label>
            <input type="tel" id="telefono" name="telefono" required>
            

            <label for="tipo_usuario">Tipo de usuario*</label>
            <select id="tipo_usuario" name="tipo_usuario" required>
                <option value="docente">Docente</option>
                <option value="estudiante">Estudiante</option>
            </select>

            <label for="clave">Contraseña</label>
            <input type="password" id="clave" name="clave" required>
        </div>

        <button type="button" onclick="registrarUsuario()">Registrar</button>
    </form>
    <section class="row">
    
   
    </section>
</main>

<footer>
<p>&copy; 2024 <?php echo $nombre_instituto; ?> - Todos los derechos reservados</p>
</footer>
<script src="https://code.jquery.com/jquery-3.6.4.min.js"></script>
<!-- Incluye SweetAlert desde el CDN en el head de tu HTML -->
<script src="https://cdn.jsdelivr.net/npm/sweetalert2@10"></script>



<script>
    
    function registrarUsuario() {
    // Obtiene los datos del formulario
    var formData = $("#registroForm").serialize();

    // Realiza una validación para asegurarse de que al menos un campo esté lleno
    if (!$('#nombre').val() || !$('#apellidos').val() || !$('#dni').val() || !$('#correo').val() || !$('#telefono').val() ||  !$('#clave').val()) {
        Swal.fire({
            icon: 'error',
            title: 'Advertencia...',
            text: 'Por favor, completa al menos un campo antes de registrar.',
        });
        return; // Detiene la ejecución si los campos no están completos
    }

    // Realiza la petición AJAX
    $.ajax({
        type: "POST",
        url: "registrar_usuario.php",
        data: formData,
        success: function(response) {

            
            if (response.success) {
                // Utiliza SweetAlert en lugar de la alerta estándar
                Swal.fire({
                    icon: 'success',
                    title: '¡Usuario registrado!',
                    text: response.message,
                    
                }).then(() => {
                    // Espera 2 segundos y luego redirige a la página de inicio
                    setTimeout(function() {
                        window.location.href = 'index.php';
                    }, 1000);
                });
            } else {
                // En caso de error, solo muestra el mensaje de error
                Swal.fire({
                    icon: 'error',
                    title: 'Error',
                    text: response.message,
                });
            }
        }

    });
}



</script>
<!-- Script para controlar el menú de hamburguesa -->
<script>
    document.addEventListener('DOMContentLoaded', function () {
        var menuToggle = document.querySelector('.menu-toggle');
        var nav = document.querySelector('nav');

        // Agregar un evento de clic al botón de hamburguesa
        menuToggle.addEventListener('click', function () {
            // Alternar la clase 'show' para mostrar u ocultar el menú
            nav.classList.toggle('show');
        });
    });
</script>

<script>
$("#prueba").click(function(){
    var dni = $("#dni").val();

    $.ajax({           
        type: "POST",
        url: "tu_archivo_php.php",
        data: { dni: dni },
        dataType: "json",
        success: function(data) {
            if(data.error) {
                alert(data.error);
            } else {
                $("#nombre").val(data.nombres);
                $("#apellidos").val(data.apellidoPaterno + ' ' + data.apellidoMaterno);
            }
        },
        error: function() {
            alert("Error en la solicitud AJAX");
        }
    });
});
</script>

<script>
    function mostrarOcultarCampos() {
        var tipoDocumento = document.getElementById('tipo_documento').value;
        var botonConsultar = document.getElementById('prueba');
        var inputNombre = document.getElementById('nombre');
        var inputApellidos = document.getElementById('apellidos');

        if (tipoDocumento === 'DNI') {
            botonConsultar.style.display = 'block';
            inputNombre.disabled = false;
            inputApellidos.disabled = false;
        } else {
            botonConsultar.style.display = 'none';
            inputNombre.disabled = false;
            inputApellidos.disabled = false;
        }
    }
</script>

</body>
</html>
