<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Restablecer Contraseña</title>
    <!-- Incluye los enlaces a Bootstrap y a Swal -->
    <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" rel="stylesheet">
    <script src="https://code.jquery.com/jquery-3.6.4.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@10"></script>
</head>
<body>

<div class="container mt-5">
    <div class="row justify-content-center">
        <div class="col-md-6">
            <div class="card">
                <div class="card-header text-center">
                    <h3 class="card-title">Restablecer Contraseña</h3>
                </div>
                <div class="card-body">

                    <!-- Formulario para la nueva contraseña -->
                    <form id="restablecerForm" action="procesar_cambio_contrasena.php" method="post">
                        <div class="form-group">
                            <label for="nueva_contrasena">Nueva Contraseña:</label>
                            <input type="password" id="nueva_contrasena" name="nueva_contrasena" class="form-control" required>
                        </div>

                        <!-- Campo oculto para enviar el token -->
                        <input type="hidden" name="token" value="<?php echo $_GET['token']; ?>">

                        <button type="submit" class="btn btn-primary btn-block">Restablecer Contraseña</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

<script>
    // Script para procesar el formulario por Ajax
    $(document).ready(function() {
        $('#restablecerForm').submit(function(e) {
            e.preventDefault();

            // Recoge los datos del formulario
            var formData = $(this).serialize();

            // Envía la solicitud Ajax
            $.ajax({
                type: 'POST',
                url: "procesar_cambio_contrasena.php",
                data: formData,
                success: function(response) {
                    // Muestra una alerta Swal con el mensaje de respuesta
                    Swal.fire({
                        icon: 'success',
                        title: 'Contraseña Restablecida',
                        text: response.message
                    }).then(function() {
                        // Redirecciona al usuario a la página de inicio de sesión
                        window.location.replace('login.php');
                    });
                },
                error: function() {
                    Swal.fire({
                        icon: 'error',
                        title: 'Error',
                        text: 'Hubo un problema al procesar la solicitud.'
                    });
                }
            });
        });
    });
</script>


</body>
</html>
